/**
 * Title: jqPlot Charts
 * 
 * Pure JavaScript plotting plugin for jQuery.
 * 
 * About: Version
 * 
 * version: 1.0.0 
 * revision: 1095
 * 
 * About: Copyright & License
 * 
 * Copyright (c) 2009-2011 Chris Leonello
 * jqPlot is currently available for use in all personal or commercial projects 
 * under both the MIT and GPL version 2.0 licenses. This means that you can 
 * choose the license that best suits your project and use it accordingly.
 * 
 * See <GPL Version 2> and <MIT License> contained within this distribution for further information. 
 *
 * The author would appreciate an email letting him know of any substantial
 * use of jqPlot.  You can reach the author at: chris at jqplot dot com 
 * or see http://www.jqplot.com/info.php.  This is, of course, not required.
 *
 * If you are feeling kind and generous, consider supporting the project by
 * making a donation at: http://www.jqplot.com/donate.php.
 *
 * sprintf functions contained in jqplot.sprintf.js by Ash Searle:
 * 
 *     version 2007.04.27
 *     author Ash Searle
 *     http://hexmen.com/blog/2007/03/printf-sprintf/
 *     http://hexmen.com/js/sprintf.js
 *     The author (Ash Searle) has placed this code in the public domain:
 *     "This code is unrestricted: you are free to use it however you like."
 * 
 * 
 * About: Introduction
 * 
 * jqPlot requires jQuery (1.4+ required for certain features). jQuery 1.4.2 is included in the distribution.  
 * To use jqPlot include jQuery, the jqPlot jQuery plugin, the jqPlot css file and optionally 
 * the excanvas script for IE support in your web page:
 * 
 * > <!--[if lt IE 9]><script language="javascript" type="text/javascript" src="excanvas.js"></script><![endif]-->
 * > <script language="javascript" type="text/javascript" src="jquery-1.4.4.min.js"></script>
 * > <script language="javascript" type="text/javascript" src="jquery.jqplot.min.js"></script>
 * > <link rel="stylesheet" type="text/css" href="jquery.jqplot.css" />
 * 
 * jqPlot can be customized by overriding the defaults of any of the objects which make
 * up the plot. The general usage of jqplot is:
 * 
 * > chart = $.jqplot('targetElemId', [dataArray,...], {optionsObject});
 * 
 * The options available to jqplot are detailed in <jqPlot Options> in the jqPlotOptions.txt file.
 * 
 * An actual call to $.jqplot() may look like the 
 * examples below:
 * 
 * > chart = $.jqplot('chartdiv',  [[[1, 2],[3,5.12],[5,13.1],[7,33.6],[9,85.9],[11,219.9]]]);
 * 
 * or
 * 
 * > dataArray = [34,12,43,55,77];
 * > chart = $.jqplot('targetElemId', [dataArray, ...], {title:'My Plot', axes:{yaxis:{min:20, max:100}}});
 * 
 * For more inforrmation, see <jqPlot Usage>.
 * 
 * About: Usage
 * 
 * See <jqPlot Usage>
 * 
 * About: Available Options 
 * 
 * See <jqPlot Options> for a list of options available thorugh the options object (not complete yet!)
 * 
 * About: Options Usage
 * 
 * See <Options Tutorial>
 * 
 * About: Changes
 * 
 * See <Change Log>
 * 
 */function _normalizeArguments(a,b,c,d){if($.isPlainObject(a))return a;a={effect:a},b===undefined&&(b={}),$.isFunction(b)&&(d=b,c=null,b={});if($.type(b)==="number"||$.fx.speeds[b])d=c,c=b,b={};return $.isFunction(c)&&(d=c,c=null),b&&$.extend(a,b),c=c||b.duration,a.duration=$.fx.off?0:typeof c=="number"?c:c in $.fx.speeds?$.fx.speeds[c]:$.fx.speeds._default,a.complete=d||b.complete,a}function standardSpeed(a){return!a||typeof a=="number"||$.fx.speeds[a]?!0:typeof a=="string"&&!$.jqplot.effects.effect[a]?backCompat&&$.jqplot.effects[a]?!1:!0:!1}(function(a){function c(b){a.jqplot.ElemContainer.call(this),this.name=b,this._series=[],this.show=!1,this.tickRenderer=a.jqplot.AxisTickRenderer,this.tickOptions={},this.labelRenderer=a.jqplot.AxisLabelRenderer,this.labelOptions={},this.label=null,this.showLabel=!0,this.min=null,this.max=null,this.autoscale=!1,this.pad=1.2,this.padMax=null,this.padMin=null,this.ticks=[],this.numberTicks,this.tickInterval,this.renderer=a.jqplot.LinearAxisRenderer,this.rendererOptions={},this.showTicks=!0,this.showTickMarks=!0,this.showMinorTicks=!0,this.drawMajorGridlines=!0,this.drawMinorGridlines=!1,this.drawMajorTickMarks=!0,this.drawMinorTickMarks=!0,this.useSeriesColor=!1,this.borderWidth=null,this.borderColor=null,this.scaleToHiddenSeries=!1,this._dataBounds={min:null,max:null},this._intervalStats=[],this._offsets={min:null,max:null},this._ticks=[],this._label=null,this.syncTicks=null,this.tickSpacing=75,this._min=null,this._max=null,this._tickInterval=null,this._numberTicks=null,this.__ticks=null,this._options={}}function d(b){a.jqplot.ElemContainer.call(this),this.show=!1,this.location="ne",this.labels=[],this.showLabels=!0,this.showSwatches=!0,this.placement="insideGrid",this.xoffset=0,this.yoffset=0,this.border,this.background,this.textColor,this.fontFamily,this.fontSize,this.rowSpacing="0.5em",this.renderer=a.jqplot.TableLegendRenderer,this.rendererOptions={},this.preDraw=!1,this.marginTop=null,this.marginRight=null,this.marginBottom=null,this.marginLeft=null,this.escapeHtml=!1,this._series=[],a.extend(!0,this,b)}function e(b){a.jqplot.ElemContainer.call(this),this.text=b,this.show=!0,this.fontFamily,this.fontSize,this.textAlign,this.textColor,this.renderer=a.jqplot.DivTitleRenderer,this.rendererOptions={},this.escapeHtml=!1}function f(){a.jqplot.ElemContainer.call(this),this.show=!0,this.xaxis="xaxis",this._xaxis,this.yaxis="yaxis",this._yaxis,this.gridBorderWidth=2,this.renderer=a.jqplot.LineRenderer,this.rendererOptions={},this.data=[],this.gridData=[],this.label="",this.showLabel=!0,this.color,this.negativeColor,this.lineWidth=2.5,this.lineJoin="round",this.lineCap="round",this.linePattern="solid",this.shadow=!0,this.shadowAngle=45,this.shadowOffset=1.25,this.shadowDepth=3,this.shadowAlpha="0.1",this.breakOnNull=!1,this.markerRenderer=a.jqplot.MarkerRenderer,this.markerOptions={},this.showLine=!0,this.showMarker=!0,this.index,this.fill=!1,this.fillColor,this.fillAlpha,this.fillAndStroke=!1,this.disableStack=!1,this._stack=!1,this.neighborThreshold=4,this.fillToZero=!1,this.fillToValue=0,this.fillAxis="y",this.useNegativeColors=!0,this._stackData=[],this._plotData=[],this._plotValues={x:[],y:[]},this._intervals={x:{},y:{}},this._prevPlotData=[],this._prevGridData=[],this._stackAxis="y",this._primaryAxis="_xaxis",this.canvas=new a.jqplot.GenericCanvas,this.shadowCanvas=new a.jqplot.GenericCanvas,this.plugins={},this._sumy=0,this._sumx=0,this._type=""}function g(){a.jqplot.ElemContainer.call(this),this.drawGridlines=!0,this.gridLineColor="#cccccc",this.gridLineWidth=1,this.background="#fffdf6",this.borderColor="#999999",this.borderWidth=2,this.drawBorder=!0,this.shadow=!0,this.shadowAngle=45,this.shadowOffset=1.5,this.shadowWidth=3,this.shadowDepth=3,this.shadowColor=null,this.shadowAlpha="0.07",this._left,this._top,this._right,this._bottom,this._width,this._height,this._axes=[],this.renderer=a.jqplot.CanvasGridRenderer,this.rendererOptions={},this._offsets={top:null,bottom:null,left:null,right:null}}function i(){function k(a){var b,c,d,e,f;for(var g=0;g<a.length;g++){var h,i=[a[g].data,a[g]._stackData,a[g]._plotData,a[g]._prevPlotData];for(var j=0;j<4;j++){h=!0,b=i[j];if(a[g]._stackAxis=="x"){for(var k=0;k<b.length;k++)if(typeof b[k][1]!="number"){h=!1;break}h&&b.sort(function(a,b){return a[1]-b[1]})}else{for(var k=0;k<b.length;k++)if(typeof b[k][0]!="number"){h=!1;break}h&&b.sort(function(a,b){return a[0]-b[0]})}}}}function l(a){var b=a.data.plot,c=b.eventCanvas._elem.offset(),d={x:a.pageX-c.left,y:a.pageY-c.top},e={xaxis:null,yaxis:null,x2axis:null,y2axis:null,y3axis:null,y4axis:null,y5axis:null,y6axis:null,y7axis:null,y8axis:null,y9axis:null,yMidAxis:null},f=["xaxis","yaxis","x2axis","y2axis","y3axis","y4axis","y5axis","y6axis","y7axis","y8axis","y9axis","yMidAxis"],g=b.axes,h,i;for(h=11;h>0;h--)i=f[h-1],g[i].show&&(e[i]=g[i].series_p2u(d[i.charAt(0)]));return{offsets:c,gridPos:d,dataPos:e}}function m(b,c){var d=c.series,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y;for(g=c.seriesStack.length-1;g>=0;g--){e=c.seriesStack[g],h=d[e],w=h._highlightThreshold;switch(h.renderer.constructor){case a.jqplot.BarRenderer:j=b.x,k=b.y;for(f=0;f<h._barPoints.length;f++){u=h._barPoints[f],s=h.gridData[f];if(j>u[0][0]&&j<u[2][0]&&k>u[2][1]&&k<u[0][1])return{seriesIndex:h.index,pointIndex:f,gridData:s,data:h.data[f],points:h._barPoints[f]}}break;case a.jqplot.PyramidRenderer:j=b.x,k=b.y;for(f=0;f<h._barPoints.length;f++){u=h._barPoints[f],s=h.gridData[f];if(j>u[0][0]+w[0][0]&&j<u[2][0]+w[2][0]&&k>u[2][1]&&k<u[0][1])return{seriesIndex:h.index,pointIndex:f,gridData:s,data:h.data[f],points:h._barPoints[f]}}break;case a.jqplot.DonutRenderer:n=h.startAngle/180*Math.PI,j=b.x-h._center[0],k=b.y-h._center[1],i=Math.sqrt(Math.pow(j,2)+Math.pow(k,2)),j>0&&-k>=0?l=2*Math.PI-Math.atan(-k/j):j>0&&-k<0?l=-Math.atan(-k/j):j<0?l=Math.PI-Math.atan(-k/j):j==0&&-k>0?l=3*Math.PI/2:j==0&&-k<0?l=Math.PI/2:j==0&&k==0&&(l=0),n&&(l-=n,l<0?l+=2*Math.PI:l>2*Math.PI&&(l-=2*Math.PI)),m=h.sliceMargin/180*Math.PI;if(i<h._radius&&i>h._innerRadius)for(f=0;f<h.gridData.length;f++){o=f>0?h.gridData[f-1][1]+m:m,p=h.gridData[f][1];if(l>o&&l<p)return{seriesIndex:h.index,pointIndex:f,gridData:h.gridData[f],data:h.data[f]}}break;case a.jqplot.PieRenderer:n=h.startAngle/180*Math.PI,j=b.x-h._center[0],k=b.y-h._center[1],i=Math.sqrt(Math.pow(j,2)+Math.pow(k,2)),j>0&&-k>=0?l=2*Math.PI-Math.atan(-k/j):j>0&&-k<0?l=-Math.atan(-k/j):j<0?l=Math.PI-Math.atan(-k/j):j==0&&-k>0?l=3*Math.PI/2:j==0&&-k<0?l=Math.PI/2:j==0&&k==0&&(l=0),n&&(l-=n,l<0?l+=2*Math.PI:l>2*Math.PI&&(l-=2*Math.PI)),m=h.sliceMargin/180*Math.PI;if(i<h._radius)for(f=0;f<h.gridData.length;f++){o=f>0?h.gridData[f-1][1]+m:m,p=h.gridData[f][1];if(l>o&&l<p)return{seriesIndex:h.index,pointIndex:f,gridData:h.gridData[f],data:h.data[f]}}break;case a.jqplot.BubbleRenderer:j=b.x,k=b.y;var z=null;if(h.show){for(var f=0;f<h.gridData.length;f++)s=h.gridData[f],r=Math.sqrt((j-s[0])*(j-s[0])+(k-s[1])*(k-s[1])),r<=s[2]&&(r<=q||q==null)&&(q=r,z={seriesIndex:e,pointIndex:f,gridData:s,data:h.data[f]});if(z!=null)return z}break;case a.jqplot.FunnelRenderer:j=b.x,k=b.y;var A=h._vertices,B=A[0],C=A[A.length-1],D,E,F;function G(a,b,c){var d=(b[1]-c[1])/(b[0]-c[0]),e=b[1]-d*b[0],f=a+b[1];return[(f-e)/d,f]}D=G(k,B[0],C[3]),E=G(k,B[1],C[2]);for(f=0;f<A.length;f++){F=A[f];if(k>=F[0][1]&&k<=F[3][1]&&j>=D[0]&&j<=E[0])return{seriesIndex:h.index,pointIndex:f,gridData:null,data:h.data[f]}}break;case a.jqplot.LineRenderer:j=b.x,k=b.y,i=h.renderer;if(h.show){if((h.fill||h.renderer.bands.show&&h.renderer.bands.fill)&&(!c.plugins.highlighter||!c.plugins.highlighter.show)){var H=!1;if(j>h._boundingBox[0][0]&&j<h._boundingBox[1][0]&&k>h._boundingBox[1][1]&&k<h._boundingBox[0][1]){var I=h._areaPoints.length,J,f=I-1;for(var J=0;J<I;J++){var K=[h._areaPoints[J][0],h._areaPoints[J][1]],L=[h._areaPoints[f][0],h._areaPoints[f][1]];(K[1]<k&&L[1]>=k||L[1]<k&&K[1]>=k)&&K[0]+(k-K[1])/(L[1]-K[1])*(L[0]-K[0])<j&&(H=!H),f=J}}if(H)return{seriesIndex:e,pointIndex:null,gridData:h.gridData,data:h.data,points:h._areaPoints};break}y=h.markerRenderer.size/2+h.neighborThreshold,x=y>0?y:0;for(var f=0;f<h.gridData.length;f++){s=h.gridData[f];if(i.constructor==a.jqplot.OHLCRenderer)if(i.candleStick){var M=h._yaxis.series_u2p;if(j>=s[0]-i._bodyWidth/2&&j<=s[0]+i._bodyWidth/2&&k>=M(h.data[f][2])&&k<=M(h.data[f][3]))return{seriesIndex:e,pointIndex:f,gridData:s,data:h.data[f]}}else if(!i.hlc){var M=h._yaxis.series_u2p;if(j>=s[0]-i._tickLength&&j<=s[0]+i._tickLength&&k>=M(h.data[f][2])&&k<=M(h.data[f][3]))return{seriesIndex:e,pointIndex:f,gridData:s,data:h.data[f]}}else{var M=h._yaxis.series_u2p;if(j>=s[0]-i._tickLength&&j<=s[0]+i._tickLength&&k>=M(h.data[f][1])&&k<=M(h.data[f][2]))return{seriesIndex:e,pointIndex:f,gridData:s,data:h.data[f]}}else if(s[0]!=null&&s[1]!=null){r=Math.sqrt((j-s[0])*(j-s[0])+(k-s[1])*(k-s[1]));if(r<=x&&(r<=q||q==null))return q=r,{seriesIndex:e,pointIndex:f,gridData:s,data:h.data[f]}}}}break;default:j=b.x,k=b.y,i=h.renderer;if(h.show){y=h.markerRenderer.size/2+h.neighborThreshold,x=y>0?y:0;for(var f=0;f<h.gridData.length;f++){s=h.gridData[f];if(i.constructor==a.jqplot.OHLCRenderer)if(i.candleStick){var M=h._yaxis.series_u2p;if(j>=s[0]-i._bodyWidth/2&&j<=s[0]+i._bodyWidth/2&&k>=M(h.data[f][2])&&k<=M(h.data[f][3]))return{seriesIndex:e,pointIndex:f,gridData:s,data:h.data[f]}}else if(!i.hlc){var M=h._yaxis.series_u2p;if(j>=s[0]-i._tickLength&&j<=s[0]+i._tickLength&&k>=M(h.data[f][2])&&k<=M(h.data[f][3]))return{seriesIndex:e,pointIndex:f,gridData:s,data:h.data[f]}}else{var M=h._yaxis.series_u2p;if(j>=s[0]-i._tickLength&&j<=s[0]+i._tickLength&&k>=M(h.data[f][1])&&k<=M(h.data[f][2]))return{seriesIndex:e,pointIndex:f,gridData:s,data:h.data[f]}}else{r=Math.sqrt((j-s[0])*(j-s[0])+(k-s[1])*(k-s[1]));if(r<=x&&(r<=q||q==null))return q=r,{seriesIndex:e,pointIndex:f,gridData:s,data:h.data[f]}}}}}}return null}this.animate=!1,this.animateReplot=!1,this.axes={xaxis:new c("xaxis"),yaxis:new c("yaxis"),x2axis:new c("x2axis"),y2axis:new c("y2axis"),y3axis:new c("y3axis"),y4axis:new c("y4axis"),y5axis:new c("y5axis"),y6axis:new c("y6axis"),y7axis:new c("y7axis"),y8axis:new c("y8axis"),y9axis:new c("y9axis"),yMidAxis:new c("yMidAxis")},this.baseCanvas=new a.jqplot.GenericCanvas,this.captureRightClick=!1,this.data=[],this.dataRenderer,this.dataRendererOptions,this.defaults={axesDefaults:{},axes:{xaxis:{},yaxis:{},x2axis:{},y2axis:{},y3axis:{},y4axis:{},y5axis:{},y6axis:{},y7axis:{},y8axis:{},y9axis:{},yMidAxis:{}},seriesDefaults:{},series:[]},this.defaultAxisStart=1,this.drawIfHidden=!1,this.eventCanvas=new a.jqplot.GenericCanvas,this.fillBetween={series1:null,series2:null,color:null,baseSeries:0,fill:!0},this.fontFamily,this.fontSize,this.grid=new g,this.legend=new d,this.negativeSeriesColors=a.jqplot.config.defaultNegativeColors,this.noDataIndicator={show:!1,indicator:"Loading Data...",axes:{xaxis:{min:0,max:10,tickInterval:2,show:!0},yaxis:{min:0,max:12,tickInterval:3,show:!0}}},this.options={},this.previousSeriesStack=[],this.plugins={},this.series=[],this.seriesStack=[],this.seriesColors=a.jqplot.config.defaultColors,this.sortData=!0,this.stackSeries=!1,this.syncXTicks=!0,this.syncYTicks=!0,this.target=null,this.targetId=null,this.textColor,this.title=new e,this._drawCount=0,this._sumy=0,this._sumx=0,this._stackData=[],this._plotData=[],this._width=null,this._height=null,this._plotDimensions={height:null,width:null},this._gridPadding={top:null,right:null,bottom:null,left:null},this._defaultGridPadding={top:10,right:10,bottom:23,left:10},this._addDomReference=a.jqplot.config.addDomReference,this.preInitHooks=new a.jqplot.HooksManager,this.postInitHooks=new a.jqplot.HooksManager,this.preParseOptionsHooks=new a.jqplot.HooksManager,this.postParseOptionsHooks=new a.jqplot.HooksManager,this.preDrawHooks=new a.jqplot.HooksManager,this.postDrawHooks=new a.jqplot.HooksManager,this.preDrawSeriesHooks=new a.jqplot.HooksManager,this.postDrawSeriesHooks=new a.jqplot.HooksManager,this.preDrawLegendHooks=new a.jqplot.HooksManager,this.addLegendRowHooks=new a.jqplot.HooksManager,this.preSeriesInitHooks=new a.jqplot.HooksManager,this.postSeriesInitHooks=new a.jqplot.HooksManager,this.preParseSeriesOptionsHooks=new a.jqplot.HooksManager,this.postParseSeriesOptionsHooks=new a.jqplot.HooksManager,this.eventListenerHooks=new a.jqplot.EventListenerManager,this.preDrawSeriesShadowHooks=new a.jqplot.HooksManager,this.postDrawSeriesShadowHooks=new a.jqplot.HooksManager,this.colorGenerator=new a.jqplot.ColorGenerator,this.negativeColorGenerator=new a.jqplot.ColorGenerator,this.canvasManager=new a.jqplot.CanvasManager,this.themeEngine=new a.jqplot.ThemeEngine;var j=0;this.init=function(b,d,e){e=e||{};for(var f=0;f<a.jqplot.preInitHooks.length;f++)a.jqplot.preInitHooks[f].call(this,b,d,e);for(var f=0;f<this.preInitHooks.hooks.length;f++)this.preInitHooks.hooks[f].call(this,b,d,e);this.targetId="#"+b,this.target=a("#"+b),this._addDomReference&&this.target.data("jqplot",this),this.target.removeClass("jqplot-error");if(!this.target.get(0))throw"No plot target specified";this.target.css("position")=="static"&&this.target.css("position","relative"),this.target.hasClass("jqplot-target")||this.target.addClass("jqplot-target");if(!this.target.height()){var g;e&&e.height?g=parseInt(e.height,10):this.target.attr("data-height")?g=parseInt(this.target.attr("data-height"),10):g=parseInt(a.jqplot.config.defaultHeight,10),this._height=g,this.target.css("height",g+"px")}else this._height=g=this.target.height();if(!this.target.width()){var i;e&&e.width?i=parseInt(e.width,10):this.target.attr("data-width")?i=parseInt(this.target.attr("data-width"),10):i=parseInt(a.jqplot.config.defaultWidth,10),this._width=i,this.target.css("width",i+"px")}else this._width=i=this.target.width();for(var f=0,j=h.length;f<j;f++)this.axes[h[f]]=new c(h[f]);this._plotDimensions.height=this._height,this._plotDimensions.width=this._width,this.grid._plotDimensions=this._plotDimensions,this.title._plotDimensions=this._plotDimensions,this.baseCanvas._plotDimensions=this._plotDimensions,this.eventCanvas._plotDimensions=this._plotDimensions,this.legend._plotDimensions=this._plotDimensions;if(this._height<=0||this._width<=0||!this._height||!this._width)throw"Canvas dimension not set";e.dataRenderer&&a.isFunction(e.dataRenderer)&&(e.dataRendererOptions&&(this.dataRendererOptions=e.dataRendererOptions),this.dataRenderer=e.dataRenderer,d=this.dataRenderer(d,this,this.dataRendererOptions)),e.noDataIndicator&&a.isPlainObject(e.noDataIndicator)&&a.extend(!0,this.noDataIndicator,e.noDataIndicator);if(d==null||a.isArray(d)==0||d.length==0||a.isArray(d[0])==0||d[0].length==0){if(this.noDataIndicator.show==0)throw"No Data";for(var l in this.noDataIndicator.axes)for(var m in this.noDataIndicator.axes[l])this.axes[l][m]=this.noDataIndicator.axes[l][m];this.postDrawHooks.add(function(){var b=this.eventCanvas.getHeight(),c=this.eventCanvas.getWidth(),d=a('<div class="jqplot-noData-container" style="position:absolute;"></div>');this.target.append(d),d.height(b),d.width(c),d.css("top",this.eventCanvas._offsets.top),d.css("left",this.eventCanvas._offsets.left);var e=a('<div class="jqplot-noData-contents" style="text-align:center; position:relative; margin-left:auto; margin-right:auto;"></div>');d.append(e),e.html(this.noDataIndicator.indicator);var f=e.height(),g=e.width();e.height(f),e.width(g),e.css("top",(b-f)/2+"px")})}this.data=a.extend(!0,[],d),this.parseOptions(e),this.textColor&&this.target.css("color",this.textColor),this.fontFamily&&this.target.css("font-family",this.fontFamily),this.fontSize&&this.target.css("font-size",this.fontSize),this.title.init(),this.legend.init(),this._sumy=0,this._sumx=0;for(var f=0;f<this.series.length;f++){this.seriesStack.push(f),this.previousSeriesStack.push(f),this.series[f].shadowCanvas._plotDimensions=this._plotDimensions,this.series[f].canvas._plotDimensions=this._plotDimensions;for(var n=0;n<a.jqplot.preSeriesInitHooks.length;n++)a.jqplot.preSeriesInitHooks[n].call(this.series[f],b,this.data,this.options.seriesDefaults,this.options.series[f],this);for(var n=0;n<this.preSeriesInitHooks.hooks.length;n++)this.preSeriesInitHooks.hooks[n].call(this.series[f],b,this.data,this.options.seriesDefaults,this.options.series[f],this);this.populatePlotData(this.series[f],f),this.series[f]._plotDimensions=this._plotDimensions,this.series[f].init(f,this.grid.borderWidth,this);for(var n=0;n<a.jqplot.postSeriesInitHooks.length;n++)a.jqplot.postSeriesInitHooks[n].call(this.series[f],b,this.data,this.options.seriesDefaults,this.options.series[f],this);for(var n=0;n<this.postSeriesInitHooks.hooks.length;n++)this.postSeriesInitHooks.hooks[n].call(this.series[f],b,this.data,this.options.seriesDefaults,this.options.series[f],this);this._sumy+=this.series[f]._sumy,this._sumx+=this.series[f]._sumx}var o,p;for(var f=0,j=h.length;f<j;f++)o=h[f],p=this.axes[o],p._plotDimensions=this._plotDimensions,p.init(),this.axes[o].borderColor==null&&(o.charAt(0)!=="x"&&p.useSeriesColor===!0&&p.show?p.borderColor=p._series[0].color:p.borderColor=this.grid.borderColor);this.sortData&&k(this.series),this.grid.init(),this.grid._axes=this.axes,this.legend._series=this.series;for(var f=0;f<a.jqplot.postInitHooks.length;f++)a.jqplot.postInitHooks[f].call(this,b,this.data,e);for(var f=0;f<this.postInitHooks.hooks.length;f++)this.postInitHooks.hooks[f].call(this,b,this.data,e)},this.resetAxesScale=function(b,c){var d=c||{},e=b||this.axes;e===!0&&(e=this.axes);if(a.isArray(e))for(var f=0;f<e.length;f++)this.axes[e[f]].resetScale(d[e[f]]);else if(typeof e=="object")for(var g in e)this.axes[g].resetScale(d[g])},this.reInitialize=function(d,e){var f=a.extend(!0,{},this.options,e),g=this.targetId.substr(1),i=d==null?this.data:d;for(var j=0;j<a.jqplot.preInitHooks.length;j++)a.jqplot.preInitHooks[j].call(this,g,i,f);for(var j=0;j<this.preInitHooks.hooks.length;j++)this.preInitHooks.hooks[j].call(this,g,i,f);this._height=this.target.height(),this._width=this.target.width();if(this._height<=0||this._width<=0||!this._height||!this._width)throw"Target dimension not set";this._plotDimensions.height=this._height,this._plotDimensions.width=this._width,this.grid._plotDimensions=this._plotDimensions,this.title._plotDimensions=this._plotDimensions,this.baseCanvas._plotDimensions=this._plotDimensions,this.eventCanvas._plotDimensions=this._plotDimensions,this.legend._plotDimensions=this._plotDimensions;var l,m,n,o;for(var j=0,p=h.length;j<p;j++){l=h[j],o=this.axes[l],m=o._ticks;for(var n=0,q=m.length;n<q;n++){var r=m[n]._elem;r&&(a.jqplot.use_excanvas&&window.G_vmlCanvasManager.uninitElement!==b&&window.G_vmlCanvasManager.uninitElement(r.get(0)),r.emptyForce(),r=null,m._elem=null)}m=null,delete o.ticks,delete o._ticks,this.axes[l]=new c(l),this.axes[l]._plotWidth=this._width,this.axes[l]._plotHeight=this._height}d&&(f.dataRenderer&&a.isFunction(f.dataRenderer)&&(f.dataRendererOptions&&(this.dataRendererOptions=f.dataRendererOptions),this.dataRenderer=f.dataRenderer,d=this.dataRenderer(d,this,this.dataRendererOptions)),this.data=a.extend(!0,[],d)),e&&this.parseOptions(f),this.title._plotWidth=this._width,this.textColor&&this.target.css("color",this.textColor),this.fontFamily&&this.target.css("font-family",this.fontFamily),this.fontSize&&this.target.css("font-size",this.fontSize),this.title.init(),this.legend.init(),this._sumy=0,this._sumx=0,this.seriesStack=[],this.previousSeriesStack=[];for(var j=0,p=this.series.length;j<p;j++){this.seriesStack.push(j),this.previousSeriesStack.push(j),this.series[j].shadowCanvas._plotDimensions=this._plotDimensions,this.series[j].canvas._plotDimensions=this._plotDimensions;for(var n=0;n<a.jqplot.preSeriesInitHooks.length;n++)a.jqplot.preSeriesInitHooks[n].call(this.series[j],g,this.data,this.options.seriesDefaults,this.options.series[j],this);for(var n=0;n<this.preSeriesInitHooks.hooks.length;n++)this.preSeriesInitHooks.hooks[n].call(this.series[j],g,this.data,this.options.seriesDefaults,this.options.series[j],this);this.populatePlotData(this.series[j],j),this.series[j]._plotDimensions=this._plotDimensions,this.series[j].init(j,this.grid.borderWidth,this);for(var n=0;n<a.jqplot.postSeriesInitHooks.length;n++)a.jqplot.postSeriesInitHooks[n].call(this.series[j],g,this.data,this.options.seriesDefaults,this.options.series[j],this);for(var n=0;n<this.postSeriesInitHooks.hooks.length;n++)this.postSeriesInitHooks.hooks[n].call(this.series[j],g,this.data,this.options.seriesDefaults,this.options.series[j],this);this._sumy+=this.series[j]._sumy,this._sumx+=this.series[j]._sumx}for(var j=0,p=h.length;j<p;j++)l=h[j],o=this.axes[l],o._plotDimensions=this._plotDimensions,o.init(),o.borderColor==null&&(l.charAt(0)!=="x"&&o.useSeriesColor===!0&&o.show?o.borderColor=o._series[0].color:o.borderColor=this.grid.borderColor);this.sortData&&k(this.series),this.grid.init(),this.grid._axes=this.axes,this.legend._series=this.series;for(var j=0,p=a.jqplot.postInitHooks.length;j<p;j++)a.jqplot.postInitHooks[j].call(this,g,this.data,f);for(var j=0,p=this.postInitHooks.hooks.length;j<p;j++)this.postInitHooks.hooks[j].call(this,g,this.data,f)},this.quickInit=function(){this._height=this.target.height(),this._width=this.target.width();if(this._height<=0||this._width<=0||!this._height||!this._width)throw"Target dimension not set";this._plotDimensions.height=this._height,this._plotDimensions.width=this._width,this.grid._plotDimensions=this._plotDimensions,this.title._plotDimensions=this._plotDimensions,this.baseCanvas._plotDimensions=this._plotDimensions,this.eventCanvas._plotDimensions=this._plotDimensions,this.legend._plotDimensions=this._plotDimensions;for(var c in this.axes)this.axes[c]._plotWidth=this._width,this.axes[c]._plotHeight=this._height;this.title._plotWidth=this._width,this.textColor&&this.target.css("color",this.textColor),this.fontFamily&&this.target.css("font-family",this.fontFamily),this.fontSize&&this.target.css("font-size",this.fontSize),this._sumy=0,this._sumx=0;for(var d=0;d<this.series.length;d++)this.populatePlotData(this.series[d],d),this.series[d]._type==="line"&&this.series[d].renderer.bands.show&&this.series[d].renderer.initBands.call(this.series[d],this.series[d].renderer.options,this),this.series[d]._plotDimensions=this._plotDimensions,this.series[d].canvas._plotDimensions=this._plotDimensions,this._sumy+=this.series[d]._sumy,this._sumx+=this.series[d]._sumx;var e;for(var f=0;f<12;f++){e=h[f];var g=this.axes[e]._ticks;for(var d=0;d<g.length;d++){var i=g[d]._elem;i&&(a.jqplot.use_excanvas&&window.G_vmlCanvasManager.uninitElement!==b&&window.G_vmlCanvasManager.uninitElement(i.get(0)),i.emptyForce(),i=null,g._elem=null)}g=null,this.axes[e]._plotDimensions=this._plotDimensions,this.axes[e]._ticks=[]}this.sortData&&k(this.series),this.grid._axes=this.axes,this.legend._series=this.series},this.populatePlotData=function(b,c){this._plotData=[],this._stackData=[],b._stackData=[],b._plotData=[];var d={x:[],y:[]};if(this.stackSeries&&!b.disableStack){b._stack=!0;var e=b._stackAxis=="x"?0:1,f=e?0:1,g=a.extend(!0,[],b.data),h=a.extend(!0,[],b.data);for(var i=0;i<c;i++){var j=this.series[i].data;for(var k=0;k<j.length;k++)g[k][0]+=j[k][0],g[k][1]+=j[k][1],h[k][e]+=j[k][e]}for(var l=0;l<h.length;l++)d.x.push(h[l][0]),d.y.push(h[l][1]);this._plotData.push(h),this._stackData.push(g),b._stackData=g,b._plotData=h,b._plotValues=d}else{for(var l=0;l<b.data.length;l++)d.x.push(b.data[l][0]),d.y.push(b.data[l][1]);this._stackData.push(b.data),this.series[c]._stackData=b.data,this._plotData.push(b.data),b._plotData=b.data,b._plotValues=d}c>0&&(b._prevPlotData=this.series[c-1]._plotData),b._sumy=0,b._sumx=0;for(l=b.data.length-1;l>-1;l--)b._sumy+=b.data[l][1],b._sumx+=b.data[l][0]},this.getNextSeriesColor=function(a){var b=0,c=a.seriesColors;return function(){return b<c.length?c[b++]:(b=0,c[b++])}}(this),this.parseOptions=function(b){for(var c=0;c<this.preParseOptionsHooks.hooks.length;c++)this.preParseOptionsHooks.hooks[c].call(this,b);for(var c=0;c<a.jqplot.preParseOptionsHooks.length;c++)a.jqplot.preParseOptionsHooks[c].call(this,b);this.options=a.extend(!0,{},this.defaults,b);var d=this.options;this.animate=d.animate,this.animateReplot=d.animateReplot,this.stackSeries=d.stackSeries;if(a.isPlainObject(d.fillBetween)){var e=["series1","series2","color","baseSeries","fill"],g;for(var c=0,i=e.length;c<i;c++)g=e[c],d.fillBetween[g]!=null&&(this.fillBetween[g]=d.fillBetween[g])}d.seriesColors&&(this.seriesColors=d.seriesColors),d.negativeSeriesColors&&(this.negativeSeriesColors=d.negativeSeriesColors),d.captureRightClick&&(this.captureRightClick=d.captureRightClick),this.defaultAxisStart=b&&b.defaultAxisStart!=null?b.defaultAxisStart:this.defaultAxisStart,this.colorGenerator.setColors(this.seriesColors),this.negativeColorGenerator.setColors(this.negativeSeriesColors),a.extend(!0,this._gridPadding,d.gridPadding),this.sortData=d.sortData!=null?d.sortData:this.sortData;for(var c=0;c<12;c++){var j=h[c],k=this.axes[j];k._options=a.extend(!0,{},d.axesDefaults,d.axes[j]),a.extend(!0,k,d.axesDefaults,d.axes[j]),k._plotWidth=this._width,k._plotHeight=this._height}var l=function(b,c,d){var e=[],f;c=c||"vertical";if(!a.isArray(b[0]))for(f=0;f<b.length;f++)c=="vertical"?e.push([d+f,b[f]]):e.push([b[f],d+f]);else a.extend(!0,e,b);return e},m=0;this.series=[];for(var c=0;c<this.data.length;c++){var e=new f;for(var n=0;n<a.jqplot.preParseSeriesOptionsHooks.length;n++)a.jqplot.preParseSeriesOptionsHooks[n].call(e,this.options.seriesDefaults,this.options.series[c]);for(var n=0;n<this.preParseSeriesOptionsHooks.hooks.length;n++)this.preParseSeriesOptionsHooks.hooks[n].call(e,this.options.seriesDefaults,this.options.series[c]);a.extend(!0,e,{seriesColors:this.seriesColors,negativeSeriesColors:this.negativeSeriesColors},this.options.seriesDefaults,this.options.series[c],{rendererOptions:{animation:{show:this.animate}}});var o="vertical";e.renderer===a.jqplot.BarRenderer&&e.rendererOptions&&e.rendererOptions.barDirection=="horizontal"&&e.transposeData===!0&&(o="horizontal"),e.data=l(this.data[c],o,this.defaultAxisStart);switch(e.xaxis){case"xaxis":e._xaxis=this.axes.xaxis;break;case"x2axis":e._xaxis=this.axes.x2axis;break;default:}e._yaxis=this.axes[e.yaxis],e._xaxis._series.push(e),e._yaxis._series.push(e),e.show?(e._xaxis.show=!0,e._yaxis.show=!0):(e._xaxis.scaleToHiddenSeries&&(e._xaxis.show=!0),e._yaxis.scaleToHiddenSeries&&(e._yaxis.show=!0)),e.label||(e.label="Series "+(c+1).toString()),this.series.push(e);for(var n=0;n<a.jqplot.postParseSeriesOptionsHooks.length;n++)a.jqplot.postParseSeriesOptionsHooks[n].call(this.series[c],this.options.seriesDefaults,this.options.series[c]);for(var n=0;n<this.postParseSeriesOptionsHooks.hooks.length;n++)this.postParseSeriesOptionsHooks.hooks[n].call(this.series[c],this.options.seriesDefaults,this.options.series[c])}a.extend(!0,this.grid,this.options.grid);for(var c=0,i=h.length;c<i;c++){var j=h[c],k=this.axes[j];k.borderWidth==null&&(k.borderWidth=this.grid.borderWidth)}typeof this.options.title=="string"?this.title.text=this.options.title:typeof this.options.title=="object"&&a.extend(!0,this.title,this.options.title),this.title._plotWidth=this._width,this.legend.setOptions(this.options.legend);for(var c=0;c<a.jqplot.postParseOptionsHooks.length;c++)a.jqplot.postParseOptionsHooks[c].call(this,b);for(var c=0;c<this.postParseOptionsHooks.hooks.length;c++)this.postParseOptionsHooks.hooks[c].call(this,b)},this.destroy=function(){this.canvasManager.freeAllCanvases(),this.eventCanvas&&this.eventCanvas._elem&&this.eventCanvas._elem.unbind(),this.target.empty(),this.target[0].innerHTML=""},this.replot=function(b){var c=b||{},d=c.data||null,e=c.clear===!1?!1:!0,f=c.resetAxes||!1;delete c.data,delete c.clear,delete c.resetAxes,this.target.trigger("jqplotPreReplot"),e&&this.destroy(),d||!a.isEmptyObject(c)?this.reInitialize(d,c):this.quickInit(),f&&this.resetAxesScale(f,c.axes),this.draw(),this.target.trigger("jqplotPostReplot")},this.redraw=function(a){a=a!=null?a:!0,this.target.trigger("jqplotPreRedraw"),a&&(this.canvasManager.freeAllCanvases(),this.eventCanvas._elem.unbind(),this.target.empty());for(var b in this.axes)this.axes[b]._ticks=[];for(var c=0;c<this.series.length;c++)this.populatePlotData(this.series[c],c);this._sumy=0,this._sumx=0;for(c=0;c<this.series.length;c++)this._sumy+=this.series[c]._sumy,this._sumx+=this.series[c]._sumx;this.draw(),this.target.trigger("jqplotPostRedraw")},this.draw=function(){if(this.drawIfHidden||this.target.is(":visible")){this.target.trigger("jqplotPreDraw");var b,c,d,e;for(b=0,d=a.jqplot.preDrawHooks.length;b<d;b++)a.jqplot.preDrawHooks[b].call(this);for(b=0,d=this.preDrawHooks.length;b<d;b++)this.preDrawHooks.hooks[b].apply(this,this.preDrawSeriesHooks.args[b]);this.target.append(this.baseCanvas.createElement({left:0,right:0,top:0,bottom:0},"jqplot-base-canvas",null,this)),this.baseCanvas.setContext(),this.target.append(this.title.draw()),this.title.pack({top:0,left:0});var f=this.legend.draw({},this),g={top:0,left:0,bottom:0,right:0};if(this.legend.placement=="outsideGrid"){this.target.append(f);switch(this.legend.location){case"n":g.top+=this.legend.getHeight();break;case"s":g.bottom+=this.legend.getHeight();break;case"ne":case"e":case"se":g.right+=this.legend.getWidth();break;case"nw":case"w":case"sw":g.left+=this.legend.getWidth();break;default:g.right+=this.legend.getWidth()}f=f.detach()}var i=this.axes,j;for(b=0;b<12;b++)j=h[b],this.target.append(i[j].draw(this.baseCanvas._ctx,this)),i[j].set();i.yaxis.show&&(g.left+=i.yaxis.getWidth());var k=["y2axis","y3axis","y4axis","y5axis","y6axis","y7axis","y8axis","y9axis"],l=[0,0,0,0,0,0,0,0],m=0,n;for(n=0;n<8;n++)i[k[n]].show&&(m+=i[k[n]].getWidth(),l[n]=m);g.right+=m,i.x2axis.show&&(g.top+=i.x2axis.getHeight()),this.title.show&&(g.top+=this.title.getHeight
()),i.xaxis.show&&(g.bottom+=i.xaxis.getHeight());if(this.options.gridDimensions&&a.isPlainObject(this.options.gridDimensions)){var o=parseInt(this.options.gridDimensions.width,10)||0,p=parseInt(this.options.gridDimensions.height,10)||0,q=(this._width-g.left-g.right-o)/2,r=(this._height-g.top-g.bottom-p)/2;r>=0&&q>=0&&(g.top+=r,g.bottom+=r,g.left+=q,g.right+=q)}var s=["top","bottom","left","right"];for(var n in s)this._gridPadding[s[n]]==null&&g[s[n]]>0?this._gridPadding[s[n]]=g[s[n]]:this._gridPadding[s[n]]==null&&(this._gridPadding[s[n]]=this._defaultGridPadding[s[n]]);var t=this._gridPadding;this.legend.placement==="outsideGrid"&&(t={top:this.title.getHeight(),left:0,right:0,bottom:0},this.legend.location==="s"&&(t.left=this._gridPadding.left,t.right=this._gridPadding.right)),i.xaxis.pack({position:"absolute",bottom:this._gridPadding.bottom-i.xaxis.getHeight(),left:0,width:this._width},{min:this._gridPadding.left,max:this._width-this._gridPadding.right}),i.yaxis.pack({position:"absolute",top:0,left:this._gridPadding.left-i.yaxis.getWidth(),height:this._height},{min:this._height-this._gridPadding.bottom,max:this._gridPadding.top}),i.x2axis.pack({position:"absolute",top:this._gridPadding.top-i.x2axis.getHeight(),left:0,width:this._width},{min:this._gridPadding.left,max:this._width-this._gridPadding.right});for(b=8;b>0;b--)i[k[b-1]].pack({position:"absolute",top:0,right:this._gridPadding.right-l[b-1]},{min:this._height-this._gridPadding.bottom,max:this._gridPadding.top});var u=(this._width-this._gridPadding.left-this._gridPadding.right)/2+this._gridPadding.left-i.yMidAxis.getWidth()/2;i.yMidAxis.pack({position:"absolute",top:0,left:u,zIndex:9,textAlign:"center"},{min:this._height-this._gridPadding.bottom,max:this._gridPadding.top}),this.target.append(this.grid.createElement(this._gridPadding,this)),this.grid.draw();var v=this.series,w=v.length;for(b=0,d=w;b<d;b++)c=this.seriesStack[b],this.target.append(v[c].shadowCanvas.createElement(this._gridPadding,"jqplot-series-shadowCanvas",null,this)),v[c].shadowCanvas.setContext(),v[c].shadowCanvas._elem.data("seriesIndex",c);for(b=0,d=w;b<d;b++)c=this.seriesStack[b],this.target.append(v[c].canvas.createElement(this._gridPadding,"jqplot-series-canvas",null,this)),v[c].canvas.setContext(),v[c].canvas._elem.data("seriesIndex",c);this.target.append(this.eventCanvas.createElement(this._gridPadding,"jqplot-event-canvas",null,this)),this.eventCanvas.setContext(),this.eventCanvas._ctx.fillStyle="rgba(0,0,0,0)",this.eventCanvas._ctx.fillRect(0,0,this.eventCanvas._ctx.canvas.width,this.eventCanvas._ctx.canvas.height),this.bindCustomEvents(),this.legend.preDraw?(this.eventCanvas._elem.before(f),this.legend.pack(t),this.legend._elem?this.drawSeries({legendInfo:{location:this.legend.location,placement:this.legend.placement,width:this.legend.getWidth(),height:this.legend.getHeight(),xoffset:this.legend.xoffset,yoffset:this.legend.yoffset}}):this.drawSeries()):(this.drawSeries(),w&&a(v[w-1].canvas._elem).after(f),this.legend.pack(t));for(var b=0,d=a.jqplot.eventListenerHooks.length;b<d;b++)this.eventCanvas._elem.bind(a.jqplot.eventListenerHooks[b][0],{plot:this},a.jqplot.eventListenerHooks[b][1]);for(var b=0,d=this.eventListenerHooks.hooks.length;b<d;b++)this.eventCanvas._elem.bind(this.eventListenerHooks.hooks[b][0],{plot:this},this.eventListenerHooks.hooks[b][1]);var x=this.fillBetween;x.fill&&x.series1!==x.series2&&x.series1<w&&x.series2<w&&v[x.series1]._type==="line"&&v[x.series2]._type==="line"&&this.doFillBetweenLines();for(var b=0,d=a.jqplot.postDrawHooks.length;b<d;b++)a.jqplot.postDrawHooks[b].call(this);for(var b=0,d=this.postDrawHooks.hooks.length;b<d;b++)this.postDrawHooks.hooks[b].apply(this,this.postDrawHooks.args[b]);this.target.is(":visible")&&(this._drawCount+=1);var y,z,A,B;for(b=0,d=w;b<d;b++)y=v[b],z=y.renderer,A=".jqplot-point-label.jqplot-series-"+b,z.animation&&z.animation._supported&&z.animation.show&&(this._drawCount<2||this.animateReplot)&&(B=this.target.find(A),B.stop(!0,!0).hide(),y.canvas._elem.stop(!0,!0).hide(),y.shadowCanvas._elem.stop(!0,!0).hide(),y.canvas._elem.jqplotEffect("blind",{mode:"show",direction:z.animation.direction},z.animation.speed),y.shadowCanvas._elem.jqplotEffect("blind",{mode:"show",direction:z.animation.direction},z.animation.speed),B.fadeIn(z.animation.speed*.8));B=null,this.target.trigger("jqplotPostDraw",[this])}},i.prototype.doFillBetweenLines=function(){var a=this.fillBetween,b=a.series1,c=a.series2,d=b<c?b:c,e=c>b?c:b,f=this.series[d],g=this.series[e];if(g.renderer.smooth)var h=g.renderer._smoothedData.slice(0).reverse();else var h=g.gridData.slice(0).reverse();if(f.renderer.smooth)var i=f.renderer._smoothedData.concat(h);else var i=f.gridData.concat(h);var j=a.color!==null?a.color:this.series[b].fillColor,k=a.baseSeries!==null?a.baseSeries:d,l=this.series[k].renderer.shapeRenderer,m={fillStyle:j,fill:!0,closePath:!0};l.draw(f.shadowCanvas._ctx,i,m)},this.bindCustomEvents=function(){this.eventCanvas._elem.bind("click",{plot:this},this.onClick),this.eventCanvas._elem.bind("dblclick",{plot:this},this.onDblClick),this.eventCanvas._elem.bind("mousedown",{plot:this},this.onMouseDown),this.eventCanvas._elem.bind("mousemove",{plot:this},this.onMouseMove),this.eventCanvas._elem.bind("mouseenter",{plot:this},this.onMouseEnter),this.eventCanvas._elem.bind("mouseleave",{plot:this},this.onMouseLeave),this.captureRightClick?(this.eventCanvas._elem.bind("mouseup",{plot:this},this.onRightClick),this.eventCanvas._elem.get(0).oncontextmenu=function(){return!1}):this.eventCanvas._elem.bind("mouseup",{plot:this},this.onMouseUp)},this.onClick=function(b){var c=l(b),d=b.data.plot,e=m(c.gridPos,d),f=a.Event("jqplotClick");f.pageX=b.pageX,f.pageY=b.pageY,a(this).trigger(f,[c.gridPos,c.dataPos,e,d])},this.onDblClick=function(b){var c=l(b),d=b.data.plot,e=m(c.gridPos,d),f=a.Event("jqplotDblClick");f.pageX=b.pageX,f.pageY=b.pageY,a(this).trigger(f,[c.gridPos,c.dataPos,e,d])},this.onMouseDown=function(b){var c=l(b),d=b.data.plot,e=m(c.gridPos,d),f=a.Event("jqplotMouseDown");f.pageX=b.pageX,f.pageY=b.pageY,a(this).trigger(f,[c.gridPos,c.dataPos,e,d])},this.onMouseUp=function(b){var c=l(b),d=a.Event("jqplotMouseUp");d.pageX=b.pageX,d.pageY=b.pageY,a(this).trigger(d,[c.gridPos,c.dataPos,null,b.data.plot])},this.onRightClick=function(b){var c=l(b),d=b.data.plot,e=m(c.gridPos,d);if(d.captureRightClick)if(b.which==3){var f=a.Event("jqplotRightClick");f.pageX=b.pageX,f.pageY=b.pageY,a(this).trigger(f,[c.gridPos,c.dataPos,e,d])}else{var f=a.Event("jqplotMouseUp");f.pageX=b.pageX,f.pageY=b.pageY,a(this).trigger(f,[c.gridPos,c.dataPos,e,d])}},this.onMouseMove=function(b){var c=l(b),d=b.data.plot,e=m(c.gridPos,d),f=a.Event("jqplotMouseMove");f.pageX=b.pageX,f.pageY=b.pageY,a(this).trigger(f,[c.gridPos,c.dataPos,e,d])},this.onMouseEnter=function(b){var c=l(b),d=b.data.plot,e=a.Event("jqplotMouseEnter");e.pageX=b.pageX,e.pageY=b.pageY,e.relatedTarget=b.relatedTarget,a(this).trigger(e,[c.gridPos,c.dataPos,null,d])},this.onMouseLeave=function(b){var c=l(b),d=b.data.plot,e=a.Event("jqplotMouseLeave");e.pageX=b.pageX,e.pageY=b.pageY,e.relatedTarget=b.relatedTarget,a(this).trigger(e,[c.gridPos,c.dataPos,null,d])},this.drawSeries=function(c,d){var e,f,g;d=typeof c=="number"&&d==null?c:d,c=typeof c=="object"?c:{};if(d!=b)f=this.series[d],g=f.shadowCanvas._ctx,g.clearRect(0,0,g.canvas.width,g.canvas.height),f.drawShadow(g,c,this),g=f.canvas._ctx,g.clearRect(0,0,g.canvas.width,g.canvas.height),f.draw(g,c,this),f.renderer.constructor==a.jqplot.BezierCurveRenderer&&d<this.series.length-1&&this.drawSeries(d+1);else for(e=0;e<this.series.length;e++)f=this.series[e],g=f.shadowCanvas._ctx,g.clearRect(0,0,g.canvas.width,g.canvas.height),f.drawShadow(g,c,this),g=f.canvas._ctx,g.clearRect(0,0,g.canvas.width,g.canvas.height),f.draw(g,c,this);c=d=e=f=g=null},this.moveSeriesToFront=function(b){b=parseInt(b,10);var c=a.inArray(b,this.seriesStack);if(c==-1)return;if(c==this.seriesStack.length-1){this.previousSeriesStack=this.seriesStack.slice(0);return}var d=this.seriesStack[this.seriesStack.length-1],e=this.series[b].canvas._elem.detach(),f=this.series[b].shadowCanvas._elem.detach();this.series[d].shadowCanvas._elem.after(f),this.series[d].canvas._elem.after(e),this.previousSeriesStack=this.seriesStack.slice(0),this.seriesStack.splice(c,1),this.seriesStack.push(b)},this.moveSeriesToBack=function(b){b=parseInt(b,10);var c=a.inArray(b,this.seriesStack);if(c==0||c==-1)return;var d=this.seriesStack[0],e=this.series[b].canvas._elem.detach(),f=this.series[b].shadowCanvas._elem.detach();this.series[d].shadowCanvas._elem.before(f),this.series[d].canvas._elem.before(e),this.previousSeriesStack=this.seriesStack.slice(0),this.seriesStack.splice(c,1),this.seriesStack.unshift(b)},this.restorePreviousSeriesOrder=function(){var a,b,c,d,e,f,g;if(this.seriesStack==this.previousSeriesStack)return;for(a=1;a<this.previousSeriesStack.length;a++)f=this.previousSeriesStack[a],g=this.previousSeriesStack[a-1],c=this.series[f].canvas._elem.detach(),d=this.series[f].shadowCanvas._elem.detach(),this.series[g].shadowCanvas._elem.after(d),this.series[g].canvas._elem.after(c);e=this.seriesStack.slice(0),this.seriesStack=this.previousSeriesStack.slice(0),this.previousSeriesStack=e},this.restoreOriginalSeriesOrder=function(){var a,b,c=[],d,e;for(a=0;a<this.series.length;a++)c.push(a);if(this.seriesStack==c)return;this.previousSeriesStack=this.seriesStack.slice(0),this.seriesStack=c;for(a=1;a<this.seriesStack.length;a++)d=this.series[a].canvas._elem.detach(),e=this.series[a].shadowCanvas._elem.detach(),this.series[a-1].shadowCanvas._elem.after(e),this.series[a-1].canvas._elem.after(d)},this.activateTheme=function(a){this.themeEngine.activate(this,a)}}function k(a,b){return(3.4182054+b)*Math.pow(a,-0.3534992)}function l(a,b){var c=Math.sqrt(Math.pow(b[0]-a[0],2)+Math.pow(b[1]-a[1],2));return 5.7648*Math.log(c)+7.4456}function m(a){var b=(Math.exp(2*a)-1)/(Math.exp(2*a)+1);return b}function n(a){function p(a,b){return a-b==0?Math.pow(10,10):a-b}var b=this.renderer.smooth,c=this.canvas.getWidth(),d=this._xaxis.series_p2u,e=this._yaxis.series_p2u,f=null,g=null,h=a.length/c,i=[],j=[];isNaN(parseFloat(b))?f=k(h,.5):f=parseFloat(b);var l=[],m=[];for(var n=0,o=a.length;n<o;n++)l.push(a[n][1]),m.push(a[n][0]);var q,r,s,t,u=a.length-1;for(var v=1,w=a.length;v<w;v++){var x=[],y=[];for(var z=0;z<2;z++){var n=v-1+z;n==0||n==u?x[z]=Math.pow(10,10):l[n+1]-l[n]==0||l[n]-l[n-1]==0?x[z]=0:(m[n+1]-m[n])/(l[n+1]-l[n])+(m[n]-m[n-1])/(l[n]-l[n-1])==0?x[z]=0:(l[n+1]-l[n])*(l[n]-l[n-1])<0?x[z]=0:x[z]=2/(p(m[n+1],m[n])/(l[n+1]-l[n])+p(m[n],m[n-1])/(l[n]-l[n-1]))}v==1?x[0]=1.5*(l[1]-l[0])/p(m[1],m[0])-x[1]/2:v==u&&(x[1]=1.5*(l[u]-l[u-1])/p(m[u],m[u-1])-x[0]/2),y[0]=-2*(x[1]+2*x[0])/p(m[v],m[v-1])+6*(l[v]-l[v-1])/Math.pow(p(m[v],m[v-1]),2),y[1]=2*(2*x[1]+x[0])/p(m[v],m[v-1])-6*(l[v]-l[v-1])/Math.pow(p(m[v],m[v-1]),2),t=1/6*(y[1]-y[0])/p(m[v],m[v-1]),s=.5*(m[v]*y[0]-m[v-1]*y[1])/p(m[v],m[v-1]),r=(l[v]-l[v-1]-s*(Math.pow(m[v],2)-Math.pow(m[v-1],2))-t*(Math.pow(m[v],3)-Math.pow(m[v-1],3)))/p(m[v],m[v-1]),q=l[v-1]-r*m[v-1]-s*Math.pow(m[v-1],2)-t*Math.pow(m[v-1],3);var A=(m[v]-m[v-1])/f,B,C;for(var z=0,o=f;z<o;z++)B=[],C=m[v-1]+z*A,B.push(C),B.push(q+r*C+s*Math.pow(C,2)+t*Math.pow(C,3)),i.push(B),j.push([d(B[0]),e(B[1])])}return i.push(a[n]),j.push([d(a[n][0]),e(a[n][1])]),[i,j]}function o(a){var b=this.renderer.smooth,c=this.renderer.tension,d=this.canvas.getWidth(),e=this._xaxis.series_p2u,f=this._yaxis.series_p2u,g=null,h=null,i=null,j=null,l=null,n=null,o=null,p=null,q,r,s,t,u,v,w,x,y,z,A,B,C,D=[],E=[],F=a.length/d,G,H,I,J,K,L=[],M=[];isNaN(parseFloat(b))?g=k(F,.5):g=parseFloat(b),isNaN(parseFloat(c))||(c=parseFloat(c));for(var N=0,O=a.length-1;N<O;N++){c===null?(n=Math.abs((a[N+1][1]-a[N][1])/(a[N+1][0]-a[N][0])),G=.3,H=.6,I=(H-G)/2,J=2.5,K=-1.4,p=n/J+K,j=I*m(p)-I*m(K)+G,N>0&&(o=Math.abs((a[N][1]-a[N-1][1])/(a[N][0]-a[N-1][0]))),p=o/J+K,l=I*m(p)-I*m(K)+G,i=(j+l)/2):i=c;for(q=0;q<g;q++)r=q/g,s=(1+2*r)*Math.pow(1-r,2),t=r*Math.pow(1-r,2),u=Math.pow(r,2)*(3-2*r),v=Math.pow(r,2)*(r-1),a[N-1]?(w=i*(a[N+1][0]-a[N-1][0]),x=i*(a[N+1][1]-a[N-1][1])):(w=i*(a[N+1][0]-a[N][0]),x=i*(a[N+1][1]-a[N][1])),a[N+2]?(y=i*(a[N+2][0]-a[N][0]),z=i*(a[N+2][1]-a[N][1])):(y=i*(a[N+1][0]-a[N][0]),z=i*(a[N+1][1]-a[N][1])),A=s*a[N][0]+u*a[N+1][0]+t*w+v*y,B=s*a[N][1]+u*a[N+1][1]+t*x+v*z,C=[A,B],L.push(C),M.push([e(A),f(B)])}return L.push(a[O]),M.push([e(a[O][0]),f(a[O][1])]),[L,M]}function p(b,c,d){for(var e=0;e<this.series.length;e++)this.series[e].renderer.constructor==a.jqplot.LineRenderer&&this.series[e].highlightMouseOver&&(this.series[e].highlightMouseDown=!1)}function q(){this.plugins.lineRenderer&&this.plugins.lineRenderer.highlightCanvas&&(this.plugins.lineRenderer.highlightCanvas.resetCanvas(),this.plugins.lineRenderer.highlightCanvas=null),this.plugins.lineRenderer.highlightedSeriesIndex=null,this.plugins.lineRenderer.highlightCanvas=new a.jqplot.GenericCanvas,this.eventCanvas._elem.before(this.plugins.lineRenderer.highlightCanvas.createElement(this._gridPadding,"jqplot-lineRenderer-highlight-canvas",this._plotDimensions,this)),this.plugins.lineRenderer.highlightCanvas.setContext(),this.eventCanvas._elem.bind("mouseleave",{plot:this},function(a){s(a.data.plot)})}function r(a,b,c,d){var e=a.series[b],f=a.plugins.lineRenderer.highlightCanvas;f._ctx.clearRect(0,0,f._ctx.canvas.width,f._ctx.canvas.height),e._highlightedPoint=c,a.plugins.lineRenderer.highlightedSeriesIndex=b;var g={fillStyle:e.highlightColor};e.type==="line"&&e.renderer.bands.show&&(g.fill=!0,g.closePath=!0),e.renderer.shapeRenderer.draw(f._ctx,d,g),f=null}function s(a){var b=a.plugins.lineRenderer.highlightCanvas;b._ctx.clearRect(0,0,b._ctx.canvas.width,b._ctx.canvas.height);for(var c=0;c<a.series.length;c++)a.series[c]._highlightedPoint=null;a.plugins.lineRenderer.highlightedSeriesIndex=null,a.target.trigger("jqplotDataUnhighlight"),b=null}function t(b,c,d,e,f){if(e){var g=[e.seriesIndex,e.pointIndex,e.data],h=a.Event("jqplotDataMouseOver");h.pageX=b.pageX,h.pageY=b.pageY,f.target.trigger(h,g);if(f.series[g[0]].highlightMouseOver&&g[0]!=f.plugins.lineRenderer.highlightedSeriesIndex){var i=a.Event("jqplotDataHighlight");i.which=b.which,i.pageX=b.pageX,i.pageY=b.pageY,f.target.trigger(i,g),r(f,e.seriesIndex,e.pointIndex,e.points)}}else e==null&&s(f)}function u(b,c,d,e,f){if(e){var g=[e.seriesIndex,e.pointIndex,e.data];if(f.series[g[0]].highlightMouseDown&&g[0]!=f.plugins.lineRenderer.highlightedSeriesIndex){var h=a.Event("jqplotDataHighlight");h.which=b.which,h.pageX=b.pageX,h.pageY=b.pageY,f.target.trigger(h,g),r(f,e.seriesIndex,e.pointIndex,e.points)}}else e==null&&s(f)}function v(a,b,c,d,e){var f=e.plugins.lineRenderer.highlightedSeriesIndex;f!=null&&e.series[f].highlightMouseDown&&s(e)}function w(b,c,d,e,f){if(e){var g=[e.seriesIndex,e.pointIndex,e.data],h=a.Event("jqplotDataClick");h.which=b.which,h.pageX=b.pageX,h.pageY=b.pageY,f.target.trigger(h,g)}}function x(b,c,d,e,f){if(e){var g=[e.seriesIndex,e.pointIndex,e.data],h=f.plugins.lineRenderer.highlightedSeriesIndex;h!=null&&f.series[h].highlightMouseDown&&s(f);var i=a.Event("jqplotDataRightClick");i.which=b.which,i.pageX=b.pageX,i.pageY=b.pageY,f.target.trigger(i,g)}}function y(a){var b;a=Math.abs(a);if(a>=10)b="%d";else if(a>1)a===parseInt(a,10)?b="%d":b="%.1f";else{var c=-Math.floor(Math.log(a)/Math.LN10);b="%."+c+"f"}return b}function C(b,c,d){var e=Math.floor(d/2),f=Math.ceil(d*1.5),g=Number.MAX_VALUE,h=c-b,i,j,k,l=a.jqplot.getSignificantFigures,m,n,o,p;for(var q=0,r=f-e+1;q<r;q++)o=e+q,i=h/(o-1),j=l(i),i=Math.abs(d-o)+j.digitsRight,i<g?(g=i,k=o,p=j.digitsRight):i===g&&j.digitsRight<p&&(k=o,p=j.digitsRight);return m=Math.max(p,Math.max(l(b).digitsRight,l(c).digitsRight)),m===0?n="%d":n="%."+m+"f",i=h/(k-1),[b,c,k,n,i]}function D(a,b){b=b||7;var c=a/(b-1),d=Math.pow(10,Math.floor(Math.log(c)/Math.LN10)),e=c/d,f;return d<1?e>5?f=10*d:e>2?f=5*d:e>1?f=2*d:f=d:e>5?f=10*d:e>4?f=5*d:e>3?f=4*d:e>2?f=3*d:e>1?f=2*d:f=d,f}function E(a,b){b=b||1;var c=Math.floor(Math.log(a)/Math.LN10),d=Math.pow(10,c),e=a/d,f;return e/=b,e<=.38?f=.1:e<=1.6?f=.2:e<=4?f=.5:e<=8?f=1:e<=16?f=2:f=5,f*d}function F(a,b){var c=Math.floor(Math.log(a)/Math.LN10),d=Math.pow(10,c),e=a/d,f,g;return e/=b,e<=.38?g=.1:e<=1.6?g=.2:e<=4?g=.5:e<=8?g=1:e<=16?g=2:g=5,f=g*d,[f,g,d]}function G(a,b){return a-b}function H(a){if(a==null||typeof a!="object")return a;var b=new a.constructor;for(var c in a)b[c]=H(a[c]);return b}function I(a,b){if(b==null||typeof b!="object")return;for(var c in b)c=="highlightColors"&&(a[c]=H(b[c])),b[c]!=null&&typeof b[c]=="object"?(a.hasOwnProperty(c)||(a[c]={}),I(a[c],b[c])):a[c]=b[c]}function Z(a,b){if(b.indexOf)return b.indexOf(a);for(var c=0,d=b.length;c<d;c++)if(b[c]===a)return c;return-1}function $(a){return a===null?"[object Null]":Object.prototype.toString.call(a)}var b;a.fn.emptyForce=function(){for(var b=0,c;(c=a(this)[b])!=null;b++){c.nodeType===1&&a.cleanData(c.getElementsByTagName("*"));if(a.jqplot.use_excanvas)c.outerHTML="";else while(c.firstChild)c.removeChild(c.firstChild);c=null}return a(this)},a.fn.removeChildForce=function(a){while(a.firstChild)this.removeChildForce(a.firstChild),a.removeChild(a.firstChild)},a.fn.jqplot=function(){var c=[],d=[];for(var e=0,f=arguments.length;e<f;e++)a.isArray(arguments[e])?c.push(arguments[e]):a.isPlainObject(arguments[e])&&d.push(arguments[e]);return this.each(function(e){var f,g,h=a(this),i=c.length,j=d.length,k,l;e<i?k=c[e]:k=i?c[i-1]:null,e<j?l=d[e]:l=j?d[j-1]:null,f=h.attr("id"),f===b&&(f="jqplot_target_"+a.jqplot.targetCounter++,h.attr("id",f)),g=a.jqplot(f,k,l),h.data("jqplot",g)})},a.jqplot=function(b,c,d){var e=null,f=null;arguments.length===3?(e=c,f=d):arguments.length===2&&(a.isArray(c)?e=c:a.isPlainObject(c)&&(f=c)),e===null&&f!==null&&f.data&&(e=f.data);var g=new i;a("#"+b).removeClass("jqplot-error");if(!a.jqplot.config.catchErrors)return g.init(b,e,f),g.draw(),g.themeEngine.init.call(g),g;try{return g.init(b,e,f),g.draw(),g.themeEngine.init.call(g),g}catch(h){var j=a.jqplot.config.errorMessage||h.message;a("#"+b).append('<div class="jqplot-error-message">'+j+"</div>"),a("#"+b).addClass("jqplot-error"),document.getElementById(b).style.background=a.jqplot.config.errorBackground,document.getElementById(b).style.border=a.jqplot.config.errorBorder,document.getElementById(b).style.fontFamily=a.jqplot.config.errorFontFamily,document.getElementById(b).style.fontSize=a.jqplot.config.errorFontSize,document.getElementById(b).style.fontStyle=a.jqplot.config.errorFontStyle,document.getElementById(b).style.fontWeight=a.jqplot.config.errorFontWeight}},a.jqplot.version="1.0.0",a.jqplot.revision="1095",a.jqplot.targetCounter=1,a.jqplot.CanvasManager=function(){typeof a.jqplot.CanvasManager.canvases=="undefined"&&(a.jqplot.CanvasManager.canvases=[],a.jqplot.CanvasManager.free=[]);var c=[];this.getCanvas=function(){var b,d=!0;if(!a.jqplot.use_excanvas)for(var e=0,f=a.jqplot.CanvasManager.canvases.length;e<f;e++)if(a.jqplot.CanvasManager.free[e]===!0){d=!1,b=a.jqplot.CanvasManager.canvases[e],a.jqplot.CanvasManager.free[e]=!1,c.push(e);break}return d&&(b=document.createElement("canvas"),c.push(a.jqplot.CanvasManager.canvases.length),a.jqplot.CanvasManager.canvases.push(b),a.jqplot.CanvasManager.free.push(!1)),b},this.initCanvas=function(b){return a.jqplot.use_excanvas?window.G_vmlCanvasManager.initElement(b):b},this.freeAllCanvases=function(){for(var a=0,b=c.length;a<b;a++)this.freeCanvas(c[a]);c=[]},this.freeCanvas=function(c){if(a.jqplot.use_excanvas&&window.G_vmlCanvasManager.uninitElement!==b)window.G_vmlCanvasManager.uninitElement(a.jqplot.CanvasManager.canvases[c]),a.jqplot.CanvasManager.canvases[c]=null;else{var d=a.jqplot.CanvasManager.canvases[c];d.getContext("2d").clearRect(0,0,d.width,d.height),a(d).unbind().removeAttr("class").removeAttr("style"),a(d).css({left:"",top:"",position:""}),d.width=0,d.height=0,a.jqplot.CanvasManager.free[c]=!0}}},a.jqplot.log=function(){window.console&&window.console.log.apply(window.console,arguments)},a.jqplot.config={addDomReference:!1,enablePlugins:!1,defaultHeight:300,defaultWidth:400,UTCAdjust:!1,timezoneOffset:new Date((new Date).getTimezoneOffset()*6e4),errorMessage:"",errorBackground:"",errorBorder:"",errorFontFamily:"",errorFontSize:"",errorFontStyle:"",errorFontWeight:"",catchErrors:!1,defaultTickFormatString:"%.1f",defaultColors:["#4bb2c5","#EAA228","#c5b47f","#579575","#839557","#958c12","#953579","#4b5de4","#d8b83f","#ff5800","#0085cc","#c747a3","#cddf54","#FBD178","#26B4E3","#bd70c7"],defaultNegativeColors:["#498991","#C08840","#9F9274","#546D61","#646C4A","#6F6621","#6E3F5F","#4F64B0","#A89050","#C45923","#187399","#945381","#959E5C","#C7AF7B","#478396","#907294"],dashLength:4,gapLength:4,dotGapLength:2.5,srcLocation:"jqplot/src/",pluginLocation:"jqplot/src/plugins/"},a.jqplot.arrayMax=function(a){return Math.max.apply(Math,a)},a.jqplot.arrayMin=function(a){return Math.min.apply(Math,a)},a.jqplot.enablePlugins=a.jqplot.config.enablePlugins,a.jqplot.support_canvas=function(){return typeof a.jqplot.support_canvas.result=="undefined"&&(a.jqplot.support_canvas.result=!!document.createElement("canvas").getContext),a.jqplot.support_canvas.result},a.jqplot.support_canvas_text=function(){return typeof a.jqplot.support_canvas_text.result=="undefined"&&(window.G_vmlCanvasManager!==b&&window.G_vmlCanvasManager._version>887?a.jqplot.support_canvas_text.result=!0:a.jqplot.support_canvas_text.result=!!document.createElement("canvas").getContext&&typeof document.createElement("canvas").getContext("2d").fillText=="function"),a.jqplot.support_canvas_text.result},a.jqplot.use_excanvas=a.browser.msie&&!a.jqplot.support_canvas()?!0:!1,a.jqplot.preInitHooks=[],a.jqplot.postInitHooks=[],a.jqplot.preParseOptionsHooks=[],a.jqplot.postParseOptionsHooks=[],a.jqplot.preDrawHooks=[],a.jqplot.postDrawHooks=[],a.jqplot.preDrawSeriesHooks=[],a.jqplot.postDrawSeriesHooks=[],a.jqplot.preDrawLegendHooks=[],a.jqplot.addLegendRowHooks=[],a.jqplot.preSeriesInitHooks=[],a.jqplot.postSeriesInitHooks=[],a.jqplot.preParseSeriesOptionsHooks=[],a.jqplot.postParseSeriesOptionsHooks=[],a.jqplot.eventListenerHooks=[],a.jqplot.preDrawSeriesShadowHooks=[],a.jqplot.postDrawSeriesShadowHooks=[],a.jqplot.ElemContainer=function(){this._elem,this._plotWidth,this._plotHeight,this._plotDimensions={height:null,width:null}},a.jqplot.ElemContainer.prototype.createElement=function(b,c,d,e,f){this._offsets=c;var g=d||"jqplot",h=document.createElement(b);return this._elem=a(h),this._elem.addClass(g),this._elem.css(e),this._elem.attr(f),h=null,this._elem},a.jqplot.ElemContainer.prototype.getWidth=function(){return this._elem?this._elem.outerWidth(!0):null},a.jqplot.ElemContainer.prototype.getHeight=function(){return this._elem?this._elem.outerHeight(!0):null},a.jqplot.ElemContainer.prototype.getPosition=function(){return this._elem?this._elem.position():{top:null,left:null,bottom:null,right:null}},a.jqplot.ElemContainer.prototype.getTop=function(){return this.getPosition().top},a.jqplot.ElemContainer.prototype.getLeft=function(){return this.getPosition().left},a.jqplot.ElemContainer.prototype.getBottom=function(){return this._elem.css("bottom")},a.jqplot.ElemContainer.prototype.getRight=function(){return this._elem.css("right")},c.prototype=new a.jqplot.ElemContainer,c.prototype.constructor=c,c.prototype.init=function(){a.isFunction(this.renderer)&&(this.renderer=new this.renderer),this.tickOptions.axis=this.name,this.tickOptions.showMark==null&&(this.tickOptions.showMark=this.showTicks),this.tickOptions.showMark==null&&(this.tickOptions.showMark=this.showTickMarks),this.tickOptions.showLabel==null&&(this.tickOptions.showLabel=this.showTicks),this.label==null||this.label==""?this.showLabel=!1:this.labelOptions.label=this.label,this.showLabel==0&&(this.labelOptions.show=!1),this.pad==0&&(this.pad=1),this.padMax==0&&(this.padMax=1),this.padMin==0&&(this.padMin=1),this.padMax==null&&(this.padMax=(this.pad-1)/2+1),this.padMin==null&&(this.padMin=(this.pad-1)/2+1),this.pad=this.padMax+this.padMin-1;if(this.min!=null||this.max!=null)this.autoscale=!1;this.syncTicks==null&&this.name.indexOf("y")>-1?this.syncTicks=!0:this.syncTicks==null&&(this.syncTicks=!1),this.renderer.init.call(this,this.rendererOptions)},c.prototype.draw=function(a,b){return this.__ticks&&(this.__ticks=null),this.renderer.draw.call(this,a,b)},c.prototype.set=function(){this.renderer.set.call(this)},c.prototype.pack=function(a,b){this.show&&this.renderer.pack.call(this,a,b),this._min==null&&(this._min=this.min,this._max=this.max,this._tickInterval=this.tickInterval,this._numberTicks=this.numberTicks,this.__ticks=this._ticks)},c.prototype.reset=function(){this.renderer.reset.call(this)},c.prototype.resetScale=function(b){a.extend(!0,this,{min:null,max:null,numberTicks:null,tickInterval:null,_ticks:[],ticks:[]},b),this.resetDataBounds()},c.prototype.resetDataBounds=function(){var b=this._dataBounds;b.min=null,b.max=null;var c,d,e,f=this.show?!0:!1;for(var g=0;g<this._series.length;g++){d=this._series[g];if(d.show||this.scaleToHiddenSeries){e=d._plotData,d._type==="line"&&d.renderer.bands.show&&this.name.charAt(0)!=="x"&&(e=[[0,d.renderer.bands._min],[1,d.renderer.bands._max]]);var h=1,i=1;d._type!=null&&d._type=="ohlc"&&(h=3,i=2);for(var j=0,c=e.length;j<c;j++)if(this.name=="xaxis"||this.name=="x2axis"){if(e[j][0]!=null&&e[j][0]<b.min||b.min==null)b.min=e[j][0];if(e[j][0]!=null&&e[j][0]>b.max||b.max==null)b.max=e[j][0]}else{if(e[j][h]!=null&&e[j][h]<b.min||b.min==null)b.min=e[j][h];if(e[j][i]!=null&&e[j][i]>b.max||b.max==null)b.max=e[j][i]}if(f&&d.renderer.constructor!==a.jqplot.BarRenderer)f=!1;else if(f&&this._options.hasOwnProperty("forceTickAt0")&&this._options.forceTickAt0==0)f=!1;else if(f&&d.renderer.constructor===a.jqplot.BarRenderer)if(d.barDirection=="vertical"&&this.name!="xaxis"&&this.name!="x2axis"){if(this._options.pad!=null||this._options.padMin!=null)f=!1}else d.barDirection=="horizontal"&&(this.name=="xaxis"||this.name=="x2axis")&&(this._options.pad!=null||this._options.padMin!=null)&&(f=!1)}}f&&this.renderer.constructor===a.jqplot.LinearAxisRenderer&&b.min>=0&&(this.padMin=1,this.forceTickAt0=!0)},d.prototype=new a.jqplot.ElemContainer,d.prototype.constructor=d,d.prototype.setOptions=function(b){a.extend(!0,this,b),this.placement=="inside"&&(this.placement="insideGrid");if(this.xoffset>0){if(this.placement=="insideGrid")switch(this.location){case"nw":case"w":case"sw":this.marginLeft==null&&(this.marginLeft=this.xoffset+"px"),this.marginRight="0px";break;case"ne":case"e":case"se":default:this.marginRight==null&&(this.marginRight=this.xoffset+"px"),this.marginLeft="0px"}else if(this.placement=="outside")switch(this.location){case"nw":case"w":case"sw":this.marginRight==null&&(this.marginRight=this.xoffset+"px"),this.marginLeft="0px";break;case"ne":case"e":case"se":default:this.marginLeft==null&&(this.marginLeft=this.xoffset+"px"),this.marginRight="0px"}this.xoffset=0}if(this.yoffset>0){if(this.placement=="outside")switch(this.location){case"sw":case"s":case"se":this.marginTop==null&&(this.marginTop=this.yoffset+"px"),this.marginBottom="0px";break;case"ne":case"n":case"nw":default:this.marginBottom==null&&(this.marginBottom=this.yoffset+"px"),this.marginTop="0px"}else if(this.placement=="insideGrid")switch(this.location){case"sw":case"s":case"se":this.marginBottom==null&&(this.marginBottom=this.yoffset+"px"),this.marginTop="0px";break;case"ne":case"n":case"nw":default:this.marginTop==null&&(this.marginTop=this.yoffset+"px"),this.marginBottom="0px"}this.yoffset=0}},d.prototype.init=function(){a.isFunction(this.renderer)&&(this.renderer=new this.renderer),this.renderer.init.call(this,this.rendererOptions)},d.prototype.draw=function(b,c){for(var d=0;d<a.jqplot.preDrawLegendHooks.length;d++)a.jqplot.preDrawLegendHooks[d].call(this,b);return this.renderer.draw.call(this,b,c)},d.prototype.pack=function(a){this.renderer.pack.call(this,a)},e.prototype=new a.jqplot.ElemContainer,e.prototype.constructor=e,e.prototype.init=function(){a.isFunction(this.renderer)&&(this.renderer=new this.renderer),this.renderer.init.call(this,this.rendererOptions)},e.prototype.draw=function(a){return this.renderer.draw.call(this,a)},e.prototype.pack=function(){this.renderer.pack.call(this)},f.prototype=new a.jqplot.ElemContainer,f.prototype.constructor=f,f.prototype.init=function(b,c,d){this.index=b,this.gridBorderWidth=c;var e=this.data,f=[],g;for(g=0;g<e.length;g++)if(!this.breakOnNull){if(e[g]==null||e[g][0]==null||e[g][1]==null)continue;f.push(e[g])}else f.push(e[g]);this.data=f,this.color||(this.color=d.colorGenerator.get(this.index)),this.negativeColor||(this.negativeColor=d.negativeColorGenerator.get(this.index)),this.fillColor||(this.fillColor=this.color);if(this.fillAlpha){var h=a.jqplot.normalize2rgb(this.fillColor),h=a.jqplot.getColorComponents(h);this.fillColor="rgba("+h[0]+","+h[1]+","+h[2]+","+this.fillAlpha+")"}a.isFunction(this.renderer)&&(this.renderer=new this.renderer),this.renderer.init.call(this,this.rendererOptions,d),this.markerRenderer=new this.markerRenderer,this.markerOptions.color||(this.markerOptions.color=this.color),this.markerOptions.show==null&&(this.markerOptions.show=this.showMarker),this.showMarker=this.markerOptions.show,this.markerRenderer.init(this.markerOptions)},f.prototype.draw=function(c,d,e){var f=d==b?{}:d;c=c==b?this.canvas._ctx:c;var g,h,i;for(g=0;g<a.jqplot.preDrawSeriesHooks.length;g++)a.jqplot.preDrawSeriesHooks[g].call(this,c,f);this.show&&(this.renderer.setGridData.call(this,e),f.preventJqPlotSeriesDrawTrigger||a(c.canvas).trigger("jqplotSeriesDraw",[this.data,this.gridData]),h=[],f.data?h=f.data:this._stack?h=this._plotData:h=this.data,i=f.gridData||this.renderer.makeGridData.call(this,h,e),this._type==="line"&&this.renderer.smooth&&this.renderer._smoothedData.length&&(i=this.renderer._smoothedData),this.renderer.draw.call(this,c,i,f,e));for(g=0;g<a.jqplot.postDrawSeriesHooks.length;g++)a.jqplot.postDrawSeriesHooks[g].call(this,c,f,e);c=d=e=g=h=i=null},f.prototype.drawShadow=function(c,d,e){var f=d==b?{}:d;c=c==b?this.shadowCanvas._ctx:c;var g,h,i;for(g=0;g<a.jqplot.preDrawSeriesShadowHooks.length;g++)a.jqplot.preDrawSeriesShadowHooks[g].call(this,c,f);this.shadow&&(this.renderer.setGridData.call(this,e),h=[],f.data?h=f.data:this._stack?h=this._plotData:h=this.data,i=f.gridData||this.renderer.makeGridData.call(this,h,e),this.renderer.drawShadow.call(this,c,i,f));for(g=0;g<a.jqplot.postDrawSeriesShadowHooks.length;g++)a.jqplot.postDrawSeriesShadowHooks[g].call(this,c,f);c=d=e=g=h=i=null},f.prototype.toggleDisplay=function(a,b){var c,d;a.data.series?c=a.data.series:c=this,a.data.speed&&(d=a.data.speed),d?c.canvas._elem.is(":hidden")||!c.show?(c.show=!0,c.canvas._elem.removeClass("jqplot-series-hidden"),c.shadowCanvas._elem&&c.shadowCanvas._elem.fadeIn(d),c.canvas._elem.fadeIn(d,b),c.canvas._elem.nextAll(".jqplot-point-label.jqplot-series-"+c.index).fadeIn(d)):(c.show=!1,c.canvas._elem.addClass("jqplot-series-hidden"),c.shadowCanvas._elem&&c.shadowCanvas._elem.fadeOut(d),c.canvas._elem.fadeOut(d,b),c.canvas._elem.nextAll(".jqplot-point-label.jqplot-series-"+c.index).fadeOut(d)):c.canvas._elem.is(":hidden")||!c.show?(c.show=!0,c.canvas._elem.removeClass("jqplot-series-hidden"),c.shadowCanvas._elem&&c.shadowCanvas._elem.show(),c.canvas._elem.show(0,b),c.canvas._elem.nextAll(".jqplot-point-label.jqplot-series-"+c.index).show()):(c.show=!1,c.canvas._elem.addClass("jqplot-series-hidden"),c.shadowCanvas._elem&&c.shadowCanvas._elem.hide(),c.canvas._elem.hide(0,b),c.canvas._elem.nextAll(".jqplot-point-label.jqplot-series-"+c.index).hide())},g.prototype=new a.jqplot.ElemContainer,g.prototype.constructor=g,g.prototype.init=function(){a.isFunction(this.renderer)&&(this.renderer=new this.renderer),this.renderer.init.call(this,this.rendererOptions)},g.prototype.createElement=function(a,b){return this._offsets=a,this.renderer.createElement.call(this,b)},g.prototype.draw=function(){this.renderer.draw.call(this)},a.jqplot.GenericCanvas=function(){a.jqplot.ElemContainer.call(this),this._ctx},a.jqplot.GenericCanvas.prototype=new a.jqplot.ElemContainer,a.jqplot.GenericCanvas.prototype.constructor=a.jqplot.GenericCanvas,a.jqplot.GenericCanvas.prototype.createElement=function(c,d,e,f){this._offsets=c;var g="jqplot";d!=b&&(g=d);var h;return h=f.canvasManager.getCanvas(),e!=null&&(this._plotDimensions=e),h.width=this._plotDimensions.width-this._offsets.left-this._offsets.right,h.height=this._plotDimensions.height-this._offsets.top-this._offsets.bottom,this._elem=a(h),this._elem.css({position:"absolute",left:this._offsets.left,top:this._offsets.top}),this._elem.addClass(g),h=f.canvasManager.initCanvas(h),h=null,this._elem},a.jqplot.GenericCanvas.prototype.setContext=function(
){return this._ctx=this._elem.get(0).getContext("2d"),this._ctx},a.jqplot.GenericCanvas.prototype.resetCanvas=function(){this._elem&&(a.jqplot.use_excanvas&&window.G_vmlCanvasManager.uninitElement!==b&&window.G_vmlCanvasManager.uninitElement(this._elem.get(0)),this._elem.emptyForce()),this._ctx=null},a.jqplot.HooksManager=function(){this.hooks=[],this.args=[]},a.jqplot.HooksManager.prototype.addOnce=function(a,b){b=b||[];var c=!1;for(var d=0,e=this.hooks.length;d<e;d++)this.hooks[d]==a&&(c=!0);c||(this.hooks.push(a),this.args.push(b))},a.jqplot.HooksManager.prototype.add=function(a,b){b=b||[],this.hooks.push(a),this.args.push(b)},a.jqplot.EventListenerManager=function(){this.hooks=[]},a.jqplot.EventListenerManager.prototype.addOnce=function(a,b){var c=!1,d,e;for(var e=0,f=this.hooks.length;e<f;e++)d=this.hooks[e],d[0]==a&&d[1]==b&&(c=!0);c||this.hooks.push([a,b])},a.jqplot.EventListenerManager.prototype.add=function(a,b){this.hooks.push([a,b])};var h=["yMidAxis","xaxis","yaxis","x2axis","y2axis","y3axis","y4axis","y5axis","y6axis","y7axis","y8axis","y9axis"];a.jqplot.computeHighlightColors=function(b){var c;if(a.isArray(b)){c=[];for(var d=0;d<b.length;d++){var e=a.jqplot.getColorComponents(b[d]),f=[e[0],e[1],e[2]],g=f[0]+f[1]+f[2];for(var h=0;h<3;h++)f[h]=g>660?f[h]*.85:.73*f[h]+90,f[h]=parseInt(f[h],10),f[h]>255?255:f[h];f[3]=.3+.35*e[3],c.push("rgba("+f[0]+","+f[1]+","+f[2]+","+f[3]+")")}}else{var e=a.jqplot.getColorComponents(b),f=[e[0],e[1],e[2]],g=f[0]+f[1]+f[2];for(var h=0;h<3;h++)f[h]=g>660?f[h]*.85:.73*f[h]+90,f[h]=parseInt(f[h],10),f[h]>255?255:f[h];f[3]=.3+.35*e[3],c="rgba("+f[0]+","+f[1]+","+f[2]+","+f[3]+")"}return c},a.jqplot.ColorGenerator=function(b){b=b||a.jqplot.config.defaultColors;var c=0;this.next=function(){return c<b.length?b[c++]:(c=0,b[c++])},this.previous=function(){return c>0?b[c--]:(c=b.length-1,b[c])},this.get=function(a){var c=a-b.length*Math.floor(a/b.length);return b[c]},this.setColors=function(a){b=a},this.reset=function(){c=0},this.getIndex=function(){return c},this.setIndex=function(a){c=a}},a.jqplot.hex2rgb=function(a,b){a=a.replace("#",""),a.length==3&&(a=a.charAt(0)+a.charAt(0)+a.charAt(1)+a.charAt(1)+a.charAt(2)+a.charAt(2));var c;return c="rgba("+parseInt(a.slice(0,2),16)+", "+parseInt(a.slice(2,4),16)+", "+parseInt(a.slice(4,6),16),b&&(c+=", "+b),c+=")",c},a.jqplot.rgb2hex=function(a){var b=/rgba?\( *([0-9]{1,3}\.?[0-9]*%?) *, *([0-9]{1,3}\.?[0-9]*%?) *, *([0-9]{1,3}\.?[0-9]*%?) *(?:, *[0-9.]*)?\)/,c=a.match(b),d="#";for(var e=1;e<4;e++){var f;c[e].search(/%/)!=-1?(f=parseInt(255*c[e]/100,10).toString(16),f.length==1&&(f="0"+f)):(f=parseInt(c[e],10).toString(16),f.length==1&&(f="0"+f)),d+=f}return d},a.jqplot.normalize2rgb=function(b,c){if(b.search(/^ *rgba?\(/)!=-1)return b;if(b.search(/^ *#?[0-9a-fA-F]?[0-9a-fA-F]/)!=-1)return a.jqplot.hex2rgb(b,c);throw"invalid color spec"},a.jqplot.getColorComponents=function(b){b=a.jqplot.colorKeywordMap[b]||b;var c=a.jqplot.normalize2rgb(b),d=/rgba?\( *([0-9]{1,3}\.?[0-9]*%?) *, *([0-9]{1,3}\.?[0-9]*%?) *, *([0-9]{1,3}\.?[0-9]*%?) *,? *([0-9.]* *)?\)/,e=c.match(d),f=[];for(var g=1;g<4;g++)e[g].search(/%/)!=-1?f[g-1]=parseInt(255*e[g]/100,10):f[g-1]=parseInt(e[g],10);return f[3]=parseFloat(e[4])?parseFloat(e[4]):1,f},a.jqplot.colorKeywordMap={aliceblue:"rgb(240, 248, 255)",antiquewhite:"rgb(250, 235, 215)",aqua:"rgb( 0, 255, 255)",aquamarine:"rgb(127, 255, 212)",azure:"rgb(240, 255, 255)",beige:"rgb(245, 245, 220)",bisque:"rgb(255, 228, 196)",black:"rgb( 0, 0, 0)",blanchedalmond:"rgb(255, 235, 205)",blue:"rgb( 0, 0, 255)",blueviolet:"rgb(138, 43, 226)",brown:"rgb(165, 42, 42)",burlywood:"rgb(222, 184, 135)",cadetblue:"rgb( 95, 158, 160)",chartreuse:"rgb(127, 255, 0)",chocolate:"rgb(210, 105, 30)",coral:"rgb(255, 127, 80)",cornflowerblue:"rgb(100, 149, 237)",cornsilk:"rgb(255, 248, 220)",crimson:"rgb(220, 20, 60)",cyan:"rgb( 0, 255, 255)",darkblue:"rgb( 0, 0, 139)",darkcyan:"rgb( 0, 139, 139)",darkgoldenrod:"rgb(184, 134, 11)",darkgray:"rgb(169, 169, 169)",darkgreen:"rgb( 0, 100, 0)",darkgrey:"rgb(169, 169, 169)",darkkhaki:"rgb(189, 183, 107)",darkmagenta:"rgb(139, 0, 139)",darkolivegreen:"rgb( 85, 107, 47)",darkorange:"rgb(255, 140, 0)",darkorchid:"rgb(153, 50, 204)",darkred:"rgb(139, 0, 0)",darksalmon:"rgb(233, 150, 122)",darkseagreen:"rgb(143, 188, 143)",darkslateblue:"rgb( 72, 61, 139)",darkslategray:"rgb( 47, 79, 79)",darkslategrey:"rgb( 47, 79, 79)",darkturquoise:"rgb( 0, 206, 209)",darkviolet:"rgb(148, 0, 211)",deeppink:"rgb(255, 20, 147)",deepskyblue:"rgb( 0, 191, 255)",dimgray:"rgb(105, 105, 105)",dimgrey:"rgb(105, 105, 105)",dodgerblue:"rgb( 30, 144, 255)",firebrick:"rgb(178, 34, 34)",floralwhite:"rgb(255, 250, 240)",forestgreen:"rgb( 34, 139, 34)",fuchsia:"rgb(255, 0, 255)",gainsboro:"rgb(220, 220, 220)",ghostwhite:"rgb(248, 248, 255)",gold:"rgb(255, 215, 0)",goldenrod:"rgb(218, 165, 32)",gray:"rgb(128, 128, 128)",grey:"rgb(128, 128, 128)",green:"rgb( 0, 128, 0)",greenyellow:"rgb(173, 255, 47)",honeydew:"rgb(240, 255, 240)",hotpink:"rgb(255, 105, 180)",indianred:"rgb(205, 92, 92)",indigo:"rgb( 75, 0, 130)",ivory:"rgb(255, 255, 240)",khaki:"rgb(240, 230, 140)",lavender:"rgb(230, 230, 250)",lavenderblush:"rgb(255, 240, 245)",lawngreen:"rgb(124, 252, 0)",lemonchiffon:"rgb(255, 250, 205)",lightblue:"rgb(173, 216, 230)",lightcoral:"rgb(240, 128, 128)",lightcyan:"rgb(224, 255, 255)",lightgoldenrodyellow:"rgb(250, 250, 210)",lightgray:"rgb(211, 211, 211)",lightgreen:"rgb(144, 238, 144)",lightgrey:"rgb(211, 211, 211)",lightpink:"rgb(255, 182, 193)",lightsalmon:"rgb(255, 160, 122)",lightseagreen:"rgb( 32, 178, 170)",lightskyblue:"rgb(135, 206, 250)",lightslategray:"rgb(119, 136, 153)",lightslategrey:"rgb(119, 136, 153)",lightsteelblue:"rgb(176, 196, 222)",lightyellow:"rgb(255, 255, 224)",lime:"rgb( 0, 255, 0)",limegreen:"rgb( 50, 205, 50)",linen:"rgb(250, 240, 230)",magenta:"rgb(255, 0, 255)",maroon:"rgb(128, 0, 0)",mediumaquamarine:"rgb(102, 205, 170)",mediumblue:"rgb( 0, 0, 205)",mediumorchid:"rgb(186, 85, 211)",mediumpurple:"rgb(147, 112, 219)",mediumseagreen:"rgb( 60, 179, 113)",mediumslateblue:"rgb(123, 104, 238)",mediumspringgreen:"rgb( 0, 250, 154)",mediumturquoise:"rgb( 72, 209, 204)",mediumvioletred:"rgb(199, 21, 133)",midnightblue:"rgb( 25, 25, 112)",mintcream:"rgb(245, 255, 250)",mistyrose:"rgb(255, 228, 225)",moccasin:"rgb(255, 228, 181)",navajowhite:"rgb(255, 222, 173)",navy:"rgb( 0, 0, 128)",oldlace:"rgb(253, 245, 230)",olive:"rgb(128, 128, 0)",olivedrab:"rgb(107, 142, 35)",orange:"rgb(255, 165, 0)",orangered:"rgb(255, 69, 0)",orchid:"rgb(218, 112, 214)",palegoldenrod:"rgb(238, 232, 170)",palegreen:"rgb(152, 251, 152)",paleturquoise:"rgb(175, 238, 238)",palevioletred:"rgb(219, 112, 147)",papayawhip:"rgb(255, 239, 213)",peachpuff:"rgb(255, 218, 185)",peru:"rgb(205, 133, 63)",pink:"rgb(255, 192, 203)",plum:"rgb(221, 160, 221)",powderblue:"rgb(176, 224, 230)",purple:"rgb(128, 0, 128)",red:"rgb(255, 0, 0)",rosybrown:"rgb(188, 143, 143)",royalblue:"rgb( 65, 105, 225)",saddlebrown:"rgb(139, 69, 19)",salmon:"rgb(250, 128, 114)",sandybrown:"rgb(244, 164, 96)",seagreen:"rgb( 46, 139, 87)",seashell:"rgb(255, 245, 238)",sienna:"rgb(160, 82, 45)",silver:"rgb(192, 192, 192)",skyblue:"rgb(135, 206, 235)",slateblue:"rgb(106, 90, 205)",slategray:"rgb(112, 128, 144)",slategrey:"rgb(112, 128, 144)",snow:"rgb(255, 250, 250)",springgreen:"rgb( 0, 255, 127)",steelblue:"rgb( 70, 130, 180)",tan:"rgb(210, 180, 140)",teal:"rgb( 0, 128, 128)",thistle:"rgb(216, 191, 216)",tomato:"rgb(255, 99, 71)",turquoise:"rgb( 64, 224, 208)",violet:"rgb(238, 130, 238)",wheat:"rgb(245, 222, 179)",white:"rgb(255, 255, 255)",whitesmoke:"rgb(245, 245, 245)",yellow:"rgb(255, 255, 0)",yellowgreen:"rgb(154, 205, 50)"},a.jqplot.AxisLabelRenderer=function(b){a.jqplot.ElemContainer.call(this),this.axis,this.show=!0,this.label="",this.fontFamily=null,this.fontSize=null,this.textColor=null,this._elem,this.escapeHTML=!1,a.extend(!0,this,b)},a.jqplot.AxisLabelRenderer.prototype=new a.jqplot.ElemContainer,a.jqplot.AxisLabelRenderer.prototype.constructor=a.jqplot.AxisLabelRenderer,a.jqplot.AxisLabelRenderer.prototype.init=function(b){a.extend(!0,this,b)},a.jqplot.AxisLabelRenderer.prototype.draw=function(b,c){return this._elem&&(this._elem.emptyForce(),this._elem=null),this._elem=a('<div style="position:absolute;" class="jqplot-'+this.axis+'-label"></div>'),Number(this.label)&&this._elem.css("white-space","nowrap"),this.escapeHTML?this._elem.text(this.label):this._elem.html(this.label),this.fontFamily&&this._elem.css("font-family",this.fontFamily),this.fontSize&&this._elem.css("font-size",this.fontSize),this.textColor&&this._elem.css("color",this.textColor),this._elem},a.jqplot.AxisLabelRenderer.prototype.pack=function(){},a.jqplot.AxisTickRenderer=function(b){a.jqplot.ElemContainer.call(this),this.mark="outside",this.axis,this.showMark=!0,this.showGridline=!0,this.isMinorTick=!1,this.size=4,this.markSize=6,this.show=!0,this.showLabel=!0,this.label=null,this.value=null,this._styles={},this.formatter=a.jqplot.DefaultTickFormatter,this.prefix="",this.suffix="",this.formatString="",this.fontFamily,this.fontSize,this.textColor,this.escapeHTML=!1,this._elem,this._breakTick=!1,a.extend(!0,this,b)},a.jqplot.AxisTickRenderer.prototype.init=function(b){a.extend(!0,this,b)},a.jqplot.AxisTickRenderer.prototype=new a.jqplot.ElemContainer,a.jqplot.AxisTickRenderer.prototype.constructor=a.jqplot.AxisTickRenderer,a.jqplot.AxisTickRenderer.prototype.setTick=function(a,b,c){return this.value=a,this.axis=b,c&&(this.isMinorTick=!0),this},a.jqplot.AxisTickRenderer.prototype.draw=function(){this.label===null&&(this.label=this.prefix+this.formatter(this.formatString,this.value)+this.suffix);var b={position:"absolute"};Number(this.label)&&(b.whitSpace="nowrap"),this._elem&&(this._elem.emptyForce(),this._elem=null),this._elem=a(document.createElement("div")),this._elem.addClass("jqplot-"+this.axis+"-tick"),this.escapeHTML?this._elem.text(this.label):this._elem.html(this.label),this._elem.css(b);for(var c in this._styles)this._elem.css(c,this._styles[c]);return this.fontFamily&&this._elem.css("font-family",this.fontFamily),this.fontSize&&this._elem.css("font-size",this.fontSize),this.textColor&&this._elem.css("color",this.textColor),this._breakTick&&this._elem.addClass("jqplot-breakTick"),this._elem},a.jqplot.DefaultTickFormatter=function(b,c){return typeof c=="number"?(b||(b=a.jqplot.config.defaultTickFormatString),a.jqplot.sprintf(b,c)):String(c)},a.jqplot.PercentTickFormatter=function(b,c){return typeof c=="number"?(c=100*c,b||(b=a.jqplot.config.defaultTickFormatString),a.jqplot.sprintf(b,c)):String(c)},a.jqplot.AxisTickRenderer.prototype.pack=function(){},a.jqplot.CanvasGridRenderer=function(){this.shadowRenderer=new a.jqplot.ShadowRenderer},a.jqplot.CanvasGridRenderer.prototype.init=function(b){this._ctx,a.extend(!0,this,b);var c={lineJoin:"miter",lineCap:"round",fill:!1,isarc:!1,angle:this.shadowAngle,offset:this.shadowOffset,alpha:this.shadowAlpha,depth:this.shadowDepth,lineWidth:this.shadowWidth,closePath:!1,strokeStyle:this.shadowColor};this.renderer.shadowRenderer.init(c)},a.jqplot.CanvasGridRenderer.prototype.createElement=function(c){var d;this._elem&&(a.jqplot.use_excanvas&&window.G_vmlCanvasManager.uninitElement!==b&&(d=this._elem.get(0),window.G_vmlCanvasManager.uninitElement(d),d=null),this._elem.emptyForce(),this._elem=null),d=c.canvasManager.getCanvas();var e=this._plotDimensions.width,f=this._plotDimensions.height;return d.width=e,d.height=f,this._elem=a(d),this._elem.addClass("jqplot-grid-canvas"),this._elem.css({position:"absolute",left:0,top:0}),d=c.canvasManager.initCanvas(d),this._top=this._offsets.top,this._bottom=f-this._offsets.bottom,this._left=this._offsets.left,this._right=e-this._offsets.right,this._width=this._right-this._left,this._height=this._bottom-this._top,d=null,this._elem},a.jqplot.CanvasGridRenderer.prototype.draw=function(){function v(c,d,e,f,g){b.save(),g=g||{};if(g.lineWidth==null||g.lineWidth!=0)a.extend(!0,b,g),b.beginPath(),b.moveTo(c,d),b.lineTo(e,f),b.stroke(),b.restore()}this._ctx=this._elem.get(0).getContext("2d");var b=this._ctx,c=this._axes;b.save(),b.clearRect(0,0,this._plotDimensions.width,this._plotDimensions.height),b.fillStyle=this.backgroundColor||this.background,b.fillRect(this._left,this._top,this._width,this._height),b.save(),b.lineJoin="miter",b.lineCap="butt",b.lineWidth=this.gridLineWidth,b.strokeStyle=this.gridLineColor;var d,e,f,g,h=["xaxis","yaxis","x2axis","y2axis"];for(var i=4;i>0;i--){var j=h[i-1],k=c[j],l=k._ticks,m=l.length;if(k.show){if(k.drawBaseline){var n={};k.baselineWidth!==null&&(n.lineWidth=k.baselineWidth),k.baselineColor!==null&&(n.strokeStyle=k.baselineColor);switch(j){case"xaxis":v(this._left,this._bottom,this._right,this._bottom,n);break;case"yaxis":v(this._left,this._bottom,this._left,this._top,n);break;case"x2axis":v(this._left,this._bottom,this._right,this._bottom,n);break;case"y2axis":v(this._right,this._bottom,this._right,this._top,n)}}for(var o=m;o>0;o--){var p=l[o-1];if(p.show){var q=Math.round(k.u2p(p.value))+.5;switch(j){case"xaxis":p.showGridline&&this.drawGridlines&&(!p.isMinorTick&&k.drawMajorGridlines||p.isMinorTick&&k.drawMinorGridlines)&&v(q,this._top,q,this._bottom);if(p.showMark&&p.mark&&(!p.isMinorTick&&k.drawMajorTickMarks||p.isMinorTick&&k.drawMinorTickMarks)){f=p.markSize,g=p.mark;var q=Math.round(k.u2p(p.value))+.5;switch(g){case"outside":d=this._bottom,e=this._bottom+f;break;case"inside":d=this._bottom-f,e=this._bottom;break;case"cross":d=this._bottom-f,e=this._bottom+f;break;default:d=this._bottom,e=this._bottom+f}this.shadow&&this.renderer.shadowRenderer.draw(b,[[q,d],[q,e]],{lineCap:"butt",lineWidth:this.gridLineWidth,offset:this.gridLineWidth*.75,depth:2,fill:!1,closePath:!1}),v(q,d,q,e)}break;case"yaxis":p.showGridline&&this.drawGridlines&&(!p.isMinorTick&&k.drawMajorGridlines||p.isMinorTick&&k.drawMinorGridlines)&&v(this._right,q,this._left,q);if(p.showMark&&p.mark&&(!p.isMinorTick&&k.drawMajorTickMarks||p.isMinorTick&&k.drawMinorTickMarks)){f=p.markSize,g=p.mark;var q=Math.round(k.u2p(p.value))+.5;switch(g){case"outside":d=this._left-f,e=this._left;break;case"inside":d=this._left,e=this._left+f;break;case"cross":d=this._left-f,e=this._left+f;break;default:d=this._left-f,e=this._left}this.shadow&&this.renderer.shadowRenderer.draw(b,[[d,q],[e,q]],{lineCap:"butt",lineWidth:this.gridLineWidth*1.5,offset:this.gridLineWidth*.75,fill:!1,closePath:!1}),v(d,q,e,q,{strokeStyle:k.borderColor})}break;case"x2axis":p.showGridline&&this.drawGridlines&&(!p.isMinorTick&&k.drawMajorGridlines||p.isMinorTick&&k.drawMinorGridlines)&&v(q,this._bottom,q,this._top);if(p.showMark&&p.mark&&(!p.isMinorTick&&k.drawMajorTickMarks||p.isMinorTick&&k.drawMinorTickMarks)){f=p.markSize,g=p.mark;var q=Math.round(k.u2p(p.value))+.5;switch(g){case"outside":d=this._top-f,e=this._top;break;case"inside":d=this._top,e=this._top+f;break;case"cross":d=this._top-f,e=this._top+f;break;default:d=this._top-f,e=this._top}this.shadow&&this.renderer.shadowRenderer.draw(b,[[q,d],[q,e]],{lineCap:"butt",lineWidth:this.gridLineWidth,offset:this.gridLineWidth*.75,depth:2,fill:!1,closePath:!1}),v(q,d,q,e)}break;case"y2axis":p.showGridline&&this.drawGridlines&&(!p.isMinorTick&&k.drawMajorGridlines||p.isMinorTick&&k.drawMinorGridlines)&&v(this._left,q,this._right,q);if(p.showMark&&p.mark&&(!p.isMinorTick&&k.drawMajorTickMarks||p.isMinorTick&&k.drawMinorTickMarks)){f=p.markSize,g=p.mark;var q=Math.round(k.u2p(p.value))+.5;switch(g){case"outside":d=this._right,e=this._right+f;break;case"inside":d=this._right-f,e=this._right;break;case"cross":d=this._right-f,e=this._right+f;break;default:d=this._right,e=this._right+f}this.shadow&&this.renderer.shadowRenderer.draw(b,[[d,q],[e,q]],{lineCap:"butt",lineWidth:this.gridLineWidth*1.5,offset:this.gridLineWidth*.75,fill:!1,closePath:!1}),v(d,q,e,q,{strokeStyle:k.borderColor})}break;default:}}}p=null}k=null,l=null}h=["y3axis","y4axis","y5axis","y6axis","y7axis","y8axis","y9axis","yMidAxis"];for(var i=7;i>0;i--){var k=c[h[i-1]],l=k._ticks;if(k.show){var r=l[k.numberTicks-1],s=l[0],t=k.getLeft(),u=[[t,r.getTop()+r.getHeight()/2],[t,s.getTop()+s.getHeight()/2+1]];this.shadow&&this.renderer.shadowRenderer.draw(b,u,{lineCap:"butt",fill:!1,closePath:!1}),v(u[0][0],u[0][1],u[1][0],u[1][1],{lineCap:"butt",strokeStyle:k.borderColor,lineWidth:k.borderWidth});for(var o=l.length;o>0;o--){var p=l[o-1];f=p.markSize,g=p.mark;var q=Math.round(k.u2p(p.value))+.5;if(p.showMark&&p.mark){switch(g){case"outside":d=t,e=t+f;break;case"inside":d=t-f,e=t;break;case"cross":d=t-f,e=t+f;break;default:d=t,e=t+f}u=[[d,q],[e,q]],this.shadow&&this.renderer.shadowRenderer.draw(b,u,{lineCap:"butt",lineWidth:this.gridLineWidth*1.5,offset:this.gridLineWidth*.75,fill:!1,closePath:!1}),v(d,q,e,q,{strokeStyle:k.borderColor})}p=null}s=null}k=null,l=null}b.restore();if(this.shadow){var u=[[this._left,this._bottom],[this._right,this._bottom],[this._right,this._top]];this.renderer.shadowRenderer.draw(b,u)}this.borderWidth!=0&&this.drawBorder&&(v(this._left,this._top,this._right,this._top,{lineCap:"round",strokeStyle:c.x2axis.borderColor,lineWidth:c.x2axis.borderWidth}),v(this._right,this._top,this._right,this._bottom,{lineCap:"round",strokeStyle:c.y2axis.borderColor,lineWidth:c.y2axis.borderWidth}),v(this._right,this._bottom,this._left,this._bottom,{lineCap:"round",strokeStyle:c.xaxis.borderColor,lineWidth:c.xaxis.borderWidth}),v(this._left,this._bottom,this._left,this._top,{lineCap:"round",strokeStyle:c.yaxis.borderColor,lineWidth:c.yaxis.borderWidth})),b.restore(),b=null,c=null},a.jqplot.DivTitleRenderer=function(){},a.jqplot.DivTitleRenderer.prototype.init=function(b){a.extend(!0,this,b)},a.jqplot.DivTitleRenderer.prototype.draw=function(){this._elem&&(this._elem.emptyForce(),this._elem=null);var b=this.renderer,c=document.createElement("div");this._elem=a(c),this._elem.addClass("jqplot-title");if(!this.text)this.show=!1,this._elem.height(0),this._elem.width(0);else if(this.text){var d;this.color?d=this.color:this.textColor&&(d=this.textColor);var e={position:"absolute",top:"0px",left:"0px"};this._plotWidth&&(e.width=this._plotWidth+"px"),this.fontSize&&(e.fontSize=this.fontSize),typeof this.textAlign=="string"?e.textAlign=this.textAlign:e.textAlign="center",d&&(e.color=d),this.paddingBottom&&(e.paddingBottom=this.paddingBottom),this.fontFamily&&(e.fontFamily=this.fontFamily),this._elem.css(e),this.escapeHtml?this._elem.text(this.text):this._elem.html(this.text)}return c=null,this._elem},a.jqplot.DivTitleRenderer.prototype.pack=function(){};var j=.1;a.jqplot.LinePattern=function(b,c){var d={dotted:[j,a.jqplot.config.dotGapLength],dashed:[a.jqplot.config.dashLength,a.jqplot.config.gapLength],solid:null};if(typeof c=="string")if(c[0]==="."||c[0]==="-"){var e=c;c=[];for(var f=0,g=e.length;f<g;f++){if(e[f]===".")c.push(j);else if(e[f]==="-")c.push(a.jqplot.config.dashLength);else continue;c.push(a.jqplot.config.gapLength)}}else c=d[c];if(!c||!c.length)return b;var h=0,i=c[0],k=0,l=0,m=0,n=0,o=function(a,c){b.moveTo(a,c),k=a,l=c,m=a,n=c},p=function(a,d){var e=b.lineWidth,f=a-k,g=d-l,j=Math.sqrt(f*f+g*g);if(j>0&&e>0){f/=j,g/=j;for(;;){var m=e*i;if(m<j)k+=m*f,l+=m*g,(h&1)==0?b.lineTo(k,l):b.moveTo(k,l),j-=m,h++,h>=c.length&&(h=0),i=c[h];else{k=a,l=d,(h&1)==0?b.lineTo(k,l):b.moveTo(k,l),i-=j/e;break}}}},q=function(){b.beginPath()},r=function(){p(m,n)};return{moveTo:o,lineTo:p,beginPath:q,closePath:r}},a.jqplot.LineRenderer=function(){this.shapeRenderer=new a.jqplot.ShapeRenderer,this.shadowRenderer=new a.jqplot.ShadowRenderer},a.jqplot.LineRenderer.prototype.init=function(b,c){b=b||{},this._type="line",this.renderer.animation={show:!1,direction:"left",speed:2500,_supported:!0},this.renderer.smooth=!1,this.renderer.tension=null,this.renderer.constrainSmoothing=!0,this.renderer._smoothedData=[],this.renderer._smoothedPlotData=[],this.renderer._hiBandGridData=[],this.renderer._lowBandGridData=[],this.renderer._hiBandSmoothedData=[],this.renderer._lowBandSmoothedData=[],this.renderer.bandData=[],this.renderer.bands={show:!1,hiData:[],lowData:[],color:this.color,showLines:!1,fill:!0,fillColor:null,_min:null,_max:null,interval:"3%"};var d={highlightMouseOver:b.highlightMouseOver,highlightMouseDown:b.highlightMouseDown,highlightColor:b.highlightColor};delete b.highlightMouseOver,delete b.highlightMouseDown,delete b.highlightColor,a.extend(!0,this.renderer,b),this.renderer.options=b,this.renderer.bandData.length>1&&(!b.bands||b.bands.show==null)?this.renderer.bands.show=!0:b.bands&&b.bands.show==null&&b.bands.interval!=null&&(this.renderer.bands.show=!0),this.fill&&(this.renderer.bands.show=!1),this.renderer.bands.show&&this.renderer.initBands.call(this,this.renderer.options,c),this._stack&&(this.renderer.smooth=!1);var e={lineJoin:this.lineJoin,lineCap:this.lineCap,fill:this.fill,isarc:!1,strokeStyle:this.color,fillStyle:this.fillColor,lineWidth:this.lineWidth,linePattern:this.linePattern,closePath:this.fill};this.renderer.shapeRenderer.init(e);var f=b.shadowOffset;f==null&&(this.lineWidth>2.5?f=1.25*(1+(Math.atan(this.lineWidth/2.5)/.785398163-1)*.6):f=1.25*Math.atan(this.lineWidth/2.5)/.785398163);var g={lineJoin:this.lineJoin,lineCap:this.lineCap,fill:this.fill,isarc:!1,angle:this.shadowAngle,offset:f,alpha:this.shadowAlpha,depth:this.shadowDepth,lineWidth:this.lineWidth,linePattern:this.linePattern,closePath:this.fill};this.renderer.shadowRenderer.init(g),this._areaPoints=[],this._boundingBox=[[],[]];if(!this.isTrendline&&this.fill||this.renderer.bands.show){this.highlightMouseOver=!0,this.highlightMouseDown=!1,this.highlightColor=null,d.highlightMouseDown&&d.highlightMouseOver==null&&(d.highlightMouseOver=!1),a.extend(!0,this,{highlightMouseOver:d.highlightMouseOver,highlightMouseDown:d.highlightMouseDown,highlightColor:d.highlightColor});if(!this.highlightColor){var h=this.renderer.bands.show?this.renderer.bands.fillColor:this.fillColor;this.highlightColor=a.jqplot.computeHighlightColors(h)}this.highlighter&&(this.highlighter.show=!1)}!this.isTrendline&&c&&(c.plugins.lineRenderer={},c.postInitHooks.addOnce(p),c.postDrawHooks.addOnce(q),c.eventListenerHooks.addOnce("jqplotMouseMove",t),c.eventListenerHooks.addOnce("jqplotMouseDown",u),c.eventListenerHooks.addOnce("jqplotMouseUp",v),c.eventListenerHooks.addOnce("jqplotClick",w),c.eventListenerHooks.addOnce("jqplotRightClick",x))},a.jqplot.LineRenderer.prototype.initBands=function(b,c){var d=b.bandData||[],e=this.renderer.bands;e.hiData=[],e.lowData=[];var f=this.data;e._max=null,e._min=null;if(d.length==2)if(a.isArray(d[0][0])){var g,h=0,i=0;for(var j=0,k=d[0].length;j<k;j++){g=d[0][j];if(g[1]!=null&&g[1]>e._max||e._max==null)e._max=g[1];if(g[1]!=null&&g[1]<e._min||e._min==null)e._min=g[1]}for(var j=0,k=d[1].length;j<k;j++){g=d[1][j];if(g[1]!=null&&g[1]>e._max||e._max==null)e._max=g[1],i=1;if(g[1]!=null&&g[1]<e._min||e._min==null)e._min=g[1],h=1}i===h&&(e.show=!1),e.hiData=d[i],e.lowData=d[h]}else if(d[0].length===f.length&&d[1].length===f.length){var l=d[0][0]>d[1][0]?0:1,m=l?0:1;for(var j=0,k=f.length;j<k;j++)e.hiData.push([f[j][0],d[l][j]]),e.lowData.push([f[j][0],d[m][j]])}else e.show=!1;else if(d.length>2&&!a.isArray(d[0][0])){var l=d[0][0]>d[0][1]?0:1,m=l?0:1;for(var j=0,k=d.length;j<k;j++)e.hiData.push([f[j][0],d[j][l]]),e.lowData.push([f[j][0],d[j][m]])}else{var n=e.interval,o=null,p=null,q=null,r=null;a.isArray(n)?(o=n[0],p=n[1]):o=n,isNaN(o)?o.charAt(o.length-1)==="%"&&(q="multiply",o=parseFloat(o)/100+1):(o=parseFloat(o),q="add"),p!==null&&isNaN(p)?p.charAt(p.length-1)==="%"&&(r="multiply",p=parseFloat(p)/100+1):p!==null&&(p=parseFloat(p),r="add");if(o!==null){p===null&&(p=-o,r=q,r==="multiply"&&(p+=2));if(o<p){var s=o;o=p,p=s,s=q,q=r,r=s}for(var j=0,k=f.length;j<k;j++){switch(q){case"add":e.hiData.push([f[j][0],f[j][1]+o]);break;case"multiply":e.hiData.push([f[j][0],f[j][1]*o])}switch(r){case"add":e.lowData.push([f[j][0],f[j][1]+p]);break;case"multiply":e.lowData.push([f[j][0],f[j][1]*p])}}}else e.show=!1}var t=e.hiData,u=e.lowData;for(var j=0,k=t.length;j<k;j++)if(t[j][1]!=null&&t[j][1]>e._max||e._max==null)e._max=t[j][1];for(var j=0,k=u.length;j<k;j++)if(u[j][1]!=null&&u[j][1]<e._min||e._min==null)e._min=u[j][1];if(e.fillColor===null){var v=a.jqplot.getColorComponents(e.color);v[3]=v[3]*.5,e.fillColor="rgba("+v[0]+", "+v[1]+", "+v[2]+", "+v[3]+")"}},a.jqplot.LineRenderer.prototype.setGridData=function(a){var b=this._xaxis.series_u2p,c=this._yaxis.series_u2p,d=this._plotData,e=this._prevPlotData;this.gridData=[],this._prevGridData=[],this.renderer._smoothedData=[],this.renderer._smoothedPlotData=[],this.renderer._hiBandGridData=[],this.renderer._lowBandGridData=[],this.renderer._hiBandSmoothedData=[],this.renderer._lowBandSmoothedData=[];var f=this.renderer.bands,g=!1;for(var h=0,i=d.length;h<i;h++)d[h][0]!=null&&d[h][1]!=null?this.gridData.push([b.call(this._xaxis,d[h][0]),c.call(this._yaxis,d[h][1])]):d[h][0]==null?(g=!0,this.gridData.push([null,c.call(this._yaxis,d[h][1])])):d[h][1]==null&&(g=!0,this.gridData.push([b.call(this._xaxis,d[h][0]),null])),e[h]!=null&&e[h][0]!=null&&e[h][1]!=null?this._prevGridData.push([b.call(this._xaxis,e[h][0]),c.call(this._yaxis,e[h][1])]):e[h]!=null&&e[h][0]==null?this._prevGridData.push([null,c.call(this._yaxis,e[h][1])]):e[h]!=null&&e[h][0]!=null&&e[h][1]==null&&this._prevGridData.push([b.call(this._xaxis,e[h][0]),null]);g&&(this.renderer.smooth=!1,this._type==="line"&&(f.show=!1));if(this._type==="line"&&f.show){for(var h=0,i=f.hiData.length;h<i;h++)this.renderer._hiBandGridData.push([b.call(this._xaxis,f.hiData[h][0]),c.call(this._yaxis,f.hiData[h][1])]);for(var h=0,i=f.lowData.length;h<i;h++)this.renderer._lowBandGridData.push([b.call(this._xaxis,f.lowData[h][0]),c.call(this._yaxis,f.lowData[h][1])])}if(this._type==="line"&&this.renderer.smooth&&this.gridData.length>2){var j;this.renderer.constrainSmoothing?(j=n.call(this,this.gridData),this.renderer._smoothedData=j[0],this.renderer._smoothedPlotData=j[1],f.show&&(j=n.call(this,this.renderer._hiBandGridData),this.renderer._hiBandSmoothedData=j[0],j=n.call(this,this.renderer._lowBandGridData),this.renderer._lowBandSmoothedData=j[0]),j=null):(j=o.call(this,this.gridData),this.renderer._smoothedData=j[0],this.renderer._smoothedPlotData=j[1],f.show&&(j=o.call(this,this.renderer._hiBandGridData),this.renderer._hiBandSmoothedData=j[0],j=o.call(this,this.renderer._lowBandGridData),this.renderer._lowBandSmoothedData=j[0]),j=null)}},a.jqplot.LineRenderer.prototype.makeGridData=function(a,b){var c=this._xaxis.series_u2p,d=this._yaxis.series_u2p,e=[],f=[];this.renderer._smoothedData=[],this.renderer._smoothedPlotData=[],this.renderer._hiBandGridData=[],this.renderer._lowBandGridData=[],this.renderer._hiBandSmoothedData=[],this.renderer._lowBandSmoothedData=[];var g=this.renderer.bands,h=!1;for(var i=0;i<a.length;i++)a[i][0]!=null&&a[i][1]!=null?e.push([c.call(this._xaxis,a[i][0]),d.call(this._yaxis,a[i][1])]):a[i][0]==null?(h=!0,e.push([null,d.call(this._yaxis,a[i][1])])):a[i][1]==null&&(h=!0,e.push([c.call(this._xaxis,a[i][0]),null]));h&&(this.renderer.smooth=!1,this._type==="line"&&(g.show=!1));if(this._type==="line"&&g.show){for(var i=0,j=g.hiData.length;i<j;i++)this.renderer._hiBandGridData.push([c.call(this._xaxis,g.hiData[i][0]),d.call(this._yaxis,g.hiData[i][1])]);for(var i=0,j=g.lowData.length;i<j;i++)this.renderer._lowBandGridData.push([c.call(this._xaxis,g.lowData[i][0]),d.call(this._yaxis,g.lowData[i][1])])}if(this._type==="line"&&this.renderer.smooth&&e.length>2){var k;this.renderer.constrainSmoothing?(k=n.call(this,e),this.renderer._smoothedData=k[0],this.renderer._smoothedPlotData=k[1],g.show&&(k=n.call(this,this.renderer._hiBandGridData),this.renderer._hiBandSmoothedData=k[0],k=n.call(this,this.renderer._lowBandGridData),this.renderer._lowBandSmoothedData=k[0]),k=null):(k=o.call(this,e),this.renderer._smoothedData=k[0],this.renderer._smoothedPlotData=k[1],g.show&&(k=o.call(this,this.renderer._hiBandGridData),this.renderer._hiBandSmoothedData=k[0],k=o.call(this,this.renderer._lowBandGridData),this.renderer._lowBandSmoothedData=k[0]),k=null)}return e},a.jqplot.LineRenderer.prototype.draw=function(c,d,e,f){var g,h=a.extend(!0,{},e),i=h.shadow!=b?h.shadow:this.shadow,j=h.showLine!=b?h.showLine:this.showLine,k=h.fill!=b?h.fill:this.fill,l=h.fillAndStroke!=b?h.fillAndStroke:this.fillAndStroke,m,n,o,p;c.save();if(d.length){if(j)if(k){if(this.fillToZero){var q=this.negativeColor;this.useNegativeColors||(q=h.fillStyle);var r=!1,s=h.fillStyle;if(l)var t=d.slice(0);if(this.index==0||!this._stack){var u=[],v=this.renderer.smooth?this.renderer._smoothedPlotData:this._plotData;this._areaPoints=[];var w=this._yaxis.series_u2p(this.fillToValue),x=this._xaxis.series_u2p(this.fillToValue);h.closePath=!0;if(this.fillAxis=="y"){u.push([d[0][0],w]),this._areaPoints.push([d[0][0],w]);for(var g=0;g<d.length-1;g++){u.push(d[g]),this._areaPoints.push(d[g]);if(v[g][1]*v[g+1][1]<0){v[g][1]<0?(r=!0,h.fillStyle=q):(r=!1,h.fillStyle=s);var y=d[g][0]+(d[g+1][0]-d[g][0])*(w-d[g][1])/(d[g+1][1]-d[g][1]);u.push([y,w]),this._areaPoints.push([y,w]),i&&this.renderer.shadowRenderer.draw(c,u,h),this.renderer.shapeRenderer.draw(c,u,h),u=[[y,w]]}}v[d.length-1][1]<0?(r=!0,h.fillStyle=q):(r=!1,h.fillStyle=s),u.push(d[d.length-1]),this._areaPoints.push(d[d.length-1]),u.push([d[d.length-1][0],w]),this._areaPoints.push([d[d.length-1][0],w])}i&&this.renderer.shadowRenderer.draw(c,u,h),this.renderer.shapeRenderer.draw(c,u,h)}else{var z=this._prevGridData;for(var g=z.length;g>0;g--)d.push(z[g-1]);i&&this.renderer.shadowRenderer.draw(c,d,h),this._areaPoints=d,this.renderer.shapeRenderer.draw(c,d,h)}}else{if(l)var t=d.slice(0);if(this.index==0||!this._stack){var A=c.canvas.height;d.unshift([d[0][0],A]);var B=d.length;d.push([d[B-1][0],A])}else{var z=this._prevGridData;for(var g=z.length;g>0;g--)d.push(z[g-1])}this._areaPoints=d,i&&this.renderer.shadowRenderer.draw(c,d,h),this.renderer.shapeRenderer.draw(c,d,h)}if(l){var C=a.extend(!0,{},h,{fill:!1,closePath:!1});this.renderer.shapeRenderer.draw(c,t,C);if(this.markerRenderer.show){this.renderer.smooth&&(t=this.gridData);for(g=0;g<t.length;g++)this.markerRenderer.draw(t[g][0],t[g][1],c,h.markerOptions)}}}else{if(this.renderer.bands.show){var D,E=a.extend(!0,{},h);this.renderer.bands.showLines&&(D=this.renderer.smooth?this.renderer._hiBandSmoothedData:this.renderer._hiBandGridData,this.renderer.shapeRenderer.draw(c,D,h),D=this.renderer.smooth?this.renderer._lowBandSmoothedData:this.renderer._lowBandGridData,this.renderer.shapeRenderer.draw(c,D,E)),this.renderer.bands.fill&&(this.renderer.smooth?D=this.renderer._hiBandSmoothedData.concat(this.renderer._lowBandSmoothedData.reverse()):D=this.renderer._hiBandGridData.concat(this.renderer._lowBandGridData.reverse()),this._areaPoints=D,E.closePath=!0,E.fill=!0,E.fillStyle=this.renderer.bands.fillColor,this.renderer.shapeRenderer.draw(c,D,E))}i&&this.renderer.shadowRenderer.draw(c,d,h),this.renderer.shapeRenderer.draw(c,d,h)}var m=o=n=p=null;for(g=0;g<this._areaPoints.length;g++){var F=this._areaPoints[g];if(m>F[0]||m==null)m=F[0];if(p<F[1]||p==null)p=F[1];if(o<F[0]||o==null)o=F[0];if(n>F[1]||n==null)n=F[1]}this.type==="line"&&this.renderer.bands.show&&(p=this._yaxis.series_u2p(this.renderer.bands._min),n=this._yaxis.series_u2p(this.renderer.bands._max)),this._boundingBox=[[m,p],[o,n]];if(this.markerRenderer.show&&!k){this.renderer.smooth&&(d=this.gridData);for(g=0;g<d.length;g++)d[g][0]!=null&&d[g][1]!=null&&this.markerRenderer.draw(d[g][0],d[g][1],c,h.markerOptions)}}c.restore()},a.jqplot.LineRenderer.prototype.drawShadow=function(a,b,c){},a.jqplot.LinearAxisRenderer=function(){},a.jqplot.LinearAxisRenderer.prototype.init=function(b){this.breakPoints=null,this.breakTickLabel="&asymp;",this.drawBaseline=!0,this.baselineWidth=null,this.baselineColor=null,this.forceTickAt0=!1,this.forceTickAt100=!1,this.tickInset=0,this.minorTicks=0,this.alignTicks=!1,this._autoFormatString="",this._overrideFormatString=!1,this._scalefact=1,a.extend(!0,this,b);if(this.breakPoints)if(!a.isArray(this.breakPoints))this.breakPoints=null;else if(this.breakPoints.length<2||this.breakPoints[1]<=this.breakPoints[0])this.breakPoints=null;this.numberTicks!=null&&this.numberTicks<2&&(this.numberTicks=2),this.resetDataBounds()},a.jqplot.LinearAxisRenderer.prototype.draw=function(b,c){if(this.show){this.renderer.createTicks.call(this,c);var d=0,e;this._elem&&(this._elem.emptyForce(),this._elem=null),this._elem=a(document.createElement("div")),this._elem.addClass("jqplot-axis jqplot-"+this.name),this._elem.css("position","absolute"),this.name=="xaxis"||this.name=="x2axis"?this._elem.width(this._plotDimensions.width):this._elem.height(this._plotDimensions.height),this.labelOptions.axis=this.name,this._label=new 
this.labelRenderer(this.labelOptions);if(this._label.show){var f=this._label.draw(b,c);f.appendTo(this._elem),f=null}var g=this._ticks,h;for(var i=0;i<g.length;i++)h=g[i],h.show&&h.showLabel&&(!h.isMinorTick||this.showMinorTicks)&&this._elem.append(h.draw(b,c));h=null,g=null}return this._elem},a.jqplot.LinearAxisRenderer.prototype.reset=function(){this.min=this._options.min,this.max=this._options.max,this.tickInterval=this._options.tickInterval,this.numberTicks=this._options.numberTicks,this._autoFormatString="",this._overrideFormatString&&this.tickOptions&&this.tickOptions.formatString&&(this.tickOptions.formatString="")},a.jqplot.LinearAxisRenderer.prototype.set=function(){var b=0,c,d=0,e=0,f=this._label==null?!1:this._label.show;if(this.show){var g=this._ticks,h;for(var i=0;i<g.length;i++)h=g[i],!h._breakTick&&h.show&&h.showLabel&&(!h.isMinorTick||this.showMinorTicks)&&(this.name=="xaxis"||this.name=="x2axis"?c=h._elem.outerHeight(!0):c=h._elem.outerWidth(!0),c>b&&(b=c));h=null,g=null,f&&(d=this._label._elem.outerWidth(!0),e=this._label._elem.outerHeight(!0)),this.name=="xaxis"?(b+=e,this._elem.css({height:b+"px",left:"0px",bottom:"0px"})):this.name=="x2axis"?(b+=e,this._elem.css({height:b+"px",left:"0px",top:"0px"})):this.name=="yaxis"?(b+=d,this._elem.css({width:b+"px",left:"0px",top:"0px"}),f&&this._label.constructor==a.jqplot.AxisLabelRenderer&&this._label._elem.css("width",d+"px")):(b+=d,this._elem.css({width:b+"px",right:"0px",top:"0px"}),f&&this._label.constructor==a.jqplot.AxisLabelRenderer&&this._label._elem.css("width",d+"px"))}},a.jqplot.LinearAxisRenderer.prototype.createTicks=function(b){var c=this._ticks,d=this.ticks,e=this.name,f=this._dataBounds,g=this.name.charAt(0)==="x"?this._plotDimensions.width:this._plotDimensions.height,h,i,j,k,l,m,n,o=this.min,p=this.max,q=this.numberTicks,r=this.tickInterval,s=30;this._scalefact=(Math.max(g,s+1)-s)/300;if(d.length){for(n=0;n<d.length;n++){var t=d[n],u=new this.tickRenderer(this.tickOptions);a.isArray(t)?(u.value=t[0],this.breakPoints?t[0]==this.breakPoints[0]?(u.label=this.breakTickLabel,u._breakTick=!0,u.showGridline=!1,u.showMark=!1):t[0]>this.breakPoints[0]&&t[0]<=this.breakPoints[1]?(u.show=!1,u.showGridline=!1,u.label=t[1]):u.label=t[1]:u.label=t[1],u.setTick(t[0],this.name),this._ticks.push(u)):a.isPlainObject(t)?(a.extend(!0,u,t),u.axis=this.name,this._ticks.push(u)):(u.value=t,this.breakPoints&&(t==this.breakPoints[0]?(u.label=this.breakTickLabel,u._breakTick=!0,u.showGridline=!1,u.showMark=!1):t>this.breakPoints[0]&&t<=this.breakPoints[1]&&(u.show=!1,u.showGridline=!1)),u.setTick(t,this.name),this._ticks.push(u))}this.numberTicks=d.length,this.min=this._ticks[0].value,this.max=this._ticks[this.numberTicks-1].value,this.tickInterval=(this.max-this.min)/(this.numberTicks-1)}else{e=="xaxis"||e=="x2axis"?g=this._plotDimensions.width:g=this._plotDimensions.height;var v=this.numberTicks;this.alignTicks&&(this.name==="x2axis"&&b.axes.xaxis.show?v=b.axes.xaxis.numberTicks:this.name.charAt(0)==="y"&&this.name!=="yaxis"&&this.name!=="yMidAxis"&&b.axes.yaxis.show&&(v=b.axes.yaxis.numberTicks)),i=this.min!=null?this.min:f.min,j=this.max!=null?this.max:f.max;var w=j-i,x,y,z;if(this.tickOptions==null||!this.tickOptions.formatString)this._overrideFormatString=!0;if(this.min==null||this.max==null&&this.tickInterval==null&&!this.autoscale){this.forceTickAt0&&(i>0&&(i=0),j<0&&(j=0)),this.forceTickAt100&&(i>100&&(i=100),j<100&&(j=100));var A=!1,B=!1;this.min!=null?A=!0:this.max!=null&&(B=!0);var C=a.jqplot.LinearTickGenerator(i,j,this._scalefact,v,A,B),D=this.min!=null?i:i+w*(this.padMin-1),E=this.max!=null?j:j-w*(this.padMax-1);if(i<D||j>E)D=this.min!=null?i:i-w*(this.padMin-1),E=this.max!=null?j:j+w*(this.padMax-1),C=a.jqplot.LinearTickGenerator(D,E,this._scalefact,v,A,B);this.min=C[0],this.max=C[1],this.numberTicks=C[2],this._autoFormatString=C[3],this.tickInterval=C[4]}else{if(i==j){var F=.05;i>0&&(F=Math.max(Math.log(i)/Math.LN10,.05)),i-=F,j+=F}if(this.autoscale&&this.min==null&&this.max==null){var G,H,I,J=!1,K=!1,L={min:null,max:null,average:null,stddev:null};for(var n=0;n<this._series.length;n++){var M=this._series[n],N=M.fillAxis=="x"?M._xaxis.name:M._yaxis.name;if(this.name==N){var O=M._plotValues[M.fillAxis],P=O[0],Q=O[0];for(var R=1;R<O.length;R++)O[R]<P?P=O[R]:O[R]>Q&&(Q=O[R]);var S=(Q-P)/Q;M.renderer.constructor==a.jqplot.BarRenderer?P>=0&&(M.fillToZero||S>.1)?J=!0:(J=!1,M.fill&&M.fillToZero&&P<0&&Q>0?K=!0:K=!1):M.fill?P>=0&&(M.fillToZero||S>.1)?J=!0:P<0&&Q>0&&M.fillToZero?(J=!1,K=!0):(J=!1,K=!1):P<0&&(J=!1)}}if(J)this.numberTicks=2+Math.ceil((g-(this.tickSpacing-1))/this.tickSpacing),this.min=0,o=0,H=j/(this.numberTicks-1),z=Math.pow(10,Math.abs(Math.floor(Math.log(H)/Math.LN10))),H/z==parseInt(H/z,10)&&(H+=z),this.tickInterval=Math.ceil(H/z)*z,this.max=this.tickInterval*(this.numberTicks-1);else if(K){this.numberTicks=2+Math.ceil((g-(this.tickSpacing-1))/this.tickSpacing);var T=Math.ceil(Math.abs(i)/w*(this.numberTicks-1)),U=this.numberTicks-1-T;H=Math.max(Math.abs(i/T),Math.abs(j/U)),z=Math.pow(10,Math.abs(Math.floor(Math.log(H)/Math.LN10))),this.tickInterval=Math.ceil(H/z)*z,this.max=this.tickInterval*U,this.min=-this.tickInterval*T}else this.numberTicks==null&&(this.tickInterval?this.numberTicks=3+Math.ceil(w/this.tickInterval):this.numberTicks=2+Math.ceil((g-(this.tickSpacing-1))/this.tickSpacing)),this.tickInterval==null?(H=w/(this.numberTicks-1),H<1?z=Math.pow(10,Math.abs(Math.floor(Math.log(H)/Math.LN10))):z=1,this.tickInterval=Math.ceil(H*z*this.pad)/z):z=1/this.tickInterval,G=this.tickInterval*(this.numberTicks-1),I=(G-w)/2,this.min==null&&(this.min=Math.floor(z*(i-I))/z),this.max==null&&(this.max=this.min+G);var V=a.jqplot.getSignificantFigures(this.tickInterval),W;if(V.digitsLeft>=V.significantDigits)W="%d";else{var z=Math.max(0,5-V.digitsLeft);z=Math.min(z,V.digitsRight),W="%."+z+"f"}this._autoFormatString=W}else{x=this.min!=null?this.min:i-w*(this.padMin-1),y=this.max!=null?this.max:j+w*(this.padMax-1),w=y-x,this.numberTicks==null&&(this.tickInterval!=null?this.numberTicks=Math.ceil((y-x)/this.tickInterval)+1:g>100?this.numberTicks=parseInt(3+(g-100)/75,10):this.numberTicks=2),this.tickInterval==null&&(this.tickInterval=w/(this.numberTicks-1)),this.max==null&&(y=x+this.tickInterval*(this.numberTicks-1)),this.min==null&&(x=y-this.tickInterval*(this.numberTicks-1));var V=a.jqplot.getSignificantFigures(this.tickInterval),W;if(V.digitsLeft>=V.significantDigits)W="%d";else{var z=Math.max(0,5-V.digitsLeft);z=Math.min(z,V.digitsRight),W="%."+z+"f"}this._autoFormatString=W,this.min=x,this.max=y}if(this.renderer.constructor==a.jqplot.LinearAxisRenderer&&this._autoFormatString==""){w=this.max-this.min;var X=new this.tickRenderer(this.tickOptions),Y=X.formatString||a.jqplot.config.defaultTickFormatString,Y=Y.match(a.jqplot.sprintf.regex)[0],Z=0;if(Y){if(Y.search(/[fFeEgGpP]/)>-1){var $=Y.match(/\%\.(\d{0,})?[eEfFgGpP]/);$?Z=parseInt($[1],10):Z=6}else Y.search(/[di]/)>-1&&(Z=0);var _=Math.pow(10,-Z);if(this.tickInterval<_&&q==null&&r==null){this.tickInterval=_;if(p==null&&o==null){this.min=Math.floor(this._dataBounds.min/_)*_,this.min==this._dataBounds.min&&(this.min=this._dataBounds.min-this.tickInterval),this.max=Math.ceil(this._dataBounds.max/_)*_,this.max==this._dataBounds.max&&(this.max=this._dataBounds.max+this.tickInterval);var ba=(this.max-this.min)/this.tickInterval;ba=ba.toFixed(11),ba=Math.ceil(ba),this.numberTicks=ba+1}else if(p==null){var ba=(this._dataBounds.max-this.min)/this.tickInterval;ba=ba.toFixed(11),this.numberTicks=Math.ceil(ba)+2,this.max=this.min+this.tickInterval*(this.numberTicks-1)}else if(o==null){var ba=(this.max-this._dataBounds.min)/this.tickInterval;ba=ba.toFixed(11),this.numberTicks=Math.ceil(ba)+2,this.min=this.max-this.tickInterval*(this.numberTicks-1)}else this.numberTicks=Math.ceil((p-o)/this.tickInterval)+1,this.min=Math.floor(o*Math.pow(10,Z))/Math.pow(10,Z),this.max=Math.ceil(p*Math.pow(10,Z))/Math.pow(10,Z),this.numberTicks=Math.ceil((this.max-this.min)/this.tickInterval)+1}}}}this._overrideFormatString&&this._autoFormatString!=""&&(this.tickOptions=this.tickOptions||{},this.tickOptions.formatString=this._autoFormatString);var u,bb;for(var n=0;n<this.numberTicks;n++){m=this.min+n*this.tickInterval,u=new this.tickRenderer(this.tickOptions),u.setTick(m,this.name),this._ticks.push(u);if(n<this.numberTicks-1)for(var R=0;R<this.minorTicks;R++)m+=this.tickInterval/(this.minorTicks+1),bb=a.extend(!0,{},this.tickOptions,{name:this.name,value:m,label:"",isMinorTick:!0}),u=new this.tickRenderer(bb),this._ticks.push(u);u=null}}this.tickInset&&(this.min=this.min-this.tickInset*this.tickInterval,this.max=this.max+this.tickInset*this.tickInterval),c=null},a.jqplot.LinearAxisRenderer.prototype.resetTickValues=function(b){if(a.isArray(b)&&b.length==this._ticks.length){var c;for(var d=0;d<b.length;d++)c=this._ticks[d],c.value=b[d],c.label=c.formatter(c.formatString,b[d]),c.label=c.prefix+c.label,c._elem.html(c.label);c=null,this.min=a.jqplot.arrayMin(b),this.max=a.jqplot.arrayMax(b),this.pack()}},a.jqplot.LinearAxisRenderer.prototype.pack=function(b,c){b=b||{},c=c||this._offsets;var d=this._ticks,e=this.max,f=this.min,g=c.max,h=c.min,i=this._label==null?!1:this._label.show;for(var j in b)this._elem.css(j,b[j]);this._offsets=c;var k=g-h,l=e-f;this.breakPoints?(l=l-this.breakPoints[1]+this.breakPoints[0],this.p2u=function(a){return(a-h)*l/k+f},this.u2p=function(a){return a>this.breakPoints[0]&&a<this.breakPoints[1]&&(a=this.breakPoints[0]),a<=this.breakPoints[0]?(a-f)*k/l+h:(a-this.breakPoints[1]+this.breakPoints[0]-f)*k/l+h},this.name.charAt(0)=="x"?(this.series_u2p=function(a){return a>this.breakPoints[0]&&a<this.breakPoints[1]&&(a=this.breakPoints[0]),a<=this.breakPoints[0]?(a-f)*k/l:(a-this.breakPoints[1]+this.breakPoints[0]-f)*k/l},this.series_p2u=function(a){return a*l/k+f}):(this.series_u2p=function(a){return a>this.breakPoints[0]&&a<this.breakPoints[1]&&(a=this.breakPoints[0]),a>=this.breakPoints[1]?(a-e)*k/l:(a+this.breakPoints[1]-this.breakPoints[0]-e)*k/l},this.series_p2u=function(a){return a*l/k+e})):(this.p2u=function(a){return(a-h)*l/k+f},this.u2p=function(a){return(a-f)*k/l+h},this.name=="xaxis"||this.name=="x2axis"?(this.series_u2p=function(a){return(a-f)*k/l},this.series_p2u=function(a){return a*l/k+f}):(this.series_u2p=function(a){return(a-e)*k/l},this.series_p2u=function(a){return a*l/k+e}));if(this.show)if(this.name=="xaxis"||this.name=="x2axis"){for(var m=0;m<d.length;m++){var n=d[m];if(n.show&&n.showLabel){var o;if(n.constructor==a.jqplot.CanvasAxisTickRenderer&&n.angle){var p=this.name=="xaxis"?1:-1;switch(n.labelPosition){case"auto":p*n.angle<0?o=-n.getWidth()+n._textRenderer.height*Math.sin(-n._textRenderer.angle)/2:o=-n._textRenderer.height*Math.sin(n._textRenderer.angle)/2;break;case"end":o=-n.getWidth()+n._textRenderer.height*Math.sin(-n._textRenderer.angle)/2;break;case"start":o=-n._textRenderer.height*Math.sin(n._textRenderer.angle)/2;break;case"middle":o=-n.getWidth()/2+n._textRenderer.height*Math.sin(-n._textRenderer.angle)/2;break;default:o=-n.getWidth()/2+n._textRenderer.height*Math.sin(-n._textRenderer.angle)/2}}else o=-n.getWidth()/2;var q=this.u2p(n.value)+o+"px";n._elem.css("left",q),n.pack()}}if(i){var r=this._label._elem.outerWidth(!0);this._label._elem.css("left",h+k/2-r/2+"px"),this.name=="xaxis"?this._label._elem.css("bottom","0px"):this._label._elem.css("top","0px"),this._label.pack()}}else{for(var m=0;m<d.length;m++){var n=d[m];if(n.show&&n.showLabel){var o;if(n.constructor==a.jqplot.CanvasAxisTickRenderer&&n.angle){var p=this.name=="yaxis"?1:-1;switch(n.labelPosition){case"auto":case"end":p*n.angle<0?o=-n._textRenderer.height*Math.cos(-n._textRenderer.angle)/2:o=-n.getHeight()+n._textRenderer.height*Math.cos(n._textRenderer.angle)/2;break;case"start":n.angle>0?o=-n._textRenderer.height*Math.cos(-n._textRenderer.angle)/2:o=-n.getHeight()+n._textRenderer.height*Math.cos(n._textRenderer.angle)/2;break;case"middle":o=-n.getHeight()/2;break;default:o=-n.getHeight()/2}}else o=-n.getHeight()/2;var q=this.u2p(n.value)+o+"px";n._elem.css("top",q),n.pack()}}if(i){var s=this._label._elem.outerHeight(!0);this._label._elem.css("top",g-k/2-s/2+"px"),this.name=="yaxis"?this._label._elem.css("left","0px"):this._label._elem.css("right","0px"),this._label.pack()}}d=null};var z=[.1,.2,.3,.4,.5,.8,1,2,3,4,5],A=function(a){var b=z.indexOf(a);return b>0?z[b-1]:z[z.length-1]/100},B=function(a){var b=z.indexOf(a);return b<z.length-1?z[b+1]:z[0]*100};a.jqplot.LinearTickGenerator=function(b,c,d,e,f,g){f=f===null?!1:f,g=g===null||f?!1:g,b===c&&(c=c?0:1),d=d||1;if(c<b){var h=c;c=b,b=h}var i=[],j=E(c-b,d),k=a.jqplot.getSignificantFigures;if(e==null){if(!f&&!g)i[0]=Math.floor(b/j)*j,i[1]=Math.ceil(c/j)*j,i[2]=Math.round((i[1]-i[0])/j+1),i[3]=y(j),i[4]=j;else if(f){i[0]=b,i[2]=Math.ceil((c-b)/j+1),i[1]=b+(i[2]-1)*j;var l=k(b).digitsRight,m=k(j).digitsRight;l<m?i[3]=y(j):i[3]="%."+l+"f",i[4]=j}else if(g){i[1]=c,i[2]=Math.ceil((c-b)/j+1),i[0]=c-(i[2]-1)*j;var n=k(c).digitsRight,m=k(j).digitsRight;n<m?i[3]=y(j):i[3]="%."+n+"f",i[4]=j}}else{var o=[];o[0]=Math.floor(b/j)*j,o[1]=Math.ceil(c/j)*j,o[2]=Math.round((o[1]-o[0])/j+1),o[3]=y(j),o[4]=j;if(o[2]===e)i=o;else{var p=D(o[1]-o[0],e);i[0]=o[0],i[2]=e,i[4]=p,i[3]=y(p),i[1]=i[0]+(i[2]-1)*i[4]}}return i},a.jqplot.LinearTickGenerator.bestLinearInterval=E,a.jqplot.LinearTickGenerator.bestInterval=D,a.jqplot.LinearTickGenerator.bestLinearComponents=F,a.jqplot.LinearTickGenerator.bestConstrainedInterval=C,a.jqplot.MarkerRenderer=function(b){this.show=!0,this.style="filledCircle",this.lineWidth=2,this.size=9,this.color="#666666",this.shadow=!0,this.shadowAngle=45,this.shadowOffset=1,this.shadowDepth=3,this.shadowAlpha="0.07",this.shadowRenderer=new a.jqplot.ShadowRenderer,this.shapeRenderer=new a.jqplot.ShapeRenderer,a.extend(!0,this,b)},a.jqplot.MarkerRenderer.prototype.init=function(b){a.extend(!0,this,b);var c={angle:this.shadowAngle,offset:this.shadowOffset,alpha:this.shadowAlpha,lineWidth:this.lineWidth,depth:this.shadowDepth,closePath:!0};this.style.indexOf("filled")!=-1&&(c.fill=!0),this.style.indexOf("ircle")!=-1&&(c.isarc=!0,c.closePath=!1),this.shadowRenderer.init(c);var d={fill:!1,isarc:!1,strokeStyle:this.color,fillStyle:this.color,lineWidth:this.lineWidth,closePath:!0};this.style.indexOf("filled")!=-1&&(d.fill=!0),this.style.indexOf("ircle")!=-1&&(d.isarc=!0,d.closePath=!1),this.shapeRenderer.init(d)},a.jqplot.MarkerRenderer.prototype.drawDiamond=function(a,b,c,d,e){var f=1.2,g=this.size/2/f,h=this.size/2*f,i=[[a-g,b],[a,b+h],[a+g,b],[a,b-h]];this.shadow&&this.shadowRenderer.draw(c,i),this.shapeRenderer.draw(c,i,e)},a.jqplot.MarkerRenderer.prototype.drawPlus=function(b,c,d,e,f){var g=1,h=this.size/2*g,i=this.size/2*g,j=[[b,c-i],[b,c+i]],k=[[b+h,c],[b-h,c]],l=a.extend(!0,{},this.options,{closePath:!1});this.shadow&&(this.shadowRenderer.draw(d,j,{closePath:!1}),this.shadowRenderer.draw(d,k,{closePath:!1})),this.shapeRenderer.draw(d,j,l),this.shapeRenderer.draw(d,k,l)},a.jqplot.MarkerRenderer.prototype.drawX=function(b,c,d,e,f){var g=1,h=this.size/2*g,i=this.size/2*g,j=a.extend(!0,{},this.options,{closePath:!1}),k=[[b-h,c-i],[b+h,c+i]],l=[[b-h,c+i],[b+h,c-i]];this.shadow&&(this.shadowRenderer.draw(d,k,{closePath:!1}),this.shadowRenderer.draw(d,l,{closePath:!1})),this.shapeRenderer.draw(d,k,j),this.shapeRenderer.draw(d,l,j)},a.jqplot.MarkerRenderer.prototype.drawDash=function(a,b,c,d,e){var f=1,g=this.size/2*f,h=this.size/2*f,i=[[a-g,b],[a+g,b]];this.shadow&&this.shadowRenderer.draw(c,i),this.shapeRenderer.draw(c,i,e)},a.jqplot.MarkerRenderer.prototype.drawLine=function(a,b,c,d,e){var f=[a,b];this.shadow&&this.shadowRenderer.draw(c,f),this.shapeRenderer.draw(c,f,e)},a.jqplot.MarkerRenderer.prototype.drawSquare=function(a,b,c,d,e){var f=1,g=this.size/2/f,h=this.size/2*f,i=[[a-g,b-h],[a-g,b+h],[a+g,b+h],[a+g,b-h]];this.shadow&&this.shadowRenderer.draw(c,i),this.shapeRenderer.draw(c,i,e)},a.jqplot.MarkerRenderer.prototype.drawCircle=function(a,b,c,d,e){var f=this.size/2,g=2*Math.PI,h=[a,b,f,0,g,!0];this.shadow&&this.shadowRenderer.draw(c,h),this.shapeRenderer.draw(c,h,e)},a.jqplot.MarkerRenderer.prototype.draw=function(a,b,c,d){d=d||{};if(d.show==null||d.show!=0){d.color&&!d.fillStyle&&(d.fillStyle=d.color),d.color&&!d.strokeStyle&&(d.strokeStyle=d.color);switch(this.style){case"diamond":this.drawDiamond(a,b,c,!1,d);break;case"filledDiamond":this.drawDiamond(a,b,c,!0,d);break;case"circle":this.drawCircle(a,b,c,!1,d);break;case"filledCircle":this.drawCircle(a,b,c,!0,d);break;case"square":this.drawSquare(a,b,c,!1,d);break;case"filledSquare":this.drawSquare(a,b,c,!0,d);break;case"x":this.drawX(a,b,c,!0,d);break;case"plus":this.drawPlus(a,b,c,!0,d);break;case"dash":this.drawDash(a,b,c,!0,d);break;case"line":this.drawLine(a,b,c,!1,d);break;default:this.drawDiamond(a,b,c,!1,d)}}},a.jqplot.ShadowRenderer=function(b){this.angle=45,this.offset=1,this.alpha=.07,this.lineWidth=1.5,this.lineJoin="miter",this.lineCap="round",this.closePath=!1,this.fill=!1,this.depth=3,this.strokeStyle="rgba(0,0,0,0.1)",this.isarc=!1,a.extend(!0,this,b)},a.jqplot.ShadowRenderer.prototype.init=function(b){a.extend(!0,this,b)},a.jqplot.ShadowRenderer.prototype.draw=function(b,c,d){b.save();var e=d!=null?d:{},f=e.fill!=null?e.fill:this.fill,g=e.fillRect!=null?e.fillRect:this.fillRect,h=e.closePath!=null?e.closePath:this.closePath,i=e.offset!=null?e.offset:this.offset,j=e.alpha!=null?e.alpha:this.alpha,k=e.depth!=null?e.depth:this.depth,l=e.isarc!=null?e.isarc:this.isarc,m=e.linePattern!=null?e.linePattern:this.linePattern;b.lineWidth=e.lineWidth!=null?e.lineWidth:this.lineWidth,b.lineJoin=e.lineJoin!=null?e.lineJoin:this.lineJoin,b.lineCap=e.lineCap!=null?e.lineCap:this.lineCap,b.strokeStyle=e.strokeStyle||this.strokeStyle||"rgba(0,0,0,"+j+")",b.fillStyle=e.fillStyle||this.fillStyle||"rgba(0,0,0,"+j+")";for(var n=0;n<k;n++){var o=a.jqplot.LinePattern(b,m);b.translate(Math.cos(this.angle*Math.PI/180)*i,Math.sin(this.angle*Math.PI/180)*i),o.beginPath();if(l)b.arc(c[0],c[1],c[2],c[3],c[4],!0);else if(g)g&&b.fillRect(c[0],c[1],c[2],c[3]);else if(c&&c.length){var p=!0;for(var q=0;q<c.length;q++)c[q][0]!=null&&c[q][1]!=null?p?(o.moveTo(c[q][0],c[q][1]),p=!1):o.lineTo(c[q][0],c[q][1]):p=!0}h&&o.closePath(),f?b.fill():b.stroke()}b.restore()},a.jqplot.ShapeRenderer=function(b){this.lineWidth=1.5,this.linePattern="solid",this.lineJoin="miter",this.lineCap="round",this.closePath=!1,this.fill=!1,this.isarc=!1,this.fillRect=!1,this.strokeRect=!1,this.clearRect=!1,this.strokeStyle="#999999",this.fillStyle="#999999",a.extend(!0,this,b)},a.jqplot.ShapeRenderer.prototype.init=function(b){a.extend(!0,this,b)},a.jqplot.ShapeRenderer.prototype.draw=function(b,c,d){b.save();var e=d!=null?d:{},f=e.fill!=null?e.fill:this.fill,g=e.closePath!=null?e.closePath:this.closePath,h=e.fillRect!=null?e.fillRect:this.fillRect,i=e.strokeRect!=null?e.strokeRect:this.strokeRect,j=e.clearRect!=null?e.clearRect:this.clearRect,k=e.isarc!=null?e.isarc:this.isarc,l=e.linePattern!=null?e.linePattern:this.linePattern,m=a.jqplot.LinePattern(b,l);b.lineWidth=e.lineWidth||this.lineWidth,b.lineJoin=e.lineJoin||this.lineJoin,b.lineCap=e.lineCap||this.lineCap,b.strokeStyle=e.strokeStyle||e.color||this.strokeStyle,b.fillStyle=e.fillStyle||this.fillStyle,b.beginPath();if(k){b.arc(c[0],c[1],c[2],c[3],c[4],!0),g&&b.closePath(),f?b.fill():b.stroke(),b.restore();return}if(j){b.clearRect(c[0],c[1],c[2],c[3]),b.restore();return}if(h||i){h&&b.fillRect(c[0],c[1],c[2],c[3]);if(i){b.strokeRect(c[0],c[1],c[2],c[3]),b.restore();return}}else if(c&&c.length){var n=!0;for(var o=0;o<c.length;o++)c[o][0]!=null&&c[o][1]!=null?n?(m.moveTo(c[o][0],c[o][1]),n=!1):m.lineTo(c[o][0],c[o][1]):n=!0;g&&m.closePath(),f?b.fill():b.stroke()}b.restore()},a.jqplot.TableLegendRenderer=function(){},a.jqplot.TableLegendRenderer.prototype.init=function(b){a.extend(!0,this,b)},a.jqplot.TableLegendRenderer.prototype.addrow=function(b,c,d,e){var f=d?this.rowSpacing+"px":"0px",g,h,i,j,k;i=document.createElement("tr"),g=a(i),g.addClass("jqplot-table-legend"),i=null,e?g.prependTo(this._elem):g.appendTo(this._elem),this.showSwatches&&(h=a(document.createElement("td")),h.addClass("jqplot-table-legend jqplot-table-legend-swatch"),h.css({textAlign:"center",paddingTop:f}),j=a(document.createElement("div")),j.addClass("jqplot-table-legend-swatch-outline"),k=a(document.createElement("div")),k.addClass("jqplot-table-legend-swatch"),k.css({backgroundColor:c,borderColor:c}),g.append(h.append(j.append(k)))),this.showLabels&&(h=a(document.createElement("td")),h.addClass("jqplot-table-legend jqplot-table-legend-label"),h.css("paddingTop",f),g.append(h),this.escapeHtml?h.text(b):h.html(b)),h=null,j=null,k=null,g=null,i=null},a.jqplot.TableLegendRenderer.prototype.draw=function(){this._elem&&(this._elem.emptyForce(),this._elem=null);if(this.show){var b=this._series,c=document.createElement("table");this._elem=a(c),this._elem.addClass("jqplot-table-legend");var d={position:"absolute"};this.background&&(d.background=this.background),this.border&&(d.border=this.border),this.fontSize&&(d.fontSize=this.fontSize),this.fontFamily&&(d.fontFamily=this.fontFamily),this.textColor&&(d.textColor=this.textColor),this.marginTop!=null&&(d.marginTop=this.marginTop),this.marginBottom!=null&&(d.marginBottom=this.marginBottom),this.marginLeft!=null&&(d.marginLeft=this.marginLeft),this.marginRight!=null&&(d.marginRight=this.marginRight);var e=!1,f=!1,g;for(var h=0;h<b.length;h++){g=b[h];if(g._stack||g.renderer.constructor==a.jqplot.BezierCurveRenderer)f=!0;if(g.show&&g.showLabel){var i=this.labels[h]||g.label.toString();if(i){var j=g.color;f&&h<b.length-1?e=!0:f&&h==b.length-1&&(e=!1),this.renderer.addrow.call(this,i,j,e,f),e=!0}for(var k=0;k<a.jqplot.addLegendRowHooks.length;k++){var l=a.jqplot.addLegendRowHooks[k].call(this,g);l&&(this.renderer.addrow.call(this,l.label,l.color,e),e=!0)}i=null}}}return this._elem},a.jqplot.TableLegendRenderer.prototype.pack=function(a){if(this.show)if(this.placement=="insideGrid")switch(this.location){case"nw":var b=a.left,c=a.top;this._elem.css("left",b),this._elem.css("top",c);break;case"n":var b=(a.left+(this._plotDimensions.width-a.right))/2-this.getWidth()/2,c=a.top;this._elem.css("left",b),this._elem.css("top",c);break;case"ne":var b=a.right,c=a.top;this._elem.css({right:b,top:c});break;case"e":var b=a.right,c=(a.top+(this._plotDimensions.height-a.bottom))/2-this.getHeight()/2;this._elem.css({right:b,top:c});break;case"se":var b=a.right,c=a.bottom;this._elem.css({right:b,bottom:c});break;case"s":var b=(a.left+(this._plotDimensions.width-a.right))/2-this.getWidth()/2,c=a.bottom;this._elem.css({left:b,bottom:c});break;case"sw":var b=a.left,c=a.bottom;this._elem.css({left:b,bottom:c});break;case"w":var b=a.left,c=(a.top+(this._plotDimensions.height-a.bottom))/2-this.getHeight()/2;this._elem.css({left:b,top:c});break;default:var b=a.right,c=a.bottom;this._elem.css({right:b,bottom:c})}else if(this.placement=="outside")switch(this.location){case"nw":var b=this._plotDimensions.width-a.left,c=a.top;this._elem.css("right",b),this._elem.css("top",c);break;case"n":var b=(a.left+(this._plotDimensions.width-a.right))/2-this.getWidth()/2,c=this._plotDimensions.height-a.top;this._elem.css("left",b),this._elem.css("bottom",c);break;case"ne":var b=this._plotDimensions.width-a.right,c=a.top;this._elem.css({left:b,top:c});break;case"e":var b=this._plotDimensions.width-a.right,c=(a.top+(this._plotDimensions.height-a.bottom))/2-this.getHeight()/2;this._elem.css({left:b,top:c});break;case"se":var b=this._plotDimensions.width-a.right,c=a.bottom;this._elem.css({left:b,bottom:c});break;case"s":var b=(a.left+(this._plotDimensions.width-a.right))/2-this.getWidth()/2,c=this._plotDimensions.height-a.bottom;this._elem.css({left:b,top:c});break;case"sw":var b=this._plotDimensions.width-a.left,c=a.bottom;this._elem.css({right:b,bottom:c});break;case"w":var b=this._plotDimensions.width-a.left,c=(a.top+(this._plotDimensions.height-a.bottom))/2-this.getHeight()/2;this._elem.css({right:b,top:c});break;default:var b=a.right,c=a.bottom;this._elem.css({right:b,bottom:c})}else switch(this.location){case"nw":this._elem.css({left:0,top:a.top});break;case"n":var b=(a.left+(this._plotDimensions.width-a.right))/2-this.getWidth()/2;this._elem.css({left:b,top:a.top});break;case"ne":this._elem.css({right:0,top:a.top});break;case"e":var c=(a.top+(this._plotDimensions.height-a.bottom))/2-this.getHeight()/2;this._elem.css({right:a.right,top:c});break;case"se":this._elem.css({right:a.right,bottom:a.bottom});break;case"s":var b=(a.left+(this._plotDimensions.width-a.right))/2-this.getWidth()/2;this._elem.css({left:b,bottom:a.bottom});break;case"sw":this._elem.css({left:a.left,bottom:a.bottom});break;case"w":var c=(a.top+(this._plotDimensions.height-a.bottom))/2-this.getHeight()/2;this._elem.css({left:a.left,top:c});break;default:this._elem.css({right:a.right,bottom:a.bottom})}},a.jqplot.ThemeEngine=function(){this.themes={},this.activeTheme=null},a.jqplot.ThemeEngine.prototype.init=function(){var b=new a.jqplot.Theme({_name:"Default"}),c,d,e;for(c in b.target)c=="textColor"?b.target[c]=this.target.css("color"):b.target[c]=this.target.css(c);if(this.title.show&&this.title._elem)for(c in b.title)c=="textColor"?b.title[c]=this.title._elem.css("color"):b.title[c]=this.title._elem.css(c);for(c in b.grid)b.grid[c]=this.grid[c];b.grid.backgroundColor==null&&this.grid.background!=null&&(b.grid.backgroundColor=this.grid.background);if(this.legend.show&&this.legend._elem)for(c in b.legend)c=="textColor"?b.legend[c]=this.legend._elem.css("color"):b.legend[c]=this.legend._elem.css(c);var f;for(d=0;d<this.series.length;d++){f=this.series[d],f.renderer.constructor==a.jqplot.LineRenderer?b.series.push(new M):f.renderer.constructor==a.jqplot.BarRenderer?b.series.push(new O):f.renderer.constructor==a.jqplot.PieRenderer?b.series.push(new P):f.renderer.constructor==a.jqplot.DonutRenderer?b.series.push(new Q):f.renderer.constructor==a.jqplot.FunnelRenderer?b.series.push(new R):f.renderer.constructor==a.jqplot.MeterGaugeRenderer?b.series.push(new S):b.series.push({});for(c in b.series[d])b.series[d][c]=f[c]}var g,h;for(c in this.axes){h=this.axes[c],g=b.axes[c]=new J,g.borderColor=h.borderColor,g.borderWidth=h.borderWidth;if(h._ticks&&h._ticks[0])for(e in g.ticks)h._ticks[0].hasOwnProperty(e)?g.ticks[e]=h._ticks[0][e]:h._ticks[0]._elem&&(g.ticks[e]=h._ticks[0]._elem.css(e));if(h._label&&h._label.show)for(e in g.label)h._label[e]?g.label[e]=h._label[e]:h._label._elem&&(e=="textColor"?g.label[e]=h._label._elem.css("color"):g.label[e]=h._label._elem.css(e))}this.themeEngine._add(b),this.themeEngine.activeTheme=this.themeEngine.themes[b._name]},a.jqplot.ThemeEngine.prototype.get=function(a){return a?this.themes[a]:this.activeTheme},a.jqplot.ThemeEngine.prototype.getThemeNames=function(){var a=[];for(var b in this.themes)a.push(b);return a.sort(G)},a.jqplot.ThemeEngine.prototype.getThemes=function(){var a=[],b=[];for(var c in this.themes)a.push(c);a.sort(G);for(var d=0;d<a.length;d++)b.push(this.themes[a[d]]);return b},a.jqplot.ThemeEngine.prototype.activate=function(b,c){var d=!1;!c&&this.activeTheme&&this.activeTheme._name&&(c=this.activeTheme._name);if(!this.themes.hasOwnProperty(c))throw new Error("No theme of that name");var e=this.themes[c];this.activeTheme=e;var f,g=!1,h=!1,i=["xaxis","x2axis","yaxis","y2axis"];for(r=0;r<i.length;r++){var j=i[r];e.axesStyles.borderColor!=null&&(b.axes[j].borderColor=e.axesStyles.borderColor),e.axesStyles.borderWidth!=null&&(b.axes[j].borderWidth=e.axesStyles.borderWidth)}for(var k in b.axes){var l=b.axes[k];if(l.show){var m=e.axes[k]||{},n=e.axesStyles,o=a.jqplot.extend(!0,{},m,n);f=e.axesStyles.borderColor!=null?e.axesStyles.borderColor:o.borderColor,o.borderColor!=null&&(l.borderColor=o.borderColor,d=!0),f=e.axesStyles.borderWidth!=null?e.axesStyles.borderWidth:o.borderWidth,o.borderWidth!=null&&(l.borderWidth=o.borderWidth,d=!0);if(l._ticks&&l._ticks[0])for(var p in o.ticks)f=o.ticks[p],f!=null&&(l.tickOptions[p]=f,l._ticks=[],d=!0);if(l._label&&l._label.show)for(var p in o.label)f=o.label[p],f!=null&&(l.labelOptions[p]=f,d=!0)}}for(var q in e.grid)e.grid[q]!=null&&(b.grid[q]=e.grid[q]);d||b.grid.draw();if(b.legend.show)for(q in e.legend)e.legend[q]!=null&&(b.legend[q]=e.legend[q]);if(b.title.show)for(q in e.title)e.title[q]!=null&&(b.title[q]=e.title[q]);var r;for(r=0;r<e.series.length;r++){var s={},t=!1;for(q in e.series[r])f=e.seriesStyles[q]!=null?e.seriesStyles[q]:e.series[r][q],f!=null&&(s[q]=f,q=="color"?(b.series[r].renderer.shapeRenderer.fillStyle=f,b.series[r].renderer.shapeRenderer.strokeStyle=f,b.series[r][q]=f):q=="lineWidth"||q=="linePattern"?(b.series[r].renderer.shapeRenderer[q]=f,b.series[r][q]=f):q=="markerOptions"?(I(b.series[r].markerOptions,f),I(b.series[r].markerRenderer,f)):b.series[r][q]=f,d=!0)}d&&(b.target.empty(),b.draw());for(q in e.target)e.target[q]!=null&&b.target.css(q,e.target[q])},a.jqplot.ThemeEngine.prototype._add=function(a,b){b&&(a._name=b),a._name||(a._name=Date.parse(new Date));if(!this.themes.hasOwnProperty(a._name))this.themes[a._name]=a;else throw new Error("jqplot.ThemeEngine Error: Theme already in use")},a.jqplot.ThemeEngine.prototype.remove=function(a){return a=="Default"?!1:delete this.themes[a]},a.jqplot.ThemeEngine.prototype.newTheme=function(b,c){typeof b=="object"&&(c=c||b,b=null),c&&c._name?b=c._name:b=b||Date.parse(new Date);var d=this.copy(this.themes.Default._name,b);return a.jqplot.extend(d,c),d},a.jqplot.clone=H,a.jqplot.merge=I,a.jqplot.extend=function(){var c=arguments[0]||{},d=1,e=arguments.length,f=!1,g;typeof c=="boolean"&&(f=c,c=arguments[1]||{},d=2),typeof c!="object"&&!toString.call(c)==="[object Function]"&&(c={});for(;d<e;d++)if((g=arguments[d])!=null)for(var h in g){var i=c[h],j=g[h];if(c===j)continue;f&&j&&typeof j=="object"&&!j.nodeType?c[h]=a.jqplot.extend(f,i||(j.length!=null?[]:{}),j):j!==b&&(c[h]=j)}return c},a.jqplot.ThemeEngine.prototype.rename=function(a,b){if(a=="Default"||b=="Default")throw new Error("jqplot.ThemeEngine Error: Cannot rename from/to Default");if(this.themes.hasOwnProperty(b))throw new Error("jqplot.ThemeEngine Error: New name already in use.");if(this.themes.hasOwnProperty(a)){var c=this.copy(a,b);return this.remove(a),c}throw new Error("jqplot.ThemeEngine Error: Old name or new name invalid")},a.jqplot.ThemeEngine.prototype.copy=function(b,c,d){if(c=="Default")throw new Error("jqplot.ThemeEngine Error: Cannot copy over Default theme");if(!this.themes.hasOwnProperty(b)){var e="jqplot.ThemeEngine Error: Source name invalid";throw new Error(e)}if(this.themes.hasOwnProperty(c)){var e="jqplot.ThemeEngine Error: Target name invalid";throw new Error(e)}var f=H(this.themes[b]);return f._name=c,a.jqplot.extend(!0,f,d),this._add(f),f},a.jqplot.Theme=function(b,c){typeof b=="object"&&(c=c||b,b=null),b=b||Date.parse(new Date),this._name=b,this.target={backgroundColor:null},this.legend={textColor:null,fontFamily:null,fontSize:null,border:null,background:null},this.title={textColor:null,fontFamily:null,fontSize:null,textAlign:null},this.seriesStyles={},this.series=[],this.grid={drawGridlines:null,gridLineColor:null,gridLineWidth:null,backgroundColor:null,borderColor:null,borderWidth:null,shadow:null},this.axesStyles={label:{},ticks:{}},this.axes={},typeof c=="string"?this._name=c:typeof c=="object"&&a.jqplot.extend(!0,this,c)};var J=function(){this.borderColor=null,this.borderWidth=null,this.ticks=new K,this.label=new L},K=function(){this.show=null,this.showGridline=null,this.showLabel=null,this.showMark=null,this.size=null,this.textColor=null,this.whiteSpace=null,this.fontSize=null,this.fontFamily=null},L=function(){this.textColor=null,this.whiteSpace=null,this.fontSize=null,this.fontFamily=null,this.fontWeight=null},M=function(){this.color=null,this.lineWidth=null,this.linePattern=null,this.shadow=null,this.fillColor=null,this.showMarker=null,this.markerOptions=new N},N=function(){this.show=null,this.style=null,this.lineWidth=null,this.size=null,this.color=null,this.shadow=null},O=function(){this.color=null,this.seriesColors=null,this.lineWidth=null,this.shadow=null,this.barPadding=null,this.barMargin=null,this.barWidth=null,this.highlightColors=null},P=function(){this.seriesColors=null,this.padding=null,this.sliceMargin=null,this.fill=null,this.shadow=null,this.startAngle=null,this.lineWidth=null,this.highlightColors=null},Q=function(){this.seriesColors=null,this.padding=null,this.sliceMargin=null,this.fill=null,this.shadow=null,this.startAngle=null,this.lineWidth=null,this.innerDiameter=null,this.thickness=null,this.ringMargin=null,this.highlightColors=null},R=function(){this.color=null,this.lineWidth=null,this.shadow=null,this.padding=null,this.sectionMargin=
null,this.seriesColors=null,this.highlightColors=null},S=function(){this.padding=null,this.backgroundColor=null,this.ringColor=null,this.tickColor=null,this.ringWidth=null,this.intervalColors=null,this.intervalInnerRadius=null,this.intervalOuterRadius=null,this.hubRadius=null,this.needleThickness=null,this.needlePad=null};a.fn.jqplotChildText=function(){return a(this).contents().filter(function(){return this.nodeType==3}).text()},a.fn.jqplotGetComputedFontStyle=function(){var a=window.getComputedStyle?window.getComputedStyle(this[0],""):this[0].currentStyle,b=a["font-style"]?["font-style","font-weight","font-size","font-family"]:["fontStyle","fontWeight","fontSize","fontFamily"],c=[];for(var d=0;d<b.length;++d){var e=String(a[b[d]]);e&&e!="normal"&&c.push(e)}return c.join(" ")},a.fn.jqplotToImageCanvas=function(b){function u(b){var c=parseInt(a(b).css("line-height"),10);return isNaN(c)&&(c=parseInt(a(b).css("font-size"),10)*1.2),c}function v(b,c,d,e,f,g){var h=u(b),i=a(b).innerWidth(),j=a(b).innerHeight(),k=d.split(/\s+/),m=k.length,n="",o=[],p=f,q=e;for(var r=0;r<m;r++)n+=k[r],c.measureText(n).width>i&&(o.push(r),n="",r--);if(o.length===0)a(b).css("textAlign")==="center"&&(q=e+(g-c.measureText(n).width)/2-l),c.fillText(d,q,f);else{n=k.slice(0,o[0]).join(" "),a(b).css("textAlign")==="center"&&(q=e+(g-c.measureText(n).width)/2-l),c.fillText(n,q,p),p+=h;for(var r=1,s=o.length;r<s;r++)n=k.slice(o[r-1],o[r]).join(" "),a(b).css("textAlign")==="center"&&(q=e+(g-c.measureText(n).width)/2-l),c.fillText(n,q,p),p+=h;n=k.slice(o[r-1],k.length).join(" "),a(b).css("textAlign")==="center"&&(q=e+(g-c.measureText(n).width)/2-l),c.fillText(n,q,p)}}function w(b,c,d){var e=b.tagName.toLowerCase(),g=a(b).position(),h=window.getComputedStyle?window.getComputedStyle(b,""):b.currentStyle,i=c+g.left+parseInt(h.marginLeft,10)+parseInt(h.borderLeftWidth,10)+parseInt(h.paddingLeft,10),j=d+g.top+parseInt(h.marginTop,10)+parseInt(h.borderTopWidth,10)+parseInt(h.paddingTop,10),k=f.width;if(e!="div"&&e!="span"||!!a(b).hasClass("jqplot-highlighter-tooltip"))if(e==="table"&&a(b).hasClass("jqplot-table-legend")){t.strokeStyle=a(b).css("border-top-color"),t.fillStyle=a(b).css("background-color"),t.fillRect(i,j,a(b).innerWidth(),a(b).innerHeight()),parseInt(a(b).css("border-top-width"),10)>0&&t.strokeRect(i,j,a(b).innerWidth(),a(b).innerHeight()),a(b).find("div.jqplot-table-legend-swatch-outline").each(function(){var b=a(this);t.strokeStyle=b.css("border-top-color");var c=i+b.position().left,d=j+b.position().top;t.strokeRect(c,d,b.innerWidth(),b.innerHeight()),c+=parseInt(b.css("padding-left"),10),d+=parseInt(b.css("padding-top"),10);var e=b.innerHeight()-2*parseInt(b.css("padding-top"),10),f=b.innerWidth()-2*parseInt(b.css("padding-left"),10),g=b.children("div.jqplot-table-legend-swatch");t.fillStyle=g.css("background-color"),t.fillRect(c,d,f,e)}),a(b).find("td.jqplot-table-legend-label").each(function(){var b=a(this),c=i+b.position().left,d=j+b.position().top+parseInt(b.css("padding-top"),10);t.font=b.jqplotGetComputedFontStyle(),t.fillStyle=b.css("color"),v(b,t,b.text(),c,d,k)});var m=null}else e=="canvas"&&t.drawImage(b,i,j);else{a(b).children().each(function(){w(this,i,j)});var l=a(b).jqplotChildText();l&&(t.font=a(b).jqplotGetComputedFontStyle(),t.fillStyle=a(b).css("color"),v(b,t,l,i,j,k))}}b=b||{};var c=b.x_offset==null?0:b.x_offset,d=b.y_offset==null?0:b.y_offset,e=b.backgroundColor==null?"rgb(255,255,255)":b.backgroundColor;if(a(this).width()==0||a(this).height()==0)return null;if(a.jqplot.use_excanvas)return null;var f=document.createElement("canvas"),g=a(this).outerHeight(!0),h=a(this).outerWidth(!0),i=a(this).offset(),j=i.left,k=i.top,l=0,m=0,n=["jqplot-table-legend","jqplot-xaxis-tick","jqplot-x2axis-tick","jqplot-yaxis-tick","jqplot-y2axis-tick","jqplot-y3axis-tick","jqplot-y4axis-tick","jqplot-y5axis-tick","jqplot-y6axis-tick","jqplot-y7axis-tick","jqplot-y8axis-tick","jqplot-y9axis-tick","jqplot-xaxis-label","jqplot-x2axis-label","jqplot-yaxis-label","jqplot-y2axis-label","jqplot-y3axis-label","jqplot-y4axis-label","jqplot-y5axis-label","jqplot-y6axis-label","jqplot-y7axis-label","jqplot-y8axis-label","jqplot-y9axis-label"],o,p,q,r;for(var s=0;s<n.length;s++)a(this).find("."+n[s]).each(function(){o=a(this).offset().top-k,p=a(this).offset().left-j,r=p+a(this).outerWidth(!0)+l,q=o+a(this).outerHeight(!0)+m,p<-l&&(h=h-l-p,l=-p),o<-m&&(g=g-m-o,m=-o),r>h&&(h=r),q>g&&(g=q)});f.width=h+Number(c),f.height=g+Number(d);var t=f.getContext("2d");return t.save(),t.fillStyle=e,t.fillRect(0,0,f.width,f.height),t.restore(),t.translate(l,m),t.textAlign="left",t.textBaseline="top",a(this).children().each(function(){w(this,c,d)}),f},a.fn.jqplotToImageStr=function(b){var c=a(this).jqplotToImageCanvas(b);return c?c.toDataURL("image/png"):null},a.fn.jqplotToImageElem=function(b){var c=document.createElement("img"),d=a(this).jqplotToImageStr(b);return c.src=d,c},a.fn.jqplotToImageElemStr=function(b){var c="<img src="+a(this).jqplotToImageStr(b)+" />";return c},a.fn.jqplotSaveImage=function(){var b=a(this).jqplotToImageStr({});b&&(window.location.href=b.replace("image/png","image/octet-stream"))},a.fn.jqplotViewImage=function(){var b=a(this).jqplotToImageElemStr({}),c=a(this).jqplotToImageStr({});if(b){var d=window.open("");d.document.open("image/png"),d.document.write(b),d.document.close(),d=null}};var T=function(){this.syntax=T.config.syntax,this._type="jsDate",this.proxy=new Date,this.options={},this.locale=T.regional.getLocale(),this.formatString="",this.defaultCentury=T.config.defaultCentury;switch(arguments.length){case 0:break;case 1:if($(arguments[0])=="[object Object]"&&arguments[0]._type!="jsDate"){var a=this.options=arguments[0];this.syntax=a.syntax||this.syntax,this.defaultCentury=a.defaultCentury||this.defaultCentury,this.proxy=T.createDate(a.date)}else this.proxy=T.createDate(arguments[0]);break;default:var b=[];for(var c=0;c<arguments.length;c++)b.push(arguments[c]);this.proxy=new Date,this.proxy.setFullYear.apply(this.proxy,b.slice(0,3)),b.slice(3).length&&this.proxy.setHours.apply(this.proxy,b.slice(3))}};T.config={defaultLocale:"en",syntax:"perl",defaultCentury:1900},T.prototype.add=function(a,b){var c=W[b]||W.day;return typeof c=="number"?this.proxy.setTime(this.proxy.getTime()+c*a):c.add(this,a),this},T.prototype.clone=function(){return new T(this.proxy.getTime())},T.prototype.getUtcOffset=function(){return this.proxy.getTimezoneOffset()*6e4},T.prototype.diff=function(a,b,c){a=new T(a);if(a===null)return null;var d=W[b]||W.day;if(typeof d=="number")var e=(this.proxy.getTime()-a.proxy.getTime())/d;else var e=d.diff(this.proxy,a.proxy);return c?e:Math[e>0?"floor":"ceil"](e)},T.prototype.getAbbrDayName=function(){return T.regional[this.locale].dayNamesShort[this.proxy.getDay()]},T.prototype.getAbbrMonthName=function(){return T.regional[this.locale].monthNamesShort[this.proxy.getMonth()]},T.prototype.getAMPM=function(){return this.proxy.getHours()>=12?"PM":"AM"},T.prototype.getAmPm=function(){return this.proxy.getHours()>=12?"pm":"am"},T.prototype.getCentury=function(){return parseInt(this.proxy.getFullYear()/100,10)},T.prototype.getDate=function(){return this.proxy.getDate()},T.prototype.getDay=function(){return this.proxy.getDay()},T.prototype.getDayOfWeek=function(){var a=this.proxy.getDay();return a===0?7:a},T.prototype.getDayOfYear=function(){var a=this.proxy,b=a-new Date(""+a.getFullYear()+"/1/1 GMT");return b+=a.getTimezoneOffset()*6e4,a=null,parseInt(b/6e4/60/24,10)+1},T.prototype.getDayName=function(){return T.regional[this.locale].dayNames[this.proxy.getDay()]},T.prototype.getFullWeekOfYear=function(){var a=this.proxy,b=this.getDayOfYear(),c=6-a.getDay(),d=parseInt((b+c)/7,10);return d},T.prototype.getFullYear=function(){return this.proxy.getFullYear()},T.prototype.getGmtOffset=function(){var a=this.proxy.getTimezoneOffset()/60,b=a<0?"+":"-";return a=Math.abs(a),b+V(Math.floor(a),2)+":"+V(a%1*60,2)},T.prototype.getHours=function(){return this.proxy.getHours()},T.prototype.getHours12=function(){var a=this.proxy.getHours();return a>12?a-12:a==0?12:a},T.prototype.getIsoWeek=function(){var a=this.proxy,b=a.getWeekOfYear(),c=(new Date(""+a.getFullYear()+"/1/1")).getDay(),d=b+(c>4||c<=1?0:1);return d==53&&(new Date(""+a.getFullYear()+"/12/31")).getDay()<4?d=1:d===0&&(a=new T(new Date(""+(a.getFullYear()-1)+"/12/31")),d=a.getIsoWeek()),a=null,d},T.prototype.getMilliseconds=function(){return this.proxy.getMilliseconds()},T.prototype.getMinutes=function(){return this.proxy.getMinutes()},T.prototype.getMonth=function(){return this.proxy.getMonth()},T.prototype.getMonthName=function(){return T.regional[this.locale].monthNames[this.proxy.getMonth()]},T.prototype.getMonthNumber=function(){return this.proxy.getMonth()+1},T.prototype.getSeconds=function(){return this.proxy.getSeconds()},T.prototype.getShortYear=function(){return this.proxy.getYear()%100},T.prototype.getTime=function(){return this.proxy.getTime()},T.prototype.getTimezoneAbbr=function(){return this.proxy.toString().replace(/^.*\(([^)]+)\)$/,"$1")},T.prototype.getTimezoneName=function(){var a=/(?:\((.+)\)$| ([A-Z]{3}) )/.exec(this.toString());return a[1]||a[2]||"GMT"+this.getGmtOffset()},T.prototype.getTimezoneOffset=function(){return this.proxy.getTimezoneOffset()},T.prototype.getWeekOfYear=function(){var a=this.getDayOfYear(),b=7-this.getDayOfWeek(),c=parseInt((a+b)/7,10);return c},T.prototype.getUnix=function(){return Math.round(this.proxy.getTime()/1e3,0)},T.prototype.getYear=function(){return this.proxy.getYear()},T.prototype.next=function(a){return a=a||"day",this.clone().add(1,a)},T.prototype.set=function(){switch(arguments.length){case 0:this.proxy=new Date;break;case 1:if($(arguments[0])=="[object Object]"&&arguments[0]._type!="jsDate"){var a=this.options=arguments[0];this.syntax=a.syntax||this.syntax,this.defaultCentury=a.defaultCentury||this.defaultCentury,this.proxy=T.createDate(a.date)}else this.proxy=T.createDate(arguments[0]);break;default:var b=[];for(var c=0;c<arguments.length;c++)b.push(arguments[c]);this.proxy=new Date,this.proxy.setFullYear.apply(this.proxy,b.slice(0,3)),b.slice(3).length&&this.proxy.setHours.apply(this.proxy,b.slice(3))}return this},T.prototype.setDate=function(a){return this.proxy.setDate(a),this},T.prototype.setFullYear=function(){return this.proxy.setFullYear.apply(this.proxy,arguments),this},T.prototype.setHours=function(){return this.proxy.setHours.apply(this.proxy,arguments),this},T.prototype.setMilliseconds=function(a){return this.proxy.setMilliseconds(a),this},T.prototype.setMinutes=function(){return this.proxy.setMinutes.apply(this.proxy,arguments),this},T.prototype.setMonth=function(){return this.proxy.setMonth.apply(this.proxy,arguments),this},T.prototype.setSeconds=function(){return this.proxy.setSeconds.apply(this.proxy,arguments),this},T.prototype.setTime=function(a){return this.proxy.setTime(a),this},T.prototype.setYear=function(){return this.proxy.setYear.apply(this.proxy,arguments),this},T.prototype.strftime=function(a){return a=a||this.formatString||T.regional[this.locale].formatString,T.strftime(this,a,this.syntax)},T.prototype.toString=function(){return this.proxy.toString()},T.prototype.toYmdInt=function(){return this.proxy.getFullYear()*1e4+this.getMonthNumber()*100+this.proxy.getDate()},T.regional={en:{monthNames:["January","February","March","April","May","June","July","August","September","October","November","December"],monthNamesShort:["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],dayNames:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],dayNamesShort:["Sun","Mon","Tue","Wed","Thu","Fri","Sat"],formatString:"%Y-%m-%d %H:%M:%S"},fr:{monthNames:["Janvier","Février","Mars","Avril","Mai","Juin","Juillet","Août","Septembre","Octobre","Novembre","Décembre"],monthNamesShort:["Jan","Fév","Mar","Avr","Mai","Jun","Jul","Aoû","Sep","Oct","Nov","Déc"],dayNames:["Dimanche","Lundi","Mardi","Mercredi","Jeudi","Vendredi","Samedi"],dayNamesShort:["Dim","Lun","Mar","Mer","Jeu","Ven","Sam"],formatString:"%Y-%m-%d %H:%M:%S"},de:{monthNames:["Januar","Februar","März","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember"],monthNamesShort:["Jan","Feb","Mär","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez"],dayNames:["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],dayNamesShort:["So","Mo","Di","Mi","Do","Fr","Sa"],formatString:"%Y-%m-%d %H:%M:%S"},es:{monthNames:["Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre"],monthNamesShort:["Ene","Feb","Mar","Abr","May","Jun","Jul","Ago","Sep","Oct","Nov","Dic"],dayNames:["Domingo","Lunes","Martes","Mi&eacute;rcoles","Jueves","Viernes","S&aacute;bado"],dayNamesShort:["Dom","Lun","Mar","Mi&eacute;","Juv","Vie","S&aacute;b"],formatString:"%Y-%m-%d %H:%M:%S"},ru:{monthNames:["Январь","Февраль","Март","Апрель","Май","Июнь","Июль","Август","Сентябрь","Октябрь","Ноябрь","Декабрь"],monthNamesShort:["Янв","Фев","Мар","Апр","Май","Июн","Июл","Авг","Сен","Окт","Ноя","Дек"],dayNames:["воскресенье","понедельник","вторник","среда","четверг","пятница","суббота"],dayNamesShort:["вск","пнд","втр","срд","чтв","птн","сбт"],formatString:"%Y-%m-%d %H:%M:%S"},ar:{monthNames:["كانون الثاني","شباط","آذار","نيسان","آذار","حزيران","تموز","آب","أيلول","تشرين الأول","تشرين الثاني","كانون الأول"],monthNamesShort:["1","2","3","4","5","6","7","8","9","10","11","12"],dayNames:["السبت","الأحد","الاثنين","الثلاثاء","الأربعاء","الخميس","الجمعة"],dayNamesShort:["سبت","أحد","اثنين","ثلاثاء","أربعاء","خميس","جمعة"],formatString:"%Y-%m-%d %H:%M:%S"},pt:{monthNames:["Janeiro","Fevereiro","Mar&ccedil;o","Abril","Maio","Junho","Julho","Agosto","Setembro","Outubro","Novembro","Dezembro"],monthNamesShort:["Jan","Fev","Mar","Abr","Mai","Jun","Jul","Ago","Set","Out","Nov","Dez"],dayNames:["Domingo","Segunda-feira","Ter&ccedil;a-feira","Quarta-feira","Quinta-feira","Sexta-feira","S&aacute;bado"],dayNamesShort:["Dom","Seg","Ter","Qua","Qui","Sex","S&aacute;b"],formatString:"%Y-%m-%d %H:%M:%S"},"pt-BR":{monthNames:["Janeiro","Fevereiro","Mar&ccedil;o","Abril","Maio","Junho","Julho","Agosto","Setembro","Outubro","Novembro","Dezembro"],monthNamesShort:["Jan","Fev","Mar","Abr","Mai","Jun","Jul","Ago","Set","Out","Nov","Dez"],dayNames:["Domingo","Segunda-feira","Ter&ccedil;a-feira","Quarta-feira","Quinta-feira","Sexta-feira","S&aacute;bado"],dayNamesShort:["Dom","Seg","Ter","Qua","Qui","Sex","S&aacute;b"],formatString:"%Y-%m-%d %H:%M:%S"}},T.regional["en-US"]=T.regional["en-GB"]=T.regional.en,T.regional.getLocale=function(){var a=T.config.defaultLocale;return document&&document.getElementsByTagName("html")&&document.getElementsByTagName("html")[0].lang&&(a=document.getElementsByTagName("html")[0].lang,T.regional.hasOwnProperty(a)||(a=T.config.defaultLocale)),a};var U=864e5,V=function(a,b){a=String(a);var c=b-a.length,d=String(Math.pow(10,c)).slice(1);return d.concat(a)},W={millisecond:1,second:1e3,minute:6e4,hour:36e5,day:U,week:7*U,month:{add:function(a,b){W.year.add(a,Math[b>0?"floor":"ceil"](b/12));var c=a.getMonth()+b%12;c==12?(c=0,a.setYear(a.getFullYear()+1)):c==-1&&(c=11,a.setYear(a.getFullYear()-1)),a.setMonth(c)},diff:function(a,b){var c=a.getFullYear()-b.getFullYear(),d=a.getMonth()-b.getMonth()+c*12,e=a.getDate()-b.getDate();return d+e/30}},year:{add:function(a,b){a.setYear(a.getFullYear()+Math[b>0?"floor":"ceil"](b))},diff:function(a,b){return W.month.diff(a,b)/12}}};for(var X in W)X.substring(X.length-1)!="s"&&(W[X+"s"]=W[X]);var Y=function(a,b,c){if(T.formats[c].shortcuts[b])return T.strftime(a,T.formats[c].shortcuts[b],c);var d=(T.formats[c].codes[b]||"").split("."),e=a["get"+d[0]]?a["get"+d[0]]():"";return d[1]&&(e=V(e,d[1])),e};T.strftime=function(a,b,c,d){var e="perl",f=T.regional.getLocale();c&&T.formats.hasOwnProperty(c)?e=c:c&&T.regional.hasOwnProperty(c)&&(f=c),d&&T.formats.hasOwnProperty(d)?e=d:d&&T.regional.hasOwnProperty(d)&&(f=d);if($(a)!="[object Object]"||a._type!="jsDate")a=new T(a),a.locale=f;b||(b=a.formatString||T.regional[f].formatString);var g=b||"%Y-%m-%d",h="",i;while(g.length>0)(i=g.match(T.formats[e].codes.matcher))?(h+=g.slice(0,i.index),h+=(i[1]||"")+Y(a,i[2],e),g=g.slice(i.index+i[0].length)):(h+=g,g="");return h},T.formats={ISO:"%Y-%m-%dT%H:%M:%S.%N%G",SQL:"%Y-%m-%d %H:%M:%S"},T.formats.perl={codes:{matcher:/()%(#?(%|[a-z]))/i,Y:"FullYear",y:"ShortYear.2",m:"MonthNumber.2","#m":"MonthNumber",B:"MonthName",b:"AbbrMonthName",d:"Date.2","#d":"Date",e:"Date",A:"DayName",a:"AbbrDayName",w:"Day",H:"Hours.2","#H":"Hours",I:"Hours12.2","#I":"Hours12",p:"AMPM",M:"Minutes.2","#M":"Minutes",S:"Seconds.2","#S":"Seconds",s:"Unix",N:"Milliseconds.3","#N":"Milliseconds",O:"TimezoneOffset",Z:"TimezoneName",G:"GmtOffset"},shortcuts:{F:"%Y-%m-%d",T:"%H:%M:%S",X:"%H:%M:%S",x:"%m/%d/%y",D:"%m/%d/%y","#c":"%a %b %e %H:%M:%S %Y",v:"%e-%b-%Y",R:"%H:%M",r:"%I:%M:%S %p",t:"\t",n:"\n","%":"%"}},T.formats.php={codes:{matcher:/()%((%|[a-z]))/i,a:"AbbrDayName",A:"DayName",d:"Date.2",e:"Date",j:"DayOfYear.3",u:"DayOfWeek",w:"Day",U:"FullWeekOfYear.2",V:"IsoWeek.2",W:"WeekOfYear.2",b:"AbbrMonthName",B:"MonthName",m:"MonthNumber.2",h:"AbbrMonthName",C:"Century.2",y:"ShortYear.2",Y:"FullYear",H:"Hours.2",I:"Hours12.2",l:"Hours12",p:"AMPM",P:"AmPm",M:"Minutes.2",S:"Seconds.2",s:"Unix",O:"TimezoneOffset",z:"GmtOffset",Z:"TimezoneAbbr"},shortcuts:{D:"%m/%d/%y",F:"%Y-%m-%d",T:"%H:%M:%S",X:"%H:%M:%S",x:"%m/%d/%y",R:"%H:%M",r:"%I:%M:%S %p",t:"\t",n:"\n","%":"%"}},T.createDate=function(a){function f(a,b){var c=parseFloat(b[1]),d=parseFloat(b[2]),e=parseFloat(b[3]),f=T.config.defaultCentury,g,h,i,j;return c>31?(h=e,i=d,g=f+c):(h=d,i=c,g=f+e),j=i+"/"+h+"/"+g,a.replace(/^([0-9]{1,2})[-\/]([0-9]{1,2})[-\/]([0-9]{1,2})/,j)}if(a==null)return new Date;if(a instanceof Date)return a;if(typeof a=="number")return new Date(a);var b=String(a).replace(/^\s*(.+)\s*$/g,"$1");b=b.replace(/^([0-9]{1,4})-([0-9]{1,2})-([0-9]{1,4})/,"$1/$2/$3"),b=b.replace(/^(3[01]|[0-2]?\d)[-\/]([a-z]{3,})[-\/](\d{4})/i,"$1 $2 $3");var c=b.match(/^(3[01]|[0-2]?\d)[-\/]([a-z]{3,})[-\/](\d{2})\D*/i);if(c&&c.length>3){var d=parseFloat(c[3]),e=T.config.defaultCentury+d;e=String(e),b=b.replace(/^(3[01]|[0-2]?\d)[-\/]([a-z]{3,})[-\/](\d{2})\D*/i,c[1]+" "+c[2]+" "+e)}c=b.match(/^([0-9]{1,2})[-\/]([0-9]{1,2})[-\/]([0-9]{1,2})[^0-9]/),c&&c.length>3&&(b=f(b,c));var c=b.match(/^([0-9]{1,2})[-\/]([0-9]{1,2})[-\/]([0-9]{1,2})$/);c&&c.length>3&&(b=f(b,c));var g=0,h=T.matchers.length,i,j,k=b,l;while(g<h){j=Date.parse(k);if(!isNaN(j))return new Date(j);i=T.matchers[g];if(typeof i=="function"){l=i.call(T,k);if(l instanceof Date)return l}else k=b.replace(i[0],i[1]);g++}return NaN},T.daysInMonth=function(a,c){return c==2?(new Date(a,1,29)).getDate()==29?29:28:[b,31,b,31,30,31,30,31,31,30,31,30,31][c]},T.matchers=[[/(3[01]|[0-2]\d)\s*\.\s*(1[0-2]|0\d)\s*\.\s*([1-9]\d{3})/,"$2/$1/$3"],[/([1-9]\d{3})\s*-\s*(1[0-2]|0\d)\s*-\s*(3[01]|[0-2]\d)/,"$2/$3/$1"],function(a){var b=a.match(/^(?:(.+)\s+)?([012]?\d)(?:\s*\:\s*(\d\d))?(?:\s*\:\s*(\d\d(\.\d*)?))?\s*(am|pm)?\s*$/i);if(b){if(b[1]){var c=this.createDate(b[1]);if(isNaN(c))return}else{var c=new Date;c.setMilliseconds(0)}var d=parseFloat(b[2]);return b[6]&&(d=b[6].toLowerCase()=="am"?d==12?0:d:d==12?12:d+12),c.setHours(d,parseInt(b[3]||0,10),parseInt(b[4]||0,10),(parseFloat(b[5]||0)||0)*1e3),c}return a},function(a){var b=a.match(/^(?:(.+))[T|\s+]([012]\d)(?:\:(\d\d))(?:\:(\d\d))(?:\.\d+)([\+\-]\d\d\:\d\d)$/i);if(b){if(b[1]){var c=this.createDate(b[1]);if(isNaN(c))return}else{var c=new Date;c.setMilliseconds(0)}var d=parseFloat(b[2]);return c.setHours(d,parseInt(b[3],10),parseInt(b[4],10),parseFloat(b[5])*1e3),c}return a},function(a){var b=a.match(/^([0-3]?\d)\s*[-\/.\s]{1}\s*([a-zA-Z]{3,9})\s*[-\/.\s]{1}\s*([0-3]?\d)$/);if(b){var c=new Date,d=T.config.defaultCentury,e=parseFloat(b[1]),f=parseFloat(b[3]),g,h,i;e>31?(h=f,g=d+e):(h=e,g=d+f);var i=Z(b[2],T.regional[T.regional.getLocale()].monthNamesShort);return i==-1&&(i=Z(b[2],T.regional[T.regional.getLocale()].monthNames)),c.setFullYear(g,i,h),c.setHours(0,0,0,0),c}return a}],a.jsDate=T,a.jqplot.sprintf=function(){function b(a,b,c,d){var e=a.length>=b?"":Array(1+b-a.length>>>0).join(c);return d?a+e:e+a}function c(b){var c=new String(b);for(var d=10;d>0;d--)if(c==(c=c.replace(/^(\d+)(\d{3})/,"$1"+a.jqplot.sprintf.thousandsSeparator+"$2")))break;return c}function d(a,c,d,e,f,g){var h=e-a.length;if(h>0){var i=" ";g&&(i="&nbsp;"),d||!f?a=b(a,e,i,d):a=a.slice(0,c.length)+b("",h,"0",!0)+a.slice(c.length)}return a}function e(a,c,e,f,g,h,i,j){var k=a>>>0;return e=e&&k&&{2:"0b",8:"0",16:"0x"}[c]||"",a=e+b(k.toString(c),h||0,"0",!1),d(a,e,f,g,i,j)}function f(a,b,c,e,f,g){return e!=null&&(a=a.slice(0,e)),d(a,"",b,c,f,g)}var g=arguments,h=0,i=g[h++];return i.replace(a.jqplot.sprintf.regex,function(i,j,k,l,m,n,o){if(i=="%%")return"%";var p=!1,q="",r=!1,s=!1,t=!1,u=!1;for(var v=0;k&&v<k.length;v++)switch(k.charAt(v)){case" ":q=" ";break;case"+":q="+";break;case"-":p=!0;break;case"0":r=!0;break;case"#":s=!0;break;case"&":t=!0;break;case"'":u=!0}l?l=="*"?l=+g[h++]:l.charAt(0)=="*"?l=+g[l.slice(1,-1)]:l=+l:l=0,l<0&&(l=-l,p=!0);if(!isFinite(l))throw new Error("$.jqplot.sprintf: (minimum-)width must be finite");n?n=="*"?n=+g[h++]:n.charAt(0)=="*"?n=+g[n.slice(1,-1)]:n=+n:n="fFeE".indexOf(o)>-1?6:o=="d"?0:void 0;var w=j?g[j.slice(0,-1)]:g[h++];switch(o){case"s":return w==null?"":f(String(w),p,l,n,r,t);case"c":return f(String.fromCharCode(+w),p,l,n,r,t);case"b":return e(w,2,s,p,l,n,r,t);case"o":return e(w,8,s,p,l,n,r,t);case"x":return e(w,16,s,p,l,n,r,t);case"X":return e(w,16,s,p,l,n,r,t).toUpperCase();case"u":return e(w,10,s,p,l,n,r,t);case"i":var x=parseInt(+w,10);if(isNaN(x))return"";var y=x<0?"-":q,z=u?c(String(Math.abs(x))):String(Math.abs(x));return w=y+b(z,n,"0",!1),d(w,y,p,l,r,t);case"d":var x=Math.round(+w);if(isNaN(x))return"";var y=x<0?"-":q,z=u?c(String(Math.abs(x))):String(Math.abs(x));return w=y+b(z,n,"0",!1),d(w,y,p,l,r,t);case"e":case"E":case"f":case"F":case"g":case"G":var x=+w;if(isNaN(x))return"";var y=x<0?"-":q,A=["toExponential","toFixed","toPrecision"]["efg".indexOf(o.toLowerCase())],B=["toString","toUpperCase"]["eEfFgG".indexOf(o)%2],z=Math.abs(x)[A](n);z=u?c(z):z,w=y+z;var C=d(w,y,p,l,r,t)[B]();return a.jqplot.sprintf.decimalMark!=="."&&a.jqplot.sprintf.decimalMark!==a.jqplot.sprintf.thousandsSeparator?C.replace(/\./,a.jqplot.sprintf.decimalMark):C;case"p":case"P":var x=+w;if(isNaN(x))return"";var y=x<0?"-":q,D=String(Number(Math.abs(x)).toExponential()).split(/e|E/),E=D[0].indexOf(".")!=-1?D[0].length-1:D[0].length,F=D[1]<0?-D[1]-1:0;if(Math.abs(x)<1)E+F<=n?w=y+Math.abs(x).toPrecision(E):E<=n-1?w=y+Math.abs(x).toExponential(E-1):w=y+Math.abs(x).toExponential(n-1);else{var G=E<=n?E:n;w=y+Math.abs(x).toPrecision(G)}var B=["toString","toUpperCase"]["pP".indexOf(o)%2];return d(w,y,p,l,r,t)[B]();case"n":return"";default:return i}})},a.jqplot.sprintf.thousandsSeparator=",",a.jqplot.sprintf.decimalMark=".",a.jqplot.sprintf.regex=/%%|%(\d+\$)?([-+#0&\' ]*)(\*\d+\$|\*|\d+)?(\.(\*\d+\$|\*|\d+))?([nAscboxXuidfegpEGP])/g,a.jqplot.getSignificantFigures=function(a){var b=String(Number(Math.abs(a)).toExponential()).split(/e|E/),c=b[0].indexOf(".")!=-1?b[0].length-1:b[0].length,d=b[1]<0?-b[1]-1:0,e=parseInt(b[1],10),f=e+1>0?e+1:0,g=c<=f?0:c-e-1;return{significantDigits:c,digitsLeft:f,digitsRight:g,zeros:d,exponent:e}},a.jqplot.getPrecision=function(b){return a.jqplot.getSignificantFigures(b).digitsRight}})(jQuery);var backCompat=$.uiBackCompat!==!1;$.jqplot.effects={effect:{}};var dataSpace="jqplot.storage.";$.extend($.jqplot.effects,{version:"1.9pre",save:function(a,b){for(var c=0;c<b.length;c++)b[c]!==null&&a.data(dataSpace+b[c],a[0].style[b[c]])},restore:function(a,b){for(var c=0;c<b.length;c++)b[c]!==null&&a.css(b[c],a.data(dataSpace+b[c]))},setMode:function(a,b){return b==="toggle"&&(b=a.is(":hidden")?"show":"hide"),b},createWrapper:function(a){if(a.parent().is(".ui-effects-wrapper"))return a.parent();var b={width:a.outerWidth(!0),height:a.outerHeight(!0),"float":a.css("float")},c=$("<div></div>").addClass("ui-effects-wrapper").css({fontSize:"100%",background:"transparent",border:"none",margin:0,padding:0}),d={width:a.width(),height:a.height()},e=document.activeElement;return a.wrap(c),(a[0]===e||$.contains(a[0],e))&&$(e).focus(),c=a.parent(),a.css("position")==="static"?(c.css({position:"relative"}),a.css({position:"relative"})):($.extend(b,{position:a.css("position"),zIndex:a.css("z-index")}),$.each(["top","left","bottom","right"],function(c,d){b[d]=a.css(d),isNaN(parseInt(b[d],10))&&(b[d]="auto")}),a.css({position:"relative",top:0,left:0,right:"auto",bottom:"auto"})),a.css(d),c.css(b).show()},removeWrapper:function(a){var b=document.activeElement;return a.parent().is(".ui-effects-wrapper")&&(a.parent().replaceWith(a),(a[0]===b||$.contains(a[0],b))&&$(b).focus()),a}}),$.fn.extend({jqplotEffect:function(a,b,c,d){function j(a){function f(){$.isFunction(c)&&c.call(b[0]),$.isFunction(a)&&a()}var b=$(this),c=e.complete,d=e.mode;(b.is(":hidden")?d==="hide":d==="show")?f():h.call(b[0],e,f)}var e=_normalizeArguments.apply(this,arguments),f=e.mode,g=e.queue,h=$.jqplot.effects.effect[e.effect],i=!h&&backCompat&&$.jqplot.effects[e.effect];return $.fx.off||!h&&!i?f?this[f](e.duration,e.complete):this.each(function(){e.complete&&e.complete.call(this)}):h?g===!1?this.each(j):this.queue(g||"fx",j):i.call(this,{options:e,duration:e.duration,callback:e.complete,mode:e.mode})}});var rvertical=/up|down|vertical/,rpositivemotion=/up|left|vertical|horizontal/;$.jqplot.effects.effect.blind=function(a,b){var c=$(this),d=["position","top","bottom","left","right","height","width"],e=$.jqplot.effects.setMode(c,a.mode||"hide"),f=a.direction||"up",g=rvertical.test(f),h=g?"height":"width",i=g?"top":"left",j=rpositivemotion.test(f),k={},l=e==="show",m,n,o;c.parent().is(".ui-effects-wrapper")?$.jqplot.effects.save(c.parent(),d):$.jqplot.effects.save(c,d),c.show(),o=parseInt(c.css("top"),10),m=$.jqplot.effects.createWrapper(c).css({overflow:"hidden"}),n=g?m[h]()+o:m[h](),k[h]=l?String(n):"0",j||(c.css(g?"bottom":"right",0).css(g?"top":"left","").css({position:"absolute"}),k[i]=l?"0":String(n)),l&&(m.css(h,0),j||m.css(i,n)),m.animate(k,{duration:a.duration,easing:a.easing,queue:!1,complete:function(){e==="hide"&&c.hide(),$.jqplot.effects.restore(c,d),$.jqplot.effects.removeWrapper(c),b()}})};